.\" bm# 0000002145
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)Intro.C	1.1);


.ds mc 
.ds rv Revision 1
.TH INTRO C
.SH Name
intro \- Introduces \s-1XENIX\s+1 commands.
.SH Description
This section describes use of the individual
commands available in the 
.SM XENIX
Timesharing System.
Each individual command is labeled with either a C,
a CP, or a CT for easy reference from other volumes.
The letter
``C'' stands for ``command''.
The letters ``P'' and ``T'' stand for 
commands that come with the optional
.SM XENIX
Programming System
and the 
.SM XENIX
Text Processing System,
respectively.
For example, the reference
.IR date (C)
indicates a reference to a discussion of the
.B date
command in the C section; 
the  reference
.IR cc (CP)
indicates a reference to a discussion of the
.B cc
command in the
.SM XENIX
Programmer's System;
and the reference
.IR spell (CT)
indicates a reference to a discussion of the
.B spell
command in the 
.SM XENIX
Text Processing System.
The Text Processing and Programmer's Systems
are optional supplemental packages to the
standard Timesharing System.
.P
The ``M'' Miscellaneous section contains
miscellaneous information including a great deal of
system maintenance information.
Other reference sections include the ``S''
System Services section and
the ``F'' File Format section.
Both these sections come as part of the Programmer's Reference
with the optional Software Development System.
.SH Syntax
Unless otherwise noted, 
commands described in this section accept options and
other arguments according to the following syntax:
.PP
.I name
.RI [ option ( s )]
.RI [ cmdarg ( s )]
.sp
where:
.TP 13
.I name
Is the name of an executable file.
.TP
.I option\^
.B \-
.IR noargletter ( s )     
or,
.br
.B \-
.IR argletter <> optarg
.br
where <> is optional whitespace.
.TP
.I noargletter\^
Is a single letter representing an option without an argument.
.TP
.I argletter\^
Is a single letter representing an option requiring an argument.
.TP
.I optarg\^
Is an argument (character string) satisfying preceding
.IR argletter .
.TP
.I cmdarg\^
Is a pathname (or other command argument)
.I not\^
beginning with
.B \-.
.B \-
by itself indicates the standard input.
.SH "See Also"
getopt(C), getopt(S)
.PP
.PD
.SH Diagnostics
Upon termination, each command returns 2 bytes of status,
one supplied by the system and giving the cause for
termination, and (in the case of ``normal'' termination)
one supplied by the program
(see
.IR wait (S)
and
.IR exit (S)).
The former byte is 0 for normal termination; the latter
is customarily 0 for successful execution and nonzero
to indicate troubles such as erroneous parameters, 
bad or inaccessible data.
It is called variously ``exit code'', ``exit status'', or
``return code'', and is described only where special
conventions are involved.
.SH Notes
Not all commands adhere to the syntax described here.
