.\" bm# 0000002136
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)assign.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ASSIGN C
.SH Name
assign, deassign \- Assigns and deassigns devices.
.SH Syntax
.B assign
[
.B \-u
]
[
.B \-v
]
[
.B \-d
]
[ device ] ...
.PP
.B deassign
[
.B \-u
]
[
.B \-v
]
[ device ] ...
.SH Description
.I Assign
attempts to assign
.I device
to the current user.
The
.I device
argument must be an assignable device 
that is not currently assigned.
An
.I assign
command without an argument prints a list of assignable
devices along with the name of the user to whom 
they are assigned.
.PP
.I Deassign
is used to ``deassign'' devices.
Without any arguments,
.I deassign
will deassign all devices assigned to the user.
When arguments are given,
an attempt is made to deassign each
.IR device 
given as an argument.
.PP
Available options include:
.TP
.B \-d
Performs the action of
.IR deassign .
The
.B \-d
option may be embedded in
.I device
names to assign some devices and deassign others.
.TP
.B \-v
Gives verbose output.
.TP
.B \-u
Suppresses assignment or deassignment, but performs error checking.
.PP
The
.I assign
command
will not assign any 
assignable devices if it cannot assign all of them.
.I Deassign
gives no diagnostic if the
.I device
cannot be deassigned.
Devices may be automatically deassigned at logout,
but this is not guaranteed.
.I Device
names may be just the beginning of the device required.
For example,
.IP
assign fd
.LP
should be used to assign all floppy disk devices.
Raw versions of
.I device
will also be assigned, e.g.,
the raw floppy disk devices 
.B /dev/rfd?
would be assigned in the above example.
.P
Note that in many installations the assignable devices such
as floppy disks have general read and write access, so the
.I assign
command may not be necessary. This is particularly true on
one-user systems. Devices supposed to be assignable with this
command should be owned by the user
.IR asg .
The directory
.B /dev
should be owned by
.B bin
and have mode 755. The 
.I assign 
command (after checking for use
by someone else) will then make the device owned by
whoever invokes 
the command, without changing the access permissions. This
allows the system administrator to set up individual devices that
are freely available, assignable (owned by
.IR asg ),
or nonassignable and restricted (not owned by
.I asg
and with some restricted mode).
.P
Note also that the first time
.I assign
is invoked it builds the assignable devices table
.IR /etc/atab .
This table is used in subsequent invocations to save
repeated searches of the
.I /dev
directory. If one of the devices in
.I /dev
is changed to be assignable (i.e., owned by
.IR asg ),
then
.I /etc/atab
should be removed (by the super-user) so that a correct list will
be built the next time the command is invoked.
.SH Files
.TP " \w'/dev/asglock\ \ \ 'u"
.TP
/etc/atab	
Table of assignable devices
.TP
/dev/asglock
File to prevent concurrent access
.SH Diagnostics
Exit code 0 returned if successful,
1 if problems,
2 if
.I device
cannot be assigned.
