.\" bm# 0000002135
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)at.C	1.1);


.ds mc 
.ds rv Revision 1
.TH AT C 
.SH Name
at, atq, atrm \- Executes commands at a later time.
.SH Syntax
.B at
.I time
[
.I day
]
[
.I file
] 
.sp 
.B atq [ \-l ] 
.sp 
.B atrm
.I idnumber ...
.SH Description
.I At 
causes the contents of a file to be executed as a shell
script at a specified time.
This command is useful for running processes at regular
intervals, or when the system is not busy.
The arguments are:
.TP 7
.I time
1 to 4 digits, followed by an optional 
``a'' for am, ``p'' for pm, ``n'' for noon, or ``m'' for
midnight.
One- and two-digit numbers are interpreted as hours, three- 
and four-digit numbers as hours and minutes.
If no letters follow the digits,  24-hour time is assumed.
.TP 7
.I day
Either
a month name followed by a day number,
or the name of a day of the week. If the word ``week'' follows
the name of the day, the file is invoked seven days after
the day named.
Names of months and days may be recognizably truncated.
(See the Examples later in this section.)
.TP 7
.I file
The name of the file containing the command(s) to be
executed. If no
.I file
is specified, the standard input is assumed. 
.P
.I At
creates a file that is executed by the shell at the
specified time. This file contains a 
comment line that lists the user's 
user
.SM ID  
and group 
.SM ID, 
a
.I cd
command that changes the working directory of the process
to the one you were using when you executed
\fIat\fR, assignments to the appropriate environment variables, and
the 
.I file
specified in the 
.I at 
command line.
Output from processes in \fIfile\fR must be redirected
or, (on most systems) it is lost.
.I At
shell scripts are run by periodic execution
of the command
.I /usr/lib/atrun
from
.IR cron (C).
.PP
The
.I atq
command gives the following information about
files waiting to be processed:
.TP 5
\-
The user 
.SM ID 
under which the file will run
.TP
\-
A unique 
.SM ID 
number used to reference the file
.TP
\-
The date and time the file will be processed
.PP
The 
.I -l
option displays the commands in each file in the queue.
.PP
The 
.I atrm
command removes files from the ``at'' queue. 
.I Atrm 
uses the 
.SM ID 
number(s) from the 
.I atq
command to remove the specific file(s).
A user can only remove his own files. 
.SH Examples 
Use the following line
to place a file in the queue:
.IP
at 8a jan 24 \fIfile\fR
.P
In the following command line, \fIfile\fR will
be executed a week from this Friday at 3:30 pm.
.IP
at 1530 fr week \fIfile\fR
.P
To remove a file from the queue, find out the 
.SM ID
number(s) with
.IP
atq
.P
Then remove the file with
.I atrm :
.IP
atrm \fIidnumber\fR
.P
A sample 
.I at
file might contain the line
.IP
lpr \fIbiglongfile\fR
.P
which sends \fIbiglongfile\fR to the lineprinter.
.SH Files
.TP "\w'/usr/spool/at/yy.dd.hh.uu 'u" 
/usr/spool/at/yy.ddd.hhhh.uu
Activity to be performed at hour \
\fIhhhh\fR of day \fIddd\fR of 
year \fIyy\fR. \fIUu\fR is \
a unique number.
.TP
/usr/spool/at/lasttimedone
Contains \fIhhhh\fR for last hour of activity.
.TP
/usr/spool/at/past
Contains old \fIat\fR files. 
.TP
/usr/lib/atrun
Program that executes activities at the specified time.
.fi
.DT
.SH "See Also"
calendar(C),
cron(C),
pwd(C)
.SH Diagnostics
Complains about various syntax errors and times out of range.
.SH Notes
The directory 
.I /usr/spool/at/past
should be periodically emptied by the super-user.
.P
Due to the granularity of the execution of
.I /usr/lib/atrun,
there may be problems in scheduling things
exactly 24 hours into the future.
