.\" bm# 0000002132
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)basename.C	1.1);


.ds mc 
.ds rv Revision 1
.if t .ds ' \h@.05m@\s+4\v@.333m@\'\v@-.333m@\s-4\h@.05m@
.if n .ds ' '
.if t .ds ` \h@.05m@\s+4\v@.333m@\`\v@-.333m@\s-4\h@.05m@
.if n .ds ` `
.TH BASENAME C
.SH Name
basename \- Removes directory names from pathnames.
.SH Syntax
.B basename
string [ suffix ]
.SH Description
.I Basename\^
deletes any prefix ending in
.B /
and the
.I suffix\^
(if present in
.IR string )
from
.IR string ,
and prints the result on the standard output.
The result is the ``base'' name of the file,
i.e., the filename without any preceding directory path
and without an extension.
It is used inside substitution marks
.RB ( "\*`\|\*`" )
in shell procedures to construct new filenames.
.PP
The related command
.I dirname\^
deletes the last level from
.I string
and prints the resulting path on the standard output.
.SH Examples
The following command displays the filename
.B memos
on the standard output:
.IP
basename /usr/johnh/memos.old\& .old
.P
The following shell procedure, when invoked with the argument
.BR /usr/src/cmd/cat.c ,
compiles the named file and moves the output to a file named
.B cat
in the current directory:
.PP
.RS
cc \|$1
.br
mv \|a.out \|\*`basename \|$1 \|.c\*`
.RE
.SH "See Also"
dirname(C), sh(C)
