.\" bm# 0000002130
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)bdiff.C	1.1);


.ds mc 
.ds rv Revision 1
.TH BDIFF C
.SH Name
bdiff \- Compares files too large for \fIdiff\fR.
.SH Syntax
.B bdiff
.I "file1 file2" 
[
.I n
]
.RB [ \-s ]
.SH Description
.I Bdiff\^
finds compares two files, finds lines that are different,
and prints them on the standard output.
It allows processing of files that are too large
for
.IR diff .
.I Bdiff\^
splits each file into
.IR n -line
segments, beginning with the first nonmatching lines,
and invokes
.I diff\^
upon the corresponding segments.
The arguments are:
.TP
\fIn\fR
The number of lines \fIbdiff\fR splits each file into for
processing. The default value is 3500. This is useful
when 3500-line segments are too large for \fIdiff\fR.
.TP
\fB\-s\fR
Suppresses printing of \fIbdiff\fR diagnostics.
Note that this does not suppress printing of diagnostics
from \fIdiff\fR.
.P
If
.I file1\^
.RI (or file2 )
is a dash 
.RB ( \fB\-\fR ),
the standard input is read.
.PP
The output of
.I bdiff\^
is exactly that of
.IR diff .
Line numbers are adjusted to account for the segmenting of the files,
and the output looks as if the files had been processed
whole.
.SH Files
/tmp/bd?????
.SH "See Also"
diff(C)
'\"	.SH Diagnostics
'\"	Use
'\"	.IR help (C)
.SH Notes
.P
Because of the segmenting of the files,
.I bdiff\^
does not necessarily find a
smallest sufficient set of file differences.
'\"	for explanations.
