.\" bm# 0000002126
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cat.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CAT C
.SH Name
cat \- Concatenates and displays files.
.SH Syntax
.B cat
[
.B \-u
]
[
.B \-s
]
\fIfile\fR .\|.\|.
.SH Description
.I Cat\^
reads each
.I file\^
in sequence
and writes it on the standard output.
If no input file is given, or if a single dash (\-)
is given, 
.I cat
reads from the standard input.
The options are:
.TP
.B \-s
Suppresses warnings about nonexistent files.
.TP
.B \-u
Causes the output to be unbuffered. 
.P
No input file may have the same name as the output file
unless it is a special file.
.SH Examples
The following example displays \fBfile\fR on the standard
output:
.PP
.RS
cat file
.RE
.PP
The following example
concatenates 
.B file1 
and 
.B file2 
and places the result in
.BR file3 :
.PP
.RS
cat file1 file2 >file3
.RE
.PP
The following example concatenates 
.B file1 
and appends
it to 
.BR file2 :
.PP
.RS
cat file1 >> file2
.RE
.SH "See Also"
cp(C), pr(C)
