.\" bm# 0000002121
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)chroot.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CHROOT C
.SH Name
chroot \- Changes root directory for command.
.SH Syntax
.PP
.B chroot
newroot command
.SH Description
The given command is executed relative to the new root.
The meaning of any initial slashes
.RB ( /\^ )
in pathnames is changed for a command and any of its children to
.IR newroot .
Furthermore, the initial working directory is
.IR newroot .
.PP
Notice that:
.PP
.RS
chroot \|newroot \|command \|>x
.RE
.PP
creates the file
.B x
relative to the original root, not the new one.
.PP
This command is restricted to the super-user.
.PP
The new root pathname is always relative to the current root 
even if a
.I chroot\^
is currently in effect. 
The
.I newroot\^
argument is relative to the current root of the running process.
Note that it is not possible to change directories to
what was formerly the parent of the new root directory;
i.e., the 
.I chroot\| 
command supports the new root as an absolute root
for the duration of the
.I command.
This means that ``/..'' is always equivalent to ``/''.
.SH "See Also"
chdir(S)
.SH Notes
Exercise extreme caution when referencing special files
in the new root file system.
