.\" bm# 0000002114
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)crypt.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CRYPT C
.SH Name
crypt \- Encodes and decodes files.
.SH Syntax
.B crypt
[ password ]
.SH Description
.I Crypt\^
reads from the standard input and writes
on the standard output.
The
.I password\^
is a key that selects a particular transformation.
If no
.I password\^
is given,
.I crypt\^
demands a key from the terminal and turns
off printing while the key is being typed in.
.I Crypt\^
encrypts and decrypts with the same key.
.PP
Files encrypted by
.I crypt\^
are compatible with those created by the editor
.I ed\^ (C)
in encryption mode.
.PP
The security of encrypted files depends on three factors:
the fundamental method of encryption must be hard to solve;
direct search of the key space must be infeasible;
``sneak paths'' by which keys or clear text can become
visible must be minimized.
.PP
The transformation of a key into the internal
settings of the machine is deliberately designed to
be expensive, i.e. to take a substantial fraction of
a second to compute.
However,
if keys are restricted to (say)
three lowercase letters,
then encrypted files can be read by expending less than
five minutes of machine time.
.PP
Since the key is an argument to the
.I crypt\^
command,
it is potentially visible to users executing
.IR ps (C)
or a derivative.
To minimize this possibility,
.I crypt\^
destroys any record of the key immediately upon entry.
The choice of keys and key security
are the most vulnerable aspect of
.IR crypt .
.ne 1i
.SH Example
The following will print the contents of the file 
.BR clear :
.IP
crypt \|key \|<clear \|>cypher
.IP
crypt \|key \|<cypher | \|pr
'\"	.SH Files
'\"	.TP "w'\/dev/tty\ \ \ 'u"
'\"	/dev/tty	For typed key
.SH "See Also"
ed(C),
makekey(M)
.SH Notes
If output is piped to
.IR nroff\| (CT)
and the encryption key is
.I not\^
given on the command line,
.I crypt\^
can leave terminal modes in a strange state
(see
.IR stty\| (C)).
.PP
.I Crypt\^
implements a one-rotor machine designed along the lines
of the German Enigma, but with a 256-element rotor.
Methods of attack on such machines are known, but not widely;
moreover the amount of work required is likely to be large.
