.\" bm# 0000002112
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cu.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CU C
.SH Name
cu \- Calls another \s-1XENIX\s+1 system.
.SH Syntax
.B cu
.RB [\| \-s speed\|]
.RB [\| \-a acu\|]
.RB [\| \-l line\|]
.RB [\| \-h \|]
.RB [\| \-o | \-e \|]
telno 
.sp
.B cu
.RB [\| \-s speed\|]
.BI \-l line
.RB [\| \-h \|]
.RB [\| \-o | \-e \|]
dir
.SH Description
.I Cu\^
``calls up'' another 
.SM XENIX
system through a modem or a direct serial connection.
It also controls the transmission and reception of data and
programs during the call.
.I Cu
looks at each line in the file
.B /usr/lib/uucp/L-devices
until it finds a line that matches the options given in the
command line. If it finds an appropriate line, it
will attempt to make a connection. If it cannot find the
proper line,
.I cu
quits.
.P
The options are:
.TP
.BI "\-s""speed"
Specifies the transmission speed. 1200 baud is the
default value. Other speeds available are 110, 150, 300,
1200, 2400, 4800 and 9600 baud. Directly connected lines may be
set to other speeds. Most modems are restricted to 300
and 1200 baud. 
.TP
.BI "\-a""acu"
Specifies the device name of the ACU (automatic calling
unit) device. When used 
with the 
.B \-l
option, overrides the search for the first available ACU
with the right speed.
.TP
.BI "\-l""line"
Specifies the device name of the communications line.
When used with the 
.B \-a
option, overrides the search for the first available ACU
with the right speed.
.TP
.B \-h
Emulates local echo. This feature supports calls to
systems that expect half-duplex mode terminals.
.TP
.B \-e 
Specifies that even-parity data is to
be generated for data sent to the remote system.
.TP
.B \-o
Specifies that odd-parity data is to be
generated for data sent to the remote system.
.PP
.I Telno\^
is the telephone number of the remote system.
A comma indicates a delay
at appropriate places, for example, to wait for a
secondary dial tone when calling from an internal phone
system. 
For directly connected lines, the string ``dir''
is used instead of \fItelno\fR. 
Direct lines require a line to be specified, but no ACU.
See the Examples later in this section for sample command lines.
.P
After making the connection,
.I cu\^
runs as two processes:
.I transmit\^
and
.IR receive\^ .
The 
.I transmit\^
process reads data from the standard input and,
except for lines beginning with a tilde
.RB ( ~ ),
passes it to the remote system. The
.I receive\^
process accepts data from the remote system and,
except for lines beginning with a tilde,
passes it to the standard output.
Normally, an automatic \s-1DC\s+1\&3/\s-1DC\s+1\&1 protocol 
controls input from the remote 
system so the buffer is not overrun.
Lines beginning with a tilde have special meanings.
.PP
The
.I transmit\^
process interprets lines beginning with a tilde as
follows:
.TP 20
.B ~.
Terminates the conversation.
.TP 
.B ~! 
Escapes to an interactive shell on the local system.  
.TP
.BI ~! cmd\|.\|.\|.
Runs
.I cmd\^
on the local system
(via
.BR "sh \-c" ).
.TP
.BI ~$ cmd\|.\|.\|.
Runs
.I cmd\^
locally and sends its output
to the remote system.
.TP
\&\f3~%take\fP \|\f2remote\fP \|[ \|\f2local\fP \|]
Copies file
.I remote\^
(on the remote system)
to file
.I local\^
on the local system.
If
.I local\^
is omitted,
the
.I remote\^
filename is used in both places.
Use of
this line
requires the existence of
.IR echo (C)
and
.IR cat (C)
on the remote system.
If tabs are to be copied without expansion,
.B stty tabs
mode should be set on the remote system.
.TP
\&\f3~%put\fP \|\f2local\fP \|[ \|\f2remote\fP \|]
Copies file
.I local\^
(on the local system)
to file
.I remote\^
on the remote system.
If
.I local\^
is omitted, the
.I remote\^
filename is used in both places.
Use of
this line
requires
the existence of
.IR stty\| (C)
and
.IR cat\| (C)
on the remote system.
It also requires that the
current erase and kill characters on the remote
system be identical to the current ones on the local system.
Backslashes are inserted at appropriate places.
.TP
.BR ~~ .\|.\|.
Sends the line
.BR ~ ".\|.\|."
to the remote system.
.TP
.BR ~nostop
Turns off the \s-1DC\s+1\&3/\s-1DC\s+1\&1
input control protocol for the remainder of the session.
This is useful if the remote system is one which does
not respond properly to the \s-1DC\s+1\&3 and \s-1DC\s+1\&1 characters.
.PP
The
.I receive\^
process normally copies data from the remote system to its standard
output.
A line from the remote system that begins with \f3~>\fP 
diverts the output to a file. Data is appended to a file
if 
.B ~>>
is used.  The diversion is
terminated by a trailing \f3~>\fP.
The complete sequence is:
.IP
\&\f3~>\fP\^[\^\f3>\fP\^]\^\f3:\fP\^\|\f2file\fP
.br
zero or more lines to be written to
.I file\^
.br
.B ~>
.SH Examples
A sample command line might be:
.IP
cu -s2400 -l/dev/cua0 4479801
.P
Where ``s-2400'' indicates a line speed of 2400 baud,
and ``\-l/dev/cua0'' is the device name of the communications
line. The system looks in the file
.B L\-devices
for a line with these characteristics.``4479801'' is the phone 
number of the remote system.
For a directly connected line:
.IP
cu -l/dev/tty01 dir
.P
``Dir'' indicates a direct line connection.
.P
To dial out of an internal phone system, such as a 
computerized branch exchange (CBX):
.IP
cu -s2400 -l/dev/cua0 9,4479801
.P
If your system does not automatically wait for an
outgoing dial tone, use several commas for an extended
delay:
.IP
cu -s2400 -l/dev/cua0 9,,,4479801
.SH Files
.nf
/usr/lib/uucp/L-devices			Device information
.PP
.nf
/usr/spool/uucp/\s-1LCK\s+1..(tty-device)	Lockout mechanism
.PP
.nf
/usr/lib/uucp/dial			Dialer program
.PP
.nf
/dev/null
.ne 1i
.SH "See Also"
cat(C), echo(C), stty(C), tty(M)
.SH Diagnostics
Exit code is zero for normal exit,
nonzero (various values) otherwise.
.SH Notes
There is an artificial slowing of transmission by
.I cu\^
during the
.B ~%put
operation so that loss of data is unlikely.
.PP
ASCII files only can be transferred using
.B ~%take
or
.BR ~%put ;
binary files cannot be transferred.
