.\" bm# 0000002111
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)date.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DATE C
.SH Name
date \- Prints and sets the date.
.SH Syntax
.B date
[ mmddhhmm[yy] ]
[ \fB+\fPformat ]
.SH Description
If no argument is given,
or if the argument begins with 
.BR + ,
the current date and time are printed.
Otherwise, the current date is set.
The first
.I mm\^
is the month number;\fR
.I dd\^
is the day number in the month;\fR
.I hh\^
is the hour number (24-hour system);\fR
the second
.I mm\^
is the minute number;\fR
.I yy\^
is the last 2 digits of the year number and is optional.
For example:
.PP
.RS
date\| 10080045
.RE
.PP
sets the date to Oct 8, 12:45 \s-1AM\s+1.
The current year is the default if no year is mentioned.
The system operates in \s-1GMT\s0.
.I Date\^
takes care of the conversion to and from
local standard and daylight time.
.PP
If the argument begins with \fB+\fP,
the output of
.I date\^
is under the control of the user.
The format for the output is similar to that of
the first argument to
.IR printf\| (S).
All output fields are of fixed size (zero padded
if necessary).
Each field descriptor is preceded by 
a percent sign 
.RB ( % )
and will be replaced in the output by
its corresponding value.
A single percent sign 
is encoded by doubling the percent sign, i.e., by specifying ``%%''.
All other characters are copied to the output without change.
The string is always terminated with a newline character.
.PP
Field Descriptors:
.TP 4 '\"was 5
.B  n
Inserts a newline character
.TP 4 '\" was 5
.B  t
Inserts a tab character
.TP 4 '\" was 5
.B  m
Month of year \- 01 to 12
.TP 4 '\" was 5
.B  d
Day of month \- 01 to 31
.TP 4 '\" was 5
.B  y
Last 2 digits of year \- 00 to 99
.TP 4 '\" was 5
.B D
Date as mm/dd/yy
.TP 4 '\" was 5
.B  H
Hour \- 00 to 23
.TP 4 '\" was 5
.B  M
Minute \- 00 to 59
.TP 4 '\" was 5
.B  S
Second \- 00 to 59
.TP 4 '\" was 5
.B T
Time as \s-1HH:MM:SS\s+1
.TP 4 '\" was 5
.B  j
Julian date \- 001 to 366
.TP 4 '\" was 5
.B  w
Day of the week \- Sunday = 0
.TP 4 '\" was 5
.B  a
Abbreviated weekday \- Sun to Sat
.TP 4 '\" was 5
.B  h
Abbreviated month \- Jan to Dec
.TP 4 '\" was 5
.B  r
Time in
.SM AM/PM 
notation
.RE
.ne 8
.SH Example
.PP
The line
.IP
date\| \(fm+DATE: %m/%d/%y%nTIME: %H:%M:%S\(fm
.PP
generates as output:
.IP
DATE: 08/01/76
.br
TIME: 14:45:05
.PP
.SH Diagnostics
.TP "\w'\fIbad\ format\ character\ \ \ \fP'u"
.I no permission\^
You aren't the super-user and you are trying to change the date.
.sp 10p
.TP
.I bad conversion\^
The date set is syntactically incorrect.
.sp 10p
.TP
.I bad format character\^
The field
descriptor is not recognizable.
'\"	.SH Files
'\"	/dev/kmem
