.\" bm# 0000002109
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dd.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DD C
.SH Name
dd \- Converts and copies a file.
.SH Syntax
.B dd
[option=value] ...
.SH Description
.I Dd\^
copies the specified input file
to the specified output with
possible conversions.
The standard input and output are used by default.
The input and output block size may be
specified to take advantage of raw physical I/O.
.PP
.br
.TP "\w'\fBconv=.\|.\|.\ ,\ .\|.\|.\ \ \ \ \ \fP'u"
.I Option\^
.I Value\^
.br
.TP
.BI if= file\^
Input filename; standard input is default
.TP
.BI of= file\^
Output filename; standard output is default
.TP
.BI ibs= n\^
Input block size
.I n\^
bytes (default 512)
.TP
.BI obs= n\^
Output block size (default 512)
.TP
.BI bs= n\^
Sets both input and output block size,
superseding
.I ibs\^
and
.IR obs ;
also, if no conversion is specified,
it is particularly efficient since no in-core copy 
needs to be done
.TP
.BI cbs= n\^
Conversion buffer size
.TP
.BI skip= n\^
Skips
.IR n ""
input records before starting copy
.TP
.BI seek= n\^
Seeks
.I n\^
records from beginning of output file before copying
.TP
.BI count= n\^
Copies only
.IR n ""
input records
.TP
.B conv=ascii
Converts \s-1EBCDIC\s0 to \s-1ASCII\s0
'\".RS "\w'\fBconv=\fP'u"
'\".TP "\w'\fB.\|.\|.\ ,\ .\|.\|.\ \ \ \ \fP'u"
.TP
.B conv=ebcdic
Converts \s-1ASCII\s0 to \s-1EBCDIC\s0
.TP
.B conv=ibm
Slightly different map of \s-1ASCII\s0 to \s-1EBCDIC\s0
.TP
.B conv=lcase
Maps alphabetics to lowercase
.TP
.B conv=ucase
Maps alphabetics to uppercase
.ne 1.5i
.TP
.B conv=swab
Swaps every pair of bytes
.TP "\w'\fBconv=.\|.\|.\ ,\ .\|.\|.\ \ \ \ \ \fP'u"
.I Option\^
.I Value\^
.TP
.B conv=noerror
Does not stop processing on an error
.TP
.B conv=sync
Pads every input record to
.I  ibs\^
.TP
.B conv=".\|.\|. , .\|.\|."
Several comma-separated conversions
.PP
Where sizes are specified,
a number of bytes is expected.
A number may end with
.BR k ,
.BR b ,
or
.B w
to specify multiplication by
1024, 512, or 2 respectively;
a pair of numbers may be separated by
.B x
to indicate a product.
.PP
.I Cbs\^
is used only if
.I ascii\^
or
.I ebcdic\^
conversion is specified.
In the former case
.I cbs\^
characters are placed into the conversion buffer, converted to
.SM ASCII, 
and trailing blanks trimmed and newline added
before sending the line to the output.
In the latter case 
.SM ASCII
characters are read into the
conversion buffer, converted to 
.SM EBCDIC, 
and blanks added to make up an output record of size
.IR cbs .
.PP
After completion,
.I dd\^
reports the number of whole and partial input and output blocks.
.SH Examples
This command reads an 
.SM EBCDIC 
tape, blocked ten 80-byte
.SM EBCDIC
card images per record, into the 
.SM ASCII
file
.BR outfile\| :
.PP
.sp
.nf
dd  if=/dev/rmt0  of=outfile  ibs=800  cbs=80  conv=ascii,lcase
.fi
.PP
Note the use of raw magtape.
.I Dd\^
is especially suited to I/O on raw
physical devices because it allows reading
and writing in arbitrary record sizes.
.SH "See Also"
copy(C), cp(C), tar(C)
.SH Diagnostics
.TP 24
.IR "f+p records in(out)" 
Numbers of full and partial records read(written)
.bp
.SH Notes
The \s-1ASCII\s0/\s-1EBCDIC\s0 conversion tables are taken
from the 256-character standard in the \s-1CACM\s0 Nov, 1968.
The
.I ibm\^
conversion 
corresponds better to certain \s-1IBM\s0
print train conventions.
There is no universal solution.
.PP
Newlines are inserted only on conversion to \s-1ASCII\s0;
padding is done only on conversion to \s-1EBCDIC\s0.
