.\" bm# 0000002106
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)diff.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DIFF C 
.SH Name
diff \- Compares two text files.
.SH Syntax
.B diff
[
.B \-efbh
] file1 file2
.SH Description
.I Diff\^
tells what lines must be changed 
in two files to bring them into agreement.
If
.I file1\^
.RI ( file2 )
is
.BR \- ,
the standard input is used.
If
.I file1\^
.RI ( file2 )
is a directory, then a file in that directory with the name
.I file2\^
.RI ( file1 )
is used.
The normal output contains lines of these forms:
.IP "" 5
.I n1\^
.B a
.I n3,n4\^
.br
.I n1,n2\^
.B d
.I n3\^
.br
.I n1,n2\^
.B c
.I n3,n4\^
.PP
These lines resemble
.I ed\^
commands to convert
.I file1\^
into
.IR file2 .
The numbers after the letters pertain to
.IR file2 .
In fact, by exchanging
.B a
for
.B d
and reading backward one may ascertain equally how to convert 
.I file2\^
into
.IR file1 .
As in 
.IR ed ,
identical pairs where
.I n1\^
=
.I n2\^
or
.I n3\^
=
.I n4\^
are abbreviated as a single number.
.PP
Following each of these lines come all the lines that are
affected in the first file flagged by \f3<\fP, 
then all the lines that are affected in the second file
flagged by \f3>\fP.
.PP
The
.B \-b
option causes
trailing blanks (spaces and tabs) to be ignored
and other strings of blanks to compare equal.
.PP
The
.B \-e
option produces a script of
.IR a,
.I c\^
and 
.I d\^
commands for the editor
.IR ed ,
which will recreate
.I file2\^
from
.IR file1 .
The
.B \-f
option produces a similar script,
not useful with
.IR ed ,
in the opposite order.
In connection with
.BR \-e ,
the following shell procedure helps maintain
multiple versions of a file:
.IP "" 5
(shift; cat $\(**; echo \(fm1,$p\(fm) | ed \- $1
.PP
This works by performing a set of editing operations
on an original ancestral file.
This is done by
combining the sequence of
.I ed\^
scripts given as all command line arguments
except the first.
These scripts are presumed to have been created with
.I diff\^
in the order given on the command line.
The set of editing operations is then piped 
as an editing script to 
.I ed\^
where all editing operations are performed
on the ancestral file given as the first argument
on the command line. 
The final version of the file is then printed on the
standard output.
Only an ancestral file ($1) and a chain of version-to-version
.I ed\^
scripts ($2,$3,...) made by
.I diff\^
need be on hand.
.PP
Except in rare circumstances,
.I diff\^
finds the smallest sufficient set of file
differences.
.PP
The 
.B \-h
option does a fast, less-rigorous job.
It works only when changed stretches are short and well separated,
but also works on files of unlimited length.
The
.B \-e
and
.B \-f
cannot be used with the
.BR \-h 
option.
.SH Files
/tmp/d?????
.sp 10p
/usr/lib/diffh for 
.B \-h
.SH "See Also"
cmp(C), comm(C), ed(C)
.SH Diagnostics
Exit status is 0 for no differences, 
1 for some differences, 2 for errors.
.SH Notes
Editing scripts produced under the
.B \-e 
or
.B \-f
option do not always work correctly on
lines consisting of a single period
.RB ( . ).
