.\" bm# 0000002103
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dirname.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DIRNAME C
.SH Name
dirname \- Delivers directory part of pathname.
.SH Syntax
.B dirname
string
.SH Description
.if t .ds ' \h@.05m@\s+4\v@.333m@\'\v@-.333m@\s-4\h@.05m@
.if n .ds ' '
.if t .ds ` \h@.05m@\s+4\v@.333m@\`\v@-.333m@\s-4\h@.05m@
.if n .ds ` `
.I Dirname\^
delivers all but the last component of the pathname in
.IR string 
and prints the result on the standard output.
If there is only one component in the pathname, only a ``dot''
is printed.
It is normally used inside substitution marks
.RB ( "\*`\|\*`" )
within shell procedures.
.PP
The companion command
.I basename\^
deletes any prefix ending in a slash (/)
and the
.I suffix\^
(if present in
.IR string )
from
.IR string ,
and prints the result on the standard output.
.SH Examples
The following example sets the shell variable
.SM NAME
to
.BR /usr/src/cmd :
.PP
.RS
\s-1NAME\s+1=\*`dirname \|/usr/src/cmd/cat\f3.\fPc\*`
.RE
.PP
This example prints 
.B /a/b/c
on the standard output:
.PP
.RS
basedname /a/b/c/d
.RE
.PP
This example prints a ``dot'' on the standard output:
.PP
.RS
basename file.ext
.RE
.SH "See Also"
basename(C), sh(C)
