.\" bm# 0000002144
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dos.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DOS C 
.SH Name
dos \- Accesses \s-2MS-DOS\s+2 files.
.SH Syntax
.B doscat
[ \-r ] file ...
.PP
.B doscp
[ \-r ] file1 file2
.PP
.B doscp
[ \-r ] file ...  directory
.PP
.B dosdir
directory ...
.PP
.B dosls
directory ...
.PP
.B dosmkdir
directory ...
.PP
.B dosrm
file ...
.PP
.B dosrmdir
directory ...
.SH Description
The 
.I dos 
commands provide access to the files and 
directories on 
.SM MS-DOS 
disks.  The commands perform the following actions:
.TP 12
.I doscat
Copies one or more
.SM MS-DOS
files to the standard output.  If 
.B \-r
is given, the files are copied without newline
conversions (see ``Conversions'' below).
.TP
.I doscp 
Copies files between an
.SM MS-DOS
disk and a
.SM XENIX
file system.  If  
.I file1
and
.I file2
are given, 
.I file1 
is copied to 
.IR file2 .
If a
.I directory 
is given, one or more 
.IR file s 
are copied to that directory.  If the 
.B \-r
is given, the files are copied without newline
conversions (see ``Conversions'' below). 
.TP
.I dosdir 
Lists 
.SM MS-DOS
files in the standard 
.SM MS-DOS
style directory format.
.TP
.I dosls
Lists
.SM MS-DOS
directories and files in a
.SM XENIX
style (see 
.IR ls (C)).
.TP
.I dosrm
Removes files from an
.SM MS-DOS 
disk.  
.TP
.I dosmkdir
Creates a directory on an
.SM MS-DOS
disk.
.TP
.I dosrmdir
Deletes directories from an
.SM MS-DOS 
disk.
.PP
The 
.I file
and 
.I directory
arguments for 
.SM MS-DOS 
files and directories have the form
.PP
.RS
device:name
.RE
.PP
where 
.IR device
is a 
.SM XENIX 
pathname for the special device file containing the 
.SM MS-DOS 
disk, and
.I name 
is a pathname to a file or directory on the 
.SM MS-DOS 
disk. The two components are separated by a colon (:).
For example, the argument
.PP
.RS
/dev/fd0:/src/file.asm 
.RE
.PP
specifies the
.SM MS-DOS
file,
.BR file.asm ,
in the directory,
.BR \esrc ,
on the disk in the device file
.BR /dev/fd0 .
Note that slashes (and not backslashes) are used as 
filename separators for 
.SM MS-DOS 
pathnames.  Arguments without a 
.I device:
are assumed to be 
.SM XENIX
files.
.PP
For convenience, the default file,
.BR /etc/default/msdos ,
can define
.SM MS-DOS 
drive names to be used in place of the
special device file pathnames.  For example,
if the file contains the line
.PP
.RS
A=/dev/fd0
.RE
.PP
then drive letter ``A'' may be used in place of 
special device file pathname
.B /dev/fd0 
when referencing 
.SM MS-DOS
files (see ``Examples'' below). 
.PP
The commands operate on the following kinds of
disks:
.PP
.nf
.RS
5 1/4 inch MS-DOS
8 or 9 sectors per track
40 tracks per side
1 or 2 sides
MS-DOS version 1 or 2
.RE
.fi
.SH \fIConverisons\fR
All
.SM MS-DOS 
text files use a carriage-return/linefeed
combination,
.SM CR-LF ,
to indicate a newline.
.SM XENIX 
uses a single newline 
.SM LF
character.  When the
.I doscat
and
.I doscp
commands transfer 
.SM MS-DOS
text files to 
.SM XENIX ,
they automatically strip the 
.SM CR .  
When text files are transferred to
.SM MS-DOS ,
the commands insert the
.SM CR
before each 
.SM LF
character.  The 
.B \-r
option can be used to override the automatic conversion 
and force the command to perform a true byte copy 
regardless of file type.
.SH Examples
.sp 10p
	doscat /dev/fd0:/docs/memo.txt
.br
	doscat /tmp/f1 /tmp/f2 /dev/fd0:/src/file.asm
.sp 10p
	dosdir /dev/fd0:/src
.br
	dosdir A:/src A:/dev
.sp 10p
	doscp /tmp/myfile.txt /dev/fd0:/docs/memo.txt
.br
	doscp /tmp/f1 /tmp/f2 /dev/fd0:/mydir
.sp 10p
	dosls /dev/fd0:/src
.br
	dosls B:
.sp 10p
	dosmkdir /dev/fd0:/usr/docs
.sp 10p
	dosrm /dev/fd0:/docs/memo.txt
.br
	dosrm A:/docs/memo1.txt
.sp 10p
	dosrmdir /dev/fd0:/usr/docs
.SH Files
/etc/default/msdos	Default information
.sp 10p
/dev/fd*		Floppy disk devices
.SH "See Also"
dtype(C)
.SH Notes
It is not possible to refer to 
.SM MS-DOS 
directories with wild card specifications.
It is the user's responsibility to ensure he has exclusive
access to the device containing the 
.SM MS-DOS 
disk. If two
or more processes simultaneously attempt to access the
.SM MS-DOS 
disk the result is unpredictable.
