.\" bm# 0000002097
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)echo.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ECHO C
.SH Name
echo \- Echoes arguments.
.SH Syntax
.B echo
[ \-n ]
[ \-e ]
[ \-\|\- ]
[ arg ] .\^.\^.
.SH Description
.I Echo\^
writes its arguments separated by blanks and terminated by
a newline on the standard output.
The following options are recognized:
.PP
.TP
.B \-n
Prints line without a newline.
.TP
.B \-e
Prints arguments on the standard error output.
.TP
.B \-\|\-
Prints 
.I arg 
exactly so that an argument beginning with a dash
(e.g., \-e or \-n)
can be specified.
.PP
.I Echo 
also understands C-like escape conventions.
The following escape sequences need to be quoted so
that the shell interprets them correctly:
.PP
.TP
.B \eb
Backspace
.TP
.B \ec
Prints line without newline; same as use of 
.B \-n 
option
.TP
.B \ef
Form feed
.TP
.B \en
Newline
.TP
.B \er
Carriage return
.TP
.B \et
Tab
.TP
.B \e\e
Backslash
.TP
.BI \e n\^
The 8-bit character whose 
.SM ASCII 
code is
the 1-, 2- or 3-digit octal number
.IR n ,
which must start with a zero
.PD
.PP
.I Echo\^
is useful for producing diagnostics in command files
and for sending known data into a pipe.
.SH "See Also"
sh(C)
