.\" bm# 0000002094
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ex.C	1.1);


.ds mc 
.ds rv Revision 1
.TH EX C
.SH Name
ex \- Invokes a text editor.
.SH Syntax
.B ex
[
.B \-
] [
.B \-v
] [
.B \-t 
tag
] [
.B \-r
] [
\fB\+\fIlineno\fR
]
name ...
.SH Description
.I Ex
is the root of the editors
.I ex
and
.I vi.
.I Ex
is a superset of
.I ed,
whose most notable extension is a display editing facility.
Display based editing is the focus of
.I vi.
.PP
If you have not used
.I ed,
or if you are a casual user, you will find that 
.I edit
is most convenient for you.
It avoids some of the complexities of
.I ex
which is used mostly by systems programmers and 
persons very familiar with
.I ed.
.PP
If you have a \s-2CRT\s0 terminal, you may wish to use a display
based editor; in this case
see
.IR vi (C),
a command which focuses on the display editing portion of
.I ex.
.SH "For ed Users"
If you have used
.I ed
you will find that
.I ex
has a number of new features. 
Intelligent terminals and high-speed terminals 
are very pleasant to  use with
.I vi.
Generally, the 
.I ex
editor uses far more of 
the capabilities of terminals than
.I ed
does. It uses the terminal capability database
.IR termcap\| (M)
and the type of the terminal you are using from the variable
.SM TERM
in the environment 
to determine how to drive your terminal efficiently.
The 
.I ex
editor makes use of features 
such as insert and delete character and line in its
.B visual
command
mode, which can be abbreviated 
.B vi , 
and which is the central mode of editing when using
.IR vi (C).
There is also an interline editing
.B open
command,
(\fBo\fR)
that works on all terminals.
.PP
.I Ex
contains a number of features 
for easily viewing the text of a file.
The
.B z
command gives easy access to windows of text.
Hitting 
.SM CNTRL-D
causes the editor to scroll a half-window of text
and is more useful for quickly stepping through a file than just hitting
the 
.SM RETURN 
key.
Of course, the screen-oriented
.B visual
mode gives constant access to editing context.
.PP
.I Ex
gives you more help when you make mistakes.
The
.B undo
(\fBu\fR)
command allows you to reverse any single change. 
.I Ex
gives you a lot of feedback, normally printing changed lines,
and indicates when more than a few lines are affected by a command
so it is easy to detect when a command has affected more lines
than it should have.
.PP
The editor also normally prevents the overwriting 
of existing files unless you have 
edited them, so that you don't accidentally clobber
with a
.I write
a file other than the one you are editing.
If the system (or editor) crashes, or you 
accidentally hang up the phone,
you can use the 
.B recover
command to retrieve your work.
This will get you back to within a few lines of where you left off.
.PP
.I Ex
has several features for editing more than one file at a time.
You can give it a list of files on the command line
and use the
.B next
(\fBn\fR) command to edit each in turn.
You can also give the
.B next
command a list of filenames, or a pattern
used by the shell to specify a new set of files to be edited.
In general, filenames in the editor may be formed with full shell
metasyntax.
The metacharacter ``%'' is also available in forming 
filenames and is replaced
by the name of the current file.
For editing large groups of related files you can use
.I ex's
.B tag
command to quickly locate functions and other important points in 
any of the files.
This is useful when you want to 
find the definition of a particular function in
a large program.
The command
.IR ctags (CP)
builds a
.I tags
file or a group of C programs.
.PP
For moving text between files and within a file, the editor has a group
of buffers named
.I a
through
.I z.
You can place text in these
named buffers and carry it over when you edit another file.
.PP
The command
.B &
repeats the last
.B substitute
command.
There is also a
confirmed substitute command.
You give a range of substitutions to be done and the 
editor interactively
asks whether each substitution is desired.
.PP
You can use the
.B substitute
command in
.I ex
to systematically convert the case of letters 
between uppercase and lowercase.
It is possible to ignore case
in searches and substitutions.
.I Ex
also allows regular expressions that match words to be constructed.
This is convenient, for example, when searching for the word
\&``edit'' if your document also contains the word ``editor.''
.PP
.I Ex
has a set of
.I options
that you can set.
One option which is very useful is the
.I autoindent
option that allows the editor to automatically supply leading white
space to align text.  You can then use the 
.SM CNTRL-D 
key to backtab,
space and tab forward to align new code easily.
.PP
Miscellaneous new useful features include an intelligent
.B join
(\fBj\fR) command which supplies whitespace between joined lines
automatically,
the commands < and > which shift groups of lines, 
and the ability to filter
portions of the buffer through commands such as
.I sort.
.SH Files
.DT
/usr/lib/ex2.0strings		Error messages
.br
.sp 10p
/usr/lib/ex2.0recover		Recover command
.br
.sp 10p
/usr/lib/ex2.0preserve		Preserve command
.br
.sp 10p
/etc/termcap			Describes capabilities of terminals
.br
.sp 10p
$HOME/.exrc			Editor startup file
.br
.sp 10p
/tmp/Ex\fInnnnn\fR			Editor temporary
.br
.sp 10p
/tmp/Rx\fInnnnn\fR			Named buffer temporary
.br
.sp 10p
/usr/preserve			Preservation directory
.SH "See Also"
awk(C), ctags(CP), ed(C), grep(C), sed(C), termcap(M), vi(C)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
.SH Notes
The
.I undo
command causes all marks to be lost on lines changed and then restored
if the marked lines were changed.
.PP
.I Undo
never clears the buffer modified condition.
.PP
The
.I z
command prints a number of logical rather than physical lines.
More than a screen full of output may result if long lines are present.
.PP
File input/output errors don't print 
a name if the command line \fB``\-''\fR option is used.
.PP
There is no easy way to do a single scan ignoring case.
.PP
Because of the implementation of the arguments to
.I next,
only 512 bytes of argument list are allowed there.
.PP
The format of
.I /etc/termcap
and the large number of capabilities of terminals used by the editor
cause terminal type setup to be rather slow.
.PP
The editor does not warn if text is placed 
in named buffers and not used
before exiting the editor.
.PP
Null characters are discarded in input files 
and cannot appear in resultant files.
