.\" bm# 0000002090
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)find.C	1.1);


.ds mc 
.ds rv Revision 1
.TH FIND C
.SH Name
find \- Finds files.
.SH Syntax
.B find
pathname-list  expression
.SH Description
.I Find\^
recursively descends
the directory hierarchy for
each pathname in the
.I pathname-list\^
(i.e., one or more pathnames)
seeking files that match a Boolean
.I expression\^
written in the primaries given below.
In the descriptions, the argument
.I n\^
is used as a decimal integer
where
.BI + n\^
means more than
.IR n ,
.BI \- n\^
means less than
.IR n\^ ,
and
.I n\^
means exactly
.IR n .
.TP 16
.BI \-name " file\^"
True if
.I file\^
matches the current filename.
Normal shell argument syntax may be used if escaped 
(watch out for the
left bracket ([), the question mark (?) and the star (\(**)).
.TP 16
.BI \-perm " onum\^"
True if the file permission flags
exactly
match the
octal number
.I onum\^
(see
.IR chmod (C)).
If
.I onum\^
is prefixed by a minus sign,
more flag bits (017777, see
.IR stat (S))
become significant and
the flags are compared:
.sp \n(PDu
.RS 10m
(flags&onum)==onum
.RE
.TP 16
.BI \-type " x\^"
True if the type of the file
is
.IR x ,
where
.I x\^
is
.B b
for a block special file,
.B c
for a character special file,
.B d
for a directory,
.B p
for a named pipe,
.B f
for a plain file, or
.B n
for a semaphore or shared data file.
.TP 16
.BI \-links " n\^"
True if the file has
.I n\^
links.
.TP 16
.BI \-user " uname\^"
True if the file belongs to the user
.IR uname .
If
.I uname\^
is numeric and does not appear as a login name in the
.B /etc/passwd
file, it is taken as a user \s-1ID\s0.
.TP 16
.BI \-group " gname\^"
True if the file belongs to the group
.IR gname .
If 
.I gname\^
is numeric and does not appear in the
.B /etc/group
file, it is taken as a group \s-1ID\s0.
.TP 16
.BI \-size " n\^"
True if the file is
.I n\^
blocks long (512 bytes per block).
.TP 16
.BI \-atime " n\^"
True if the file has been accessed in
.I n\^
days.
.TP 16
.BI \-mtime " n\^"
True if the file has been modified in
.I n\^
days.
.TP 16
.BI \-ctime " n\^"
True if the file has been changed in
.I n\^
days.
.TP 16
.BI \-exec " cmd\^"
True if the executed
.I cmd\^
returns
a zero value as exit status.
The end of
.I cmd\^
must be punctuated by an escaped
semicolon.
A command argument
.B {}
is replaced by the
current pathname.
.TP 16
.BI \-ok " cmd\^"
Like
.B \-exec
except that the generated command line is printed
with a question mark first,
and is executed only if the user responds
by typing
.BR y .
.TP 16
.B  \-print
Always true;
causes the current pathname to be printed.
'\"	.TP 16
'\"	.BI \-cpio " device\^"
'\"	Writes the current file on
'\"	.I device\^
'\"	in
'\"	.IR cpio\| (F)
'\"	format (5120 byte records).
.TP 16
.BI \-newer " file\^"
True if
the current file has been modified more recently than the argument
.IR file .
.TP 16
.BI ( " expression " )
True if the parenthesized expression is true
(parentheses are special to the shell and must be escaped).
.PP
The primaries may be combined using the following operators
(in order of decreasing precedence):
.TP 4
.B negation
The negation of a primary is specified with the exclamation
.RB ( ! )
unary
.I not\^
operator.
.TP 4
.B \s-1AND\s+1
The
.SM AND
operation is implied by the juxtaposition of two primaries.
.TP 4
.B \s-1OR\s+1
The
.SM OR
operation is specified with the 
.B \-o
operator given between two primaries.
.SH Examples
The following removes all files named 
.B a.out
or \f3\(**.o\fP that
have not been accessed for a week:
.PP
find  /  \\( \-name a.out \-o \-name \(fm\(**.o\(fm \\)
\-atime +7 \-exec rm {} \\;
.SH Files
/etc/passwd 
.sp 10p
/etc/group
.SH "See Also"
cpio(C), sh(C), test(C), stat(S), cpio(F)
