.\" bm# 0000002142
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)finger.C	1.1);


.ds mc 
.ds rv Revision 1
.TH FINGER C 
.SH Name
finger \- Finds information about users.
.SH Syntax
.B finger
[
-bfilpqsw
] [login1 [login2 ...] ]
.SH Description
By default
.I finger
lists the login name, full name, terminal name and write status
(as a ``*'' before the terminal name if write permission is denied),
idle time, login time, and office location and phone number
(if they are known) for each current 
.SM XENIX 
user.
(Idle time is minutes if it is a single integer, 
hours and minutes if a colon (:)
is present, or days and hours if a ``d'' is present.)
.PP
A longer format also exists and is used by
.I finger
whenever a list of names is given.  
(Account names as well as
first and last names of users are accepted.)
This is a multiline format; it includes all the information 
described above as well as the user's home
directory and login shell, 
any plan which the person has placed in the file
.I \&.plan
in their home
directory, and the project on which they are working from the file
.I \&.project
also in the home directory.
.PP
.I Finger
options are:
.TP
.B \-b
Briefer long output format of users.
.TP
.B \-f
Suppresses the printing of the header line (short format)
.TP
.B \-i
Quick list of users with idle times.
.TP
.B \-l
Forces long output format.
.TP
.B \-p
Suppresses printing of the
.I \&.plan
files.
.TP
.B \-q
Quick list of users.
.TP
.B \-s
Forces short output format.
.TP
.B \-w
Forces narrow format list of specified users.
.SH Files
.ta 2i
/etc/utmp	Who file
.br
.sp 10p
/etc/passwd	User names, offices, phones, 
		login directories, and shells
.br
.sp 10p
/usr/adm/lastlog	Last login times
.br
.sp 10p
\s-1$HOME\s0/.plan	Plans
.br
.sp 10p
\s-1$HOME\s0/.project	Projects
.SH "See Also"
who(C)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
.SH Notes
Only the first line of the
.I .project
file is printed.
.PP
The ``office'' column of the output will contain
any text in the comment field of the user's
.B /etc/passwd
file entry that immediately follows a comma (,).
For example, if the entry is
.PP
.RS
johnd:eX8HinAk:201:50:John Doe, 321:/usr/johnd:/bin/sh
.RE
.PP
the number 321 will appear in the office column.
.PP
Idle time is computed as the elapsed time since any
activity on the given terminal.  This includes
previous invocations of 
.I finger
which may have modified the terminal's corresponding
device file 
.BR /dev/tty "??."
