.\" bm# 0000002084
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)hd.C	1.1);


.ds mc 
.ds rv Revision 1
.TH HD C
.SH Name
hd \- Displays files in hexadecimal format.
.SH Syntax
.B hd 
[
.BR \- format 
... ] 
[
.BR \-s " offset"
] [
.BR \-n " count"
] [ file ] ...
.SH Description
The 
.I hd
command displays the contents of files in hexadecimal, octal,
decimal, and character formats.
Control over the specification of ranges of
characters is also available.
The default behavior is with the following flags
set: ``\-abx \-A''. This says that addresses (file
offsets) and bytes are printed in hexadecimal and
that characters are also printed.
If no 
.I file
argument is given, the standard input is read.
.PP
Options include:
.TP 12
.BI \-s " offset"
Specify the beginning offset in the file where printing
is to begin.  If no `file' argument is given, or if a
seek fails because the input is a pipe, `offset' bytes
are read from the input and discarded.  Otherwise, a
seek error will terminate processing of the current file.
.IP
The 
.I offset 
may be given in decimal, hexadecimal (preceded by `0x'), 
or octal (preceded by a `0'). 
It is optionally followed
by one of the following multipliers: 
.BR w , 
.BR l , 
.BR b , 
or 
.BR k ; 
for words (2 bytes), long words (4 bytes), 
blocks (512 bytes), or kbytes (1024 bytes).  
Note that this is the one case where ``b'' does 
.I not
stand for bytes.  
Since specifying a hexadecimal offset in blocks would 
result in an ambiguous trailing
`b', any offset and multiplier may be separated by an asterisk (*).
.TP
.BI \-n " count"
Specify the number of bytes to process.  
The
.I count 
is in the same format as 
.I offset, 
above.
.SH "Format Flags"
Format flags may specify addresses, characters, bytes,
words (2 bytes) or longs (4 bytes) to be printed in hex,
decimal, or octal.
Two special formats may also be indicated: text or ascii.
Format and base specifiers may be freely combined and repeated
as desired in order to specify different bases (hexadecimal,
decimal or octal)
for different output formats (addresses, characters, etc.).
All format flags appearing in a single argument are applied
as appropriate to all other flags in that argument.
.TP
.B acbwlA
Output format specifiers for addresses, characters,
bytes, words, longs and ascii respectively.
Only one base specifier will be used for addresses; the
address will appear on the first line of output that
begins each new offset in the input.
.IP
The character format prints printable characters unchanged,
special C escapes as defined in the language, and the
remaining values in the specified base.
.IP
The ascii format prints all printable characters unchanged,
and all others as a period (\^.\^).  
This format appears to the right
of the first of other specified output formats.  
A base specifier has no meaning with the ascii format.  
If no
other output format (other than addresses) is given,
.B bx
is assumed.
If no base specifier is given, 
.I all
of 
.B xdo
are used.
.TP
.B xdo
Output base specifiers for hexadecimal, decimal and octal.
If no format specifier is given, 
.I all
of 
.B acbwl
are used.
.TP
.B t
Print a text file, each line preceded by the address
in the file.  
Normally, lines should be terminated
by a 
.B \en character; 
but long lines will be broken up.
Control characters in the range 0x00 to 0x1f are printed
as `^@' to `^_'.  Bytes with the high bit set are preceded
by a tilde (\^~\^) and printed as if the high bit were not set.  
The special charcters (\^^, ~, \e) are preceded by a 
backslash (\e)
to escape their special meaning.  
As special cases, two
values are represented numerically as `\e177' and `\e377'.
This flag will override all output format specifiers
except addresses.
