.\" bm# 0000002078
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)lc.C	1.1);


.ds mc 
.ds rv Revision 1
.TH LC C 
.SH Name
lc \- Lists directory contents in columns.
.SH Syntax
.B lc
[
.B \-1AFRabcdfgilmnqrstux
] \fIname\fR ...
.SH Description
.I Lc
lists the contents of files and directories, in
columns.
If
.I name
is a directory name,
.I lc
lists the contents of the directory;
if
.I name
is a filename,
.I lc
repeats the filename and any other information requested.
Output is given in columns and
sorted alphabetically.
If no argument is given, the current directory is listed.
If several arguments are given,
they are sorted alphabetically,
but file arguments appear
before directories.
.PP
'\"	There are three major listing formats.
'\"	The format chosen depends on whether the output is going
'\"	to a teletype, and may also be controlled by option flags.
'\"	The default format for a teletype is 
'\"	to list the contents of directories
'\"	in multicolumn format, with the entries sorted down the columns.
Files that are not the contents of a directory being interpreted
are always sorted across the page rather than down the page in columns.
'\"	This is because the individual filenames may be arbitrarily 
'\"	long.
'\"	If the standard output is not a teletype, 
'\"	the default format is to
'\"	list one entry per line.
A stream output format is available in which files are listed
across the page, separated by commas.
The
.B \-m
option enables this format.
.PP
The options are:
.TP
.B  \-1
Forces an output format with one entry per line.
.TP
.B \-A
Displays all files, including ``..'' and those that begin with
``.'', unless the user is super-user. If
the super-user gives this option, ``..'' and filenames that begin
with ``.'' are not displayed. 
.TP
.B  \-F
Causes directories to be marked with a trailing ``/'' and executable
files to be marked with a trailing ``*''.
'\"	this is the default if the last character of the name the 
'\"	program is invoked
'\"	with is an ``f''.
.TP
.B  \-R
Recursively lists subdirectories. 
.TP
.B  \-a
Lists all entries; usually
.RB `` . ''
and
.RB `` .. ''
are suppressed.
.TP
.B  \-b
Forces printing of nongraphic characters in the \e\fIddd\fR
notation, in octal.
.TP
.B  \-c
Sorts by time of file creation.
.TP
.B  \-d
If the argument is a directory, lists only its name, not
its contents (mostly used with
.B \-l
to get status
on directory).
.TP
.B  \-f
Forces each argument to be interpreted as a directory
and lists the name found in each slot.
This option turns off
.B "\-l, \-t, \-s,"
and
.B \-r,
and
turns on
.B \-a;
the order is the order in which entries
appear in the directory.
.TP
.B \-g
The same as
.BR \-l ,
except that the owner is not printed.
.TP
.B  \-i
Prints inode number in first column
of the report for each file listed.
.TP
.B  \-l
Lists in long format, giving mode, number of links, owner,
group, size in bytes, and time of last modification
for each file.
If the file is a special file the size field instead contains
the major and minor device numbers.
.TP
.B \-o
The same as
.BR \-l ,
except that the group is not printed.
.TP
.B \-n
Same as the 
.B \-l 
switch, but the owner's user 
.SM ID 
appears instead of the owner's name.
If used in conjunction with the 
.B \-g
switch, the owner's group ID appears
instead of the group name.
.TP
.B  \-m
Forces stream output format.
.TP
.B \-n
The same as 
.BR \-l ,
but the user or group
.SM ID
number is displayed instead of the name.
.TP
.B  \-q
Forces printing of nongraphic characters in filenames as
the character ``?''. 
.TP
.B  \-r
Reverses the order of sort to get reverse alphabetic
or oldest first as appropriate.
.TP
.B  \-s
Gives size in 512-byte blocks,
including indirect blocks for each entry.
.TP
.B  \-t
Sorts by time modified (latest first) instead of
by name, as is normal.
.TP
.B  \-u
Uses time of last access instead of last
modification for sorting
.RB ( \-t )
or printing
.RB ( \-l ).
.TP
.B \-x  
Forces columnar printing to be sorted across rather than
down the page.
'\"	this is the default if the last character of the 
'\"	name the program is invoked
'\"	with is an ``x''.
.PP
The mode printed under the
.B \-l
option contains 11 characters.
The first character is:
.TP 
.B  \-
If the entry is a plain file
.TP 3
.B  d
If the entry is a directory
.TP 3
.B  b
If the entry is a block-type special file
.TP 3
.B  c
If the entry is a character-type special file
.TP 3
.B  p
If the entry is a named pipe
.TP 3
.B  s
If the entry is a semaphore
.TP 3
.B  m
If the entry is shared data (memory)
.PP
The next 9 characters are interpreted
as 3 sets of 3 bits each.
The first set refers to owner permissions;
the next to permissions to others in the same user-group;
and the last to all others.
Within each set the 3 characters indicate
permission respectively to read, to write, or to
execute the file as a program.
For a directory, ``execute'' permission is interpreted
to mean permission to search the directory
for a specified file.
The permissions are indicated as follows:
.TP 3
.B  r
If the file is readable
.br
.TP 3
.B  w
If the file is writable
.br
.TP 3
.B  x
If the file is executable
.br
.TP
.B  \-
If the indicated permission is not granted
.PP
The group-execute permission character is given
as
.B s
if the file has set-group-ID 
mode;
likewise the user-execute permission character is given
as
.B s
if the file has set-user-ID 
mode.
.PP
The last character of the mode (normally ``x'' or ``\-'') is 
.B t
if the 1000 bit of the mode is on.
See
.IR  chmod (C)
for the meaning of this mode.
.PP
When the sizes of the files in a directory
are listed, a total count of blocks,
including indirect blocks, is printed.
.SH Files
.TP 15
/etc/passwd 
To get user 
.SM ID\*Ss 
for
\&``lc \-l''
.br
.TP
/etc/group 
To get group 
.SM IDs 
for
\&``lc \-g''
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
.SH Notes
Newline and tab are considered printing characters in filenames.
.PP
The output device is assumed to be 80 columns wide.
.PP
Column width choices are poor for terminals that can tab.
