.\" bm# 0000002073
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)lpr.C	1.1);


.ds mc 
.ds rv Revision 1
.TH LPR C
.SH Name
lpr \- Sends files to the lineprinter queue for printing.
.SH Syntax
.B lpr
[ option ... ] [ name ... ]
.SH Description
.I Lpr\^
causes the named files to be queued for printing
on a lineprinter.
If no names appear, the standard input is assumed;
thus
.I lpr\^
may be used as a filter.
.PP
The following options may be given (each as a separate argument
and in any order)
before any filename arguments:
.PP
.TP 7
.B \-c
Makes a copy of the file and prints the copy and not the original.
Normally files are linked whenever possible.
.TP 7
.B \-r
Removes the file after sending it.
.TP 7
.B \-m
When printing is complete, reports that fact by
.IR mail (C).
.TP 7
.B \-n
Does not report the completion of printing by
.IR mail (C).
This is the default option.
.TP 7
.BI \-t \ type\^
Choose which printer to be used. You have the following options:

.PD 0
.RS
.TP 7
.B tina
Printer in Tina's room
.TP 7
.B exit
LQ1500 at location EXIT Marketing AB.
.TP7
.B pgm
Datasouth 180 in computer-room. Used for programs.

No option will choose LQ1500 in the computer-room.

.RE
.PP
The file
.B /etc/default/lpd
contains the setting of the variable 
.SM BANNERS,
whose value is the number of pages printed as
a banner identifying each printout.
This is normally set to either 1 or 2.
.SH Files
.TP 20
/etc/passwd
User's identification and accounting data
.TP
/usr/lib/lpd
Lineprinter daemon
.TP
/usr/spool/lpd/\(**
Spool area
.TP
/etc/default/lpd
Contains \s-1BANNERS\s+1 default setting
.SH "See Also"
banner(C)
.bp
.SH Notes
Once a file has been queued for printing, it should
not be changed or deleted until printing is complete.
If you want to alter the contents of the file or to
remove the file immediately, use the 
.B \-c
option to force 
.I lpr
to make its own copy of the file.
