.\" bm# 0000002072
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ls.C	1.1);


.ds mc 
.ds rv Revision 1
.TH LS C
.SH Name
ls \- Gives information about contents of directories.
.SH Syntax
.B ls
[
.B \-logtasdrucif
] names
.SH Description
For each directory named,
.I ls\^
lists the contents of that directory;
for each file named,
.I ls\^
repeats its name and any other information requested.
By default, the output is sorted alphabetically.
When no argument is given, the current directory is listed.
When several arguments are given,
the arguments are first sorted appropriately,
but file arguments are processed
before directories and their contents.
There are several options:
.TP
.B \-l
Lists in long format, giving mode, number of links, owner,
group, size in bytes, and time of last modification
for each file
(see below).
If the file is a special file, the size field will contain
the major and minor device numbers, rather than a size.
.TP
.B \-o
The same as
.BR \-l ,
except that the group is not printed.
.TP
.B \-g
The same as
.BR \-l ,
except that the owner is not printed.
.TP
.B \-t
Sorts by time of last modification (latest first) instead of
by name.
.TP
.B \-a
Lists all entries;
in the absence of this option, entries whose names begin with a
period
.RB (\^ \&. \^)
are
.I not\^
listed.
.TP
.B \-s
Gives size in 512-byte blocks including indirect blocks for each entry.
.TP
.B \-d
If argument is a directory, lists only its name;
often used with
.B \-l
to get the status of a directory.
.TP
.B \-r
Reverses the order of sort to get reverse alphabetic
or oldest first, as appropriate.
.TP
.B \-u
Uses time of last access instead of last
modification for sorting
(with the
.B \-t
option)
and/or printing
(with the
.B \-l
option).
.TP
.B \-c
Uses time of last modification of the inode
(mode, etc.)
instead of last modification of the file for sorting
.RB ( \-t )
and/or printing
.RB ( \-l ).
.TP
.B \-i
For each file, prints the inode number in the first column
of the report.
.TP
.B \-f
Forces each argument to be interpreted as a directory
and lists the name found in each slot.
This option turns off
.BR \-l ,
.BR \-t ,
.BR \-s ,
and
.BR \-r ,
and
turns on
.BR \-a ;
the order is the order in which entries
appear in the directory.
.PP
The mode printed under the
.B \-l
option consists of 11 characters.
The first character is:
.TP 4
.TP
.B \-
If the entry is an ordinary file
.B d
If the entry is a directory
.TP
.B b
If the entry is a block special file
.TP
.B c
If the entry is a character special file
.TP
.B p
If the entry is a named pipe
.TP
.B s
If the entry is a semaphore
.TP
.B m
If the entry is a shared data (memory) file
.PP
The next 9 characters are interpreted
as 3 sets of 3 bits each.
The first set refers to the owner's permissions;
the next to permissions of others in the user-group of the file;
and the last to all others.
Within each set, the 3 characters indicate
permission to read, to write, and to
execute the file as a program, respectively.
For a directory, ``execute'' permission is interpreted
to mean permission to search the directory
for a specified file.
.sp \n(PDu
The permissions are indicated as follows:
.TP 4
.B r
If the file is readable
.TP
.B w
If the file is writable
.TP
.B x
If the file is executable
.TP
.B \-
If the indicated permission is
.I not\^
granted
.P
The group-execute permission character is given
as
.B s
if the file has set-group-\s-1ID\s+1 mode;
likewise, the user-execute permission character is given
as
.B s
if the file has set-user-\s-1ID\s+1 mode.
The last character of the mode (normally
.B x
or
.BR \- )
is
.B t
if the 1000 (octal) bit of the mode is on;
see
.IR chmod (C)
for the meaning of this mode.
The indications of set-\s-1ID\s+1 and 1000 bit of the mode
are capitalized if the corresponding execute permission is
.I not\^
set.
.PP
When the sizes of the files in a directory
are listed, a total count of blocks
including indirect blocks is printed.
.bp
.SH Files
.TP 8m
/etc/passwd
Gets user
.SM ID\*Ss
for ls \-l and
ls \-o
.TP
/etc/group
Gets group
.SM ID\*Ss
for
ls \-l
and
ls \-g
.SH "See Also"
chmod(C),
find(C),
l(C),
lc(C)
.SH Notes
Newline and tab are considered printing characters in filenames.
.PP
All switches must be given as one argument.
Thus ``ls\ \-lsg'' is legal, but ``ls\ \-l\ \-s\ \-g'' is not.
