.\" bm# 0000002066
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mkuser.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MKUSER C 
.SH Name
mkuser \- Adds a login \s-1ID\s+1 to the system.
.SH Syntax
.B /etc/mkuser
.SH Description
.I Mkuser
is used to add more user login 
.SM ID\*Ss 
to the system. 
It is the preferred
method for adding new users to the system, since it handles all
directory creation and password file update.
To add a new user to the system,
.I mkuser
requires four pieces of information: the login name, the initial
password, and an optional comment string for the password file.
It also allows the new user to be assigned to a group if required,
although in most cases a default group is suitable.
The program prompts for these four items and validates the
given data. 
The login name is checked against certain criteria 
(i.e., it must be at least three characters 
and begin with a lowercase letter).
The password must follow standard 
.SM XENIX 
conventions, see
.IR passwd (C).
The password file comment field can be up to 20 characters 
of information.
.PP
.I Mkuser
takes some of its parameters from a default file,
.IR /etc/default/mkuser .
Currently the two settable options are the pathname for the login shell
and the root path of home directories. 
An example default file is:
.PP
.nf
	home=/usr
	shell=/bin/sh
.fi
.PP
This file can be edited (by the super-user) to change these defaults. 
There are three other files in the directory
.I /usr/lib
which may also be altered to suit local options. 
They are
.I mkuser.help
which is the introductory explanation given by
.I mkuser
on startup,
.I mkuser.mail
which is the initial mail message sent to new users, and
.IR mkuser.prof ,
the standard
.I .profile
file given to new users.
.PP
.I Mkuser
allocates user 
.SM ID\*Ss 
starting at 200, 
or the largest number used in the
password file. 
The default group 
.SM ID 
for new users is 50. 
The minimum group 
.SM ID 
allowed for user accounts is 50.
The program prompts
the operator for an optional group specification. This can either
be a numeric group 
.SM ID\*S, 
or a group name. If the group exists the
user is added to it. If it does not exist a new entry in
.I /etc/group
is created. A new group cannot have a numeric 
.SM ID 
less than 51. 
If a new group is to be created, and the operator only specifies
the group name, a free group 
.SM ID 
is assigned. Alternatively the
operator can specify the group 
.SM ID 
too.
.PP
.I Mkuser
can only be executed by the super-user.
.PP
The minimum length of a legal password, and the
minimum and maximum number of weeks used in password
aging are specified in 
.B /etc/default/passwd
by the variables 
.SM PASSLENGTH,
.SM MINWEEKS
and
.SM MAXWEEKS.
For example, these variables might be set as follows:
.IP
.SM PASSLENGTH=6
.br
.SM MINWEEKS=2
.br
.SM MAXWEEKS=6
.SH Files
/etc/passwd
.PP
.RI /usr/spool/mail/ username
.PP
/etc/default/mkuser
.PP
/usr/lib/mkuser.help
.PP
/usr/lib/mkuser.prof
.PP
/usr/lib/mkuser.mail
.SH "See Also"
rmuser(C), 
passwd(C),
pwadmin(C)
