.\" bm# 0000002064
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mount.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MOUNT C
.SH Name
mount \- Mounts a file structure.
.SH Syntax
.B /etc/mount
[ special-device directory [ 
.B \-r 
]]
.PP
.B /etc/umount 
special-device
.SH Description
.I Mount 
announces to the system that a removable file
structure is present on 
.I special-device.
The file structure is mounted on
.I directory.
The 
.I directory
must already exist; it becomes the name of the 
root of the newly mounted file structure.
.PP
The
.I mount
and
.I umount
commands maintain a table of mounted devices.
If invoked with no arguments,
for each special device
.I mount\^
prints the name of the device, 
the directory name of the
mounted file structure,
whether the file structure is readonly, and the date it
was mounted.
.PP
The optional last argument indicates that the file
is to be mounted read-only.
Physically write-protected 
must be mounted in this way
or errors occur when access times are updated,
whether or not any explicit write is attempted.
.PP
.I Umount\^
removes the removable 
file structure previously mounted on device
.I special-device.
.SH Files
/etc/mnttab	Mount table
.SH "See Also"
umount(C),
mount(S),
mnttab(F)
.ne 1i
.SH Diagnostics
.I Mount\^
issues a warning if the file structure to be mounted
is currently mounted under another name.
.PP
Busy file structures cannot be dismounted
with
.I umount.
A file structure is busy if
it contains an open file or some user's working directory.
.SH Notes
Some degree of validation is done on the file structure, however
it is generally unwise to mount corrupt file structures.
.PP
Be warned that when in
single-user mode, the commands that look in 
.B /etc/mnttab 
for default arguments (for example
.IR df , 
.IR ncheck , 
.IR quot , 
.IR mount , 
and 
.IR umount ) 
give either incorrect results (due to a corrupt 
.B /etc/mnttab 
from a non-shutdown stoppage) 
or no results (due to
an empty mnttab from a 
.I shutdown 
stoppage).
.P
When multi-user this is not a problem; 
.I /etc/rc 
initializes 
.B /etc/mnttab 
to contain only 
.B /dev/root 
and subsequent mounts update it appropriately.
.P
The
.IR mount (C)
and 
.IR umount (C)
commands use a lock file to guarantee exclusive access to 
.BR /etc/mnttab , 
the commands which just read it
(those mentioned above) do not, 
so it is possible to they may hit a window
during which it is corrupt.  
This is not a problem in practice
since 
.I mount 
and 
.I umount
are not frequent operations.
