.\" bm# 0000002199
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)passwd.C	1.1);


.ds mc 
.ds rv Revision 1
.TH PASSWD C
.SH Name
passwd \- Changes login password.
.SH Syntax
.B passwd
name
.SH Description
This command changes (or installs) a password
associated with the login
.IR name .
.PP
The program prompts for the old password 
(if any) and then for the new one (twice).
The user must supply these.
Passwords can be of any reasonable length, but
only the first eight characters of the password are significant.
The minimum number of characters allowed in a
new password is determined by the 
.SM PASSLENGTH
variable. This minimum must be at least five.
.PP
Only the owner of the name or the super-user may change a password;
the owner must prove he knows the old password.
Only the super-user can create a null password.
.PP
The password file is not changed if the new password
is the same as the old password, 
or if the password has not ``aged'' sufficiently; see 
.IR passwd (M)).
.PP
The minimum length of a legal password, and the
minimum and maximum number of weeks used in password
aging are specified in 
.B /etc/default/passwd
by the variables 
.SM PASSLENGTH,
.SM MINWEEKS
and
.SM MAXWEEKS.
For example, these variables might be set as follows:
.IP
.SM PASSLENGTH=6
.br
.SM MINWEEKS=2
.br
.SM MAXWEEKS=6
.SH Files
/etc/default/passwd
.sp 10p
/etc/passwd
.SH "See Also"
login(M), pwadmin(C), crypt(S), default(M), passwd(M)
