.\" bm# 0000002198
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)pr.C	1.1);


.ds mc 
.ds rv Revision 1
.TH PR C
.SH Name
pr \- Prints files on the standard output.
.SH Syntax
.B pr
[ options ]
[ files ]
.SH Description
.I Pr\^
prints the named files on the standard output.
If
.I file\^
is
.BR \- ,
or if no files are specified, the standard input is assumed.
By default, the listing is separated into pages,
each headed by the page number, date and time, and
the name of the file.
.PP
By default, columns are of equal width, separated
by at least one space; lines which do not fit are
truncated. If the
.B \-s
option is used, lines are not truncated
and columns are separated by the separation character.
.PP
If the standard output is associated with
a terminal, error messages are withheld until
.I pr\^
has completed printing.
.PP
Options may appear singly or be combined in any order.
Their meanings are:
.TP "\w'\-ick\ \ \ \ 'u"
.BI + k\^
Begins printing with page
.I k\^
(default is 1).
.TP
.BI \- k\^
Produces
.IR k -column
output (default is 1).
The options
.B \-e
and
.B \-i
are assumed for multicolumn output.
.TP
.B \-a
Prints multicolumn output across the page.
.TP
.B \-m
Merges and prints all files simultaneously,
one per column (overrides the \f3\-\fP\fIk\fP,
and
.B \-a
options).
.TP
.B \-d
Double-spaces the output.
.TP
.BI \-e ck\^
Expands
.I input\^
tabs to character positions
.IR k "+1, 2\(**" k "+1, 3\(**" k +1,
etc.
If
.I k\^
is 0 or is omitted, default tab settings
at every 8th position are assumed.
Tab characters in the input are expanded
into the appropriate number of spaces.
If
.I c\^
(any nondigit character)
is given, it is treated as the input tab character
(default for
.I c\^
is the tab character).
.TP
.BI \-i ck\^
In
.IR output ,
replaces whitespace wherever possible by inserting tabs
to character positions
.IR k "+1, 2\(**" k "+1, 3\(**" k +1,
etc.
If
.I k\^
is 0 or is omitted, default tab settings
at every 8th position are assumed.
If
.I c\^
(any nondigit character)
is given, it is treated as the output tab character
(default for
.I c\^
is the tab character).
.TP
.BI \-n ck\^
Provides
.IR k -digit
line numbering (default for
.I k\^
is 5).
The number occupies the first
.IR k +1
character positions of each column of normal output
or each line of
.B \-m
output.
If
.I c\^
(any nondigit character) is given,
it is appended to the line number to separate
it from whatever follows (default for
.I c\^
is a tab).
.TP
.BI \-w k\^
Sets the width of a line to
.I k\^
character positions
(default is 72 for equal-width multicolumn
output, no limit otherwise).
.TP
.BI \-o k\^
Offsets each line by
.I k\^
character positions (default is 0).
The number of character positions
per line is the sum of the width and offset.
.TP
.BI \-l k\^
Sets the length of a page to
.I k\^
lines (default is 66).
.TP
.B \-h
Uses the next argument as the header to be printed
instead of the filename.
.TP
.B \-p
Pauses before beginning each page if the
output is directed to a terminal
.RI ( pr\^
will ring the bell at the terminal and
wait for a carriage return).
.TP
.B \-f
Uses form feed character for new pages
(default is to use a sequence of linefeeds).
Pauses before beginning the first page if
the standard output is associated with a terminal.
.TP
.B \-r
Prints no diagnostic reports on failure to open files.
.TP
.B \-t
Prints neither the 5-line identifying
header nor the 5-line trailer normally
supplied for each page.
Quits printing after the last line of each file
without spacing to the end of the page.
.TP
.BI \-s c\^
Separates columns by the single character
.I c\^
instead of by the appropriate number
of spaces (default for
.I c\^
is a tab).
.ne 2i
.SH Examples
The following prints
.I file1
and
.I file2
as a double-spaced, three-column listing
headed by ``file list'':
.IP
pr \|\-3dh \|"file \|list" \|file1 \|file2
.PP
The following writes
.B file1
on
.BR file2 ,
expanding tabs to columns 10, 19, 28, 37, .\|.\|. :
.IP
pr \|\-e9 \|\-t \|<file1 \|>file2
'\"	.SH Files
'\"	/dev/tty\(**	To suspend messages
.bp
.SH "See Also"
cat(C)
