.\" bm# 0000002196
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)pstat.C	1.1);


.ds mc 
.ds rv Revision 1
.TH PSTAT C
.SH Name
pstat \- Reports system information.
.SH Syntax
.B pstat
[
.B \-aixpuf
] [ suboptions ]
[ file ]
.SH Description
.I Pstat
interprets the contents of certain system tables.
If
.I file
is given, the tables are sought there, otherwise
in
.I /dev/mem.
The required namelist is taken from
.I /xenix.
Options are:
.TP \w'WCHAN\ 'u
.B \-a
Under
.BR \-p ,
describe all process slots rather than just active ones.
.TP
.B \-i
Print the inode table with the these headings:
.PD 0
.RS
.TP 8
LOC
The core location of this table entry.
.TP 8
FLAGS
Miscellaneous state variables encoded thus:
.RS
.IP L
Locked
.IP U
Update time
.IR filesystem (F)
must be corrected
.IP A
Access time must be corrected
.IP M
File system is mounted here
.IP W
Wanted by another process (L flag is on)
.IP T
Contains a text file
.IP C
Changed time must be corrected
.RE
.TP 8
CNT
Number of open file table entries for this inode.
.TP 8
DEV
Major and minor device number of file system in which
this inode resides.
.TP 8
INO
I-number within the device.
.TP 8
MODE
Mode bits, see
.IR chmod (S).
.TP 8
NLK
Number of links to this inode.
.TP 8
UID
User ID of owner.
.TP 8
SIZ/DEV
Number of bytes in an ordinary file, or
major and minor device of special file.
.RE
.PD
.TP
.B \-x
Prints the text table with these headings:
.PD 0
.RS
.TP 8
LOC
The core location of this table entry.
.TP 8 
FLAGS
Miscellaneous state variables encoded thus:
.RS
.IP T
.IR ptrace (S)
in effect
.IP W
Text not yet written on swap device
.IP L
Loading in progress
.IP K
Locked
.IP w
Wanted (L flag is on)
.RE
.TP 8 
DADDR
Disk address in swap, measured in multiples of BSIZE bytes.
.TP 8 
CADDR
Core address, measured in units of
memory management resolution, usually either 64 or 128 bytes.
.TP 8 
SIZE
Size of text segment, measured in units of
memory management resolution, usually either 64 or 128 bytes.
.TP 8 
IPTR
Core location of corresponding inode.
.TP 8 
CNT
Number of processes using this text segment.
.TP 8
CCNT
Number of processes in core using this text segment.
.RE
.PD
.TP
.B \-p
Prints process table for active processes with these headings:
.RS
.PD 0
.TP 8
 LOC
The core location of this table entry.
.TP 8 
S
Run state encoded thus:
.RS
.IP 0
No process
.IP 1
Waiting for some event
.IP 3
Runnable
.IP 4
Being created
.IP 5
Being terminated
.IP 6
Stopped under trace
.RE
.TP 8
F
Miscellaneous state variables, ORed together:
.RS
.IP 01
Loaded
.IP 02
The scheduler process
.IP 04
Locked
.IP 010
Swapped out
.IP 020
Traced
.IP 040
Used in tracing
.IP 0100
Locked in by
.IR lock (S).
.RE
.TP 8
PRI
Scheduling priority, see
.IR nice (S).
.TP 8
SIGNAL
Signals received (signals 1-16 coded in bits 0-15),
.TP 8
UID
Real user ID.
.TP 8
TIM
Time resident in seconds; times over 127 coded as 127.
.TP 8
CPU
Weighted integral of CPU time, for scheduler.
.TP 8
NI
Nice level,
see
.IR nice (S).
.TP 8
PGRP
Process number of root of process group
(the opener of the controlling terminal).
.TP 8
PID
The process ID number.
.TP 8
PPID
The process ID of parent process.
.TP 8
ADDR
If in core, the physical address of the ``u-area'' of
the process measured in units of
memory management resolution, 
usually either 64 or 128 bytes.
If swapped out, the position in the swap area
measured in multiples of BSIZE bytes.
.TP 8
SIZE
Size of process image,
measured in units of
memory management resolution, usually usually 64 or 128 bytes.
.TP 8
WCHAN
Wait channel number of a waiting process.
.TP 8
LINK
Link pointer in list of runnable processes.
.TP 8
TEXTP
If text is pure, pointer to location of text table entry.
.TP 8
CLKT
Countdown for
.IR alarm (S)
measured in seconds.
.RE
.PD
.TP
.B \-u
Print information about a user process;
the next argument is its address as given
by
.IR ps (C).
The process must be in main memory, or the file used can
be a core image and the address 0.
.TP
.B \-f
Print the open file table with these headings:
.RS
.PD 0
.TP 8
LOC
The core location of this table entry.
.TP 8
FLG
Miscellaneous state variables encoded thus:
.RS
.IP R
Open for reading
.IP W
Open for writing
.IP P
Pipe
.RE
.TP 8
CNT
Number of processes that know this open file.
.TP 8
INO
The location of the inode table entry for this file.
.TP 8
OFFS
The file offset, see
.IR lseek (S).
.RE
.PD
.SH Files
.ta \w'/dev/mem  'u
/xenix	Namelist
.sp 
/dev/mem	Default source of tables
.SH "See Also"
ps(C), stat(S), filesystem(F)
.DT
