.\" bm# 0000002192
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)quot.C	1.1);


.ds mc 
.ds rv Revision 1
.TH QUOT C 
.SH Name
quot \- Summarizes file system ownership.
.SH Syntax
.B quot
[ option ] ...
[ filesystem ]
.SH Description
.I Quot
prints the number of blocks in the named
.I filesystem
currently owned by each user.
If no 
.I filesystem
is named, the file systems given in 
.B /etc/mnttab
are examined.
.PP
The following options are available:
.TP
.B \-n
Causes the following pipeline
to produce a list of all files and their owners:
.RS
.sp 1
.nf
   ncheck filesystem | sort +0n | quot \-n filesystem
.fi
.RE
.TP
.B \-c
Prints three columns giving file size in blocks, number of
files of that size, and cumulative total of blocks
in that size or smaller file.
Data for files of size greater than 499 blocks are
included in the figures for files of exactly size 499.
.TP
.B \-f
Prints count of number of files as well as space owned by each user.
.SH Files
.TP 25
/etc/passwd
Gets user names
.TP
/etc/mnttab
Contains list of mounted file systems
.SH "See Also"
du(C), ls(C) 
.SH Notes
Holes in files are counted as if they actually occupied space.
.PP
See also
.I Notes
under
.IR mount (C).
