.\" bm# 0000002190
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rcp.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RCP C
.SH Name
rcp \- Copies files across \s-1XENIX\s0 systems.
.SH Syntax
.B rcp
[ options ] [srcmachine:]srcfile [destmachine:]destfile
.SH Description
.I Rcp
copies files between systems in a Micnet network.
The command copies the
.I srmachine:srcfile 
to 
.IR destmachine:destfile ,
where 
.IR srcmachine :
and 
.IR destmachine :
are optional names of systems in the network, and
.I srcfile
and
.I destfile
are pathnames of files.
If a machine name is not given, the name of the current
system is assumed.  If  
.B \-
is given in place of 
.IR srcfile ,
.I rcp
uses the standard input as the source.
Directories named on the destination machine must be
publicly writable, and directories and files named on 
a remote source machine must be publicly readable.
.PP
The available options are:
.TP
.B \-m
Mails and reports completion of the command, whether
there is an error or not.
.TP
.BI \-u \fR[\fImachine\fR:]\fIuser\fR
.br
Any mail goes to the named 
.I user
on
.IR machine .
The default 
.I machine 
is the machine on which 
.I rcp
is invoked.
.PP
.I Rcp
is useful for transferring small numbers of files 
across the network.  The network consists of 
daemons that periodically awaken and send files 
from one system to another.  The network 
must be be installed using 
.IR netutil\^ (C)
before
.I rcp
can be used.  Also, to enable transfer of files from 
a remote system, the line
.PP
.RS
rcp=/usr/bin/rcp
.RE
.PP
must be added to the default file
.IR /etc/default/micnet
on the systems in the network.
.SH Example
.PP
.RS
.nf
rcp \-m machine1:/etc/mnttab  /tmp/vtape
.fi
.RE
.SH "See Also"
netutil(C), remote(C), mail(C), micnet(M)
.SH Diagnostics
If an error occurs mail is sent to the user.
.SH Notes
Full pathnames must be specified for remote files.
.PP
.I Rcp\^
handles binary data files transparently,
no extra options or protocols are needed to handle them.
Wildcards are not expanded on the remote machine.
