.\" bm# 0000002141
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)remote.C	1.1);


.ds mc 
.ds rv Revision 1
.TH REMOTE C
.SH Name
remote \-  Executes commands on a remote \s-1XENIX\s+1 system.
.SH Syntax
.B remote
[ \- ] [ \-f file ] [ \-m ] [ \-u user]
machine\0 
.br
command [ arguments ]
.SH Description
.I Remote
is a limited networking facility that permits
execution of
.SM XENIX 
commands across serial lines.
Commands on any connected
.SM system 
may be executed from the host system using 
.I remote.
A command line consisting of 
.IR command
and any blank-separated
.I arguments
is executed on the remote 
.IR machine .
A machine's name is located in the file
.BR /etc/systemid .
Note that wild cards are 
.I not
expanded on the remote machine, so they should not
be specified in 
.I arguments.
.SM ID.
The optional
.B \-m 
switch causes mail to be sent to the user telling
whether the command is successful.
.PP
The available options follow:
.TP 10
.B \-
A dash signifies that standard input is used 
as the standard input for
.I command
on the remote
.IR machine .
Standard input comes
from the local host and not from the remote machine.
.TP 
.BI \-f " file"
Use the specified
.I file
as the standard input for
.I command
on the remote
.IR machine .
The 
.I file
exists on the local host and not on the remote machine.
.TP
.B \-m
Mails the user to report completion of the command.
By default, mail reports only errors.
.TP
.B \-u
Any report mail goes to the named user rather than
to the executor of the command.
The user name may have a prepending 
.IR machine
name to signify a user on some remote system.
.PP
Before 
.I remote
can be successfully used,
a network of systems must first be set up 
and the proper daemons initialized using
.IR netutil\^ (C).
Also, entries for the command to be executed using
.I remote 
must be added to the 
.I /etc/default/micnet 
files on each remote machine.
.br
.ne 1i
.SH Example
The following command executes an
.I ls
command on the directory
.BR /tmp
of the machine
.IR machine1 :
.PP
.RS
.nf
remote machine1 ls /tmp
.fi
.RE
.PP
.SH "See Also"
rcp(C), mail(C), netutil(C), micnet(M)
.SH Notes
The 
.I mail 
command uses the equivalent of 
.I remote
to send mail between machines.
