.\" bm# 0000002189
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)restor.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RESTOR C 
.SH Name
restor \- Invokes incremental file system restorer.
.SH Syntax
.I restor\^
key [ arguments ]
.SH Description
.I Restor\^
is used to read archive media backed up with the
.I dump\^
command.
The
.I key\^
specifies what is to be done.
.I Key\^
is one of the characters
.BR rRxt ,
optionally combined with
.BR f .
.TP
.B  f
Uses the first
.I argument\^
as the name of the archive instead of the default.
.TP
.BR  r , R  
The archive is read and loaded into the file system
specified in
.IR argument .
This should not be done lightly (see below).
If the key is
.BR R ,
.I restor\^
asks which archive of a multivolume set to start on.
This allows
.I restor\^
to be interrupted and then
restarted (an
.I fsck\^
must be done before the restart).
.TP
.B  x
Each file on the archive named by an 
.I argument\^
is extracted.
The filename has all ``mount'' prefixes removed;
for example, if
.B /usr
is a mounted file system,
.B /usr/bin/lpr
is named
.B /bin/lpr
on the archive.
The extracted file is placed in a file with a numeric name supplied by
.I restor\^
(actually the inode number).
In order to keep the amount of archive read to a minimum,
the following procedure is recommended:
.RS
.TP
1.
Mount volume 1 of the set of backup archives.
.TP
2.
Type the
.I restor\^
command.
.TP
3.
.I Restor\^
will announce whether or not it found the files,
give the numeric name that it will assign to the file, 
and in the case of a tape, rewind to the start of the archive.
.TP
4.
It then asks you to ``mount the desired tape volume''.
Type the number of the volume you choose.
On a multivolume backup the recommended procedure is to mount the
last through the first volumes, in that order.
.I Restor\^
checks to see if any of the requested files are on the
mounted archive (or a later archive\-thus the reverse order). 
If the requested files are not there, \fIrestor\fR
doesn't read through the tape.
If you are working with a single-volume backup 
or if the number of files
being restored is large, respond to the query with
.B 1
and
.I restor\^
will read the archives in sequential order.
.RE
.TP
.B t
Prints the date the archive was written and the date
the file system was backed up.
.PP
The
.B r
option should only be used to restore
a complete backup archive onto a clear file system,
or to restore an incremental backup archive onto
a file system so created.
Thus:
.PP
	/etc/mkfs\ \|/dev/hd1\ \|10000
.br
	restor\ \|r\ \|/dev/hd1
.PP
is a typical sequence to restore a complete backup.
Another
.I restor\^
can be done to get an incremental backup in on top of this.
.PP
A
.I dump\^
followed by a
.I mkfs\^
and a
.I restor\^
is used to
change the size of a file system.
.SH Files
.TP 23
rst*
Temporary files
.TP
/etc/default/dump
Name of default archive device
.PP
The default archive unit varies with installation.
.SH "See Also"
dump(C), fsck(C), mkfs(C)
.SH Diagnostics
There are various diagnostics
involved with reading the archive and writing the disk.
There are also diagnostics if the i-list or the free list
of the file system is not large enough to hold the dump.
.PP
If the dump extends over more than one disk or tape,
it may ask you to change disks or tapes.
Reply with a newline when the next unit has been mounted.
.SH Notes
'\"	There is redundant information on the tape
'\"	that could be used in case of tape reading problems.
'\"	Unfortunately,
'\"	.I restor\^
'\"	doesn't use it.
It is not possible to successfully 
.I restor 
an entire active root file system. 
