.\" bm# 0000002188
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rm.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RM C 
.SH Name
rm, rmdir  \- Removes files or directories.
.SH Syntax
.B rm
[
.B \-fri
] file ...
.PP
.B rmdir
dir ...
.PP
.SH Description
.I Rm\^
removes the entries for one or more
files
from a directory.
If an entry was the last link to the file, the file
is destroyed.
Removal of a file requires write permission in its directory,
but neither read nor write permission on the file itself.
.PP
If a file has no write permission
and the standard input is a terminal,
its permissions are printed and a line is read from
the standard input.
If that line begins with \f3y\fP the file is deleted,
otherwise the file remains.
No questions are asked
when the
.B \-f
option is given
or if the standard input is not a terminal.
.PP
If a designated file is a directory,
an error comment is printed unless the optional
argument
.B \-r
has been used.
In that case,
.I rm\^
recursively deletes the
entire contents of the specified directory,
and the directory itself.
.PP
If the
.B \-i
(interactive) option is in effect,
.I rm\^
asks whether to delete each file,
and if the
.BR \-r 
option is in effect,
whether to examine each directory.
.PP
.I Rmdir\^
removes empty directories.
.SH "See Also"
rmdir(C)
.SH Diagnostics
Generally self-explanatory.
It is forbidden to remove the file \f3..\fP to avoid the
consequences of inadvertently doing something like:
.IP
rm \-r .\(**
.PP
It is also forbidden to remove the root directory of a given
file system.
