.\" bm# 0000002186
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rmuser.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RMUSER C 
.SH Name
rmuser \- Removes a user from the system.
.SH Syntax
.B /etc/rmuser
.SH Description
.I Rmuser
removes users from the system.
It begins by prompting for a user name;
after receiving a valid user name as a response,
it then deletes the named user's entry in the password file, 
and removes the user's mailbox file,
the
.I .profile
file, and the entire home directory. It will also remove the
users group entry in
.I /etc/group
if the user was the only remaining member of that group, and the
group
.SM ID
was greater than 50.
.PP
Before removing a user 
.SM ID
from the system,
make sure its mailbox is empty and that all files belonging 
to that user 
.SM ID
have been saved or deleted as required.
.PP
The
.I rmuser
program will refuse to remove a user 
.SM ID 
or any of its files if one or
more of the following checks fails:
.TP
\-
The user name given is one of the ``system'' user names such
as root, sys, sysinfo, cron, or uucp. All user 
.SM IDs 
less than
200 are considered reserved for system use, and cannot be removed using
.IR rmuser .
Likewise all group
.SM IDs
less than 50 are not removable using
.IR rmuser .
.TP
\-
The user's mailbox exists and is not empty.
.TP
\-
The user's home directory contains files other than
.IR .profile .
.PP
.I Rmuser
can only be executed by the super-user.
.SH Files
/etc/passwd
.PP
.RI /usr/spool/mail/ username
.PP
.SM $HOME
.SH "See Also"
mkuser(C), dump(C)
