.\" bm# 0000002185
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rsh.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RSH C
.SH Name
rsh \- Invokes a restricted shell (command interpreter).
.SH Syntax
.B rsh
[ flags ]
[ name [ arg1 ... ] ]
.SH Description
.I Rsh\^
is a restricted version of the standard command interpreter
.IR sh (C).
It is used to set up login names and execution environments whose
capabilities are more controlled than those of the standard shell.
The actions of
.I rsh\^
are identical to those of
.IR sh ,
except that 
changing directory with
.I cd\^,
setting the value of
.SM
$PATH,
using command names containing slashes,
and  redirecting output using
.B >
and
.B >>
are all disallowed.
.RE
.PP
When invoked with the name
.BR \-rsh ,
.I rsh\^
reads the user's \f3.profile\fP (from \f3\s-1$HOME\s+1/.profile\fP).
It acts as the standard
.I sh\^
while doing this,
except that an interrupt causes an immediate exit,
instead of causing a return to command level.
The restrictions above are enforced
after \f3.profile\fP is interpreted.
.PP
When a command to be executed is found to be a shell procedure,
.I rsh\^
invokes
.I sh\^
to execute it.
Thus, it is possible to provide to the end user shell procedures 
that have access to the full power of
the standard shell,
while restricting him to a limited menu of commands;
this scheme assumes that the end user does not have write and
execute permissions in the same directory.
.PP
The net effect of these rules is that the writer of the
.B .profile
has complete control over user actions,
by performing guaranteed setup actions,
then leaving the user in an appropriate directory
(probably
.I not\^
the login directory).
.PP
.I Rsh\^
is actually just a link to
.I sh\^
and any
.I flags\^
arguments are the same as for
.IR sh (C).
.PP
The system administrator often sets up a directory
of commands that can be safely invoked by
.IR rsh .
.SH "See Also"
sh(C), profile(M)
