.\" bm# 0000002184
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sddate.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SDDATE C
.SH Name
sddate \- Prints and sets backup dates.
.SH Syntax
.B sddate
[ name lev date ]
.SH Description
If no argument is given, 
the contents of the backup date file ``/etc/ddate''
are printed.
The backup date file is maintained by
.IR dump (C)
and contains the date of the most recent backup 
for each backup level for each filesystem.
.PP
If arguments are given, an entry is replaced or made in ``/etc/ddate''.
.I name
is the last component of the device pathname.
.I lev
is the backup level number (from 0 to 9), and
.I date
is a time in the form taken by
.IR date (C):
.IP
mmddhhmm[yy]
.PP
Where the first
.I mm
is a two-digit month in the range 01-12,
.I dd
is a two-digit day of the month,
.I hh
is a two-digit military hour from 00-23,
and the
final
.I mm
is a two-digit minute from 00-59.
An optional two-digit year,
.I yy,
is presumed to be an offset from the year 1900,
i.e., 19\fIyy\fR.
.PP
Some sites may wish to back up file systems 
by copying them verbatim to backup media.
.I Sddate
could be used to make a ``level 0'' entry
in ``/etc/ddate'', which would then allow incremental backups.
.PP
For example:
.IP
sddate rhd0 5 10081520
.PP
makes an ``/etc/ddate'' entry 
showing a level 5 backup of ``/dev/rhd0''
on October 8, at 3:20 PM.
.SH Files
/etc/ddate
.bp
.SH "See Also"
dump(C), date(C)
.SH Diagnostics
\fIbad conversion\fR    If the date set is syntactically incorrect.
