.\" bm# 0000002183
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sdiff.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SDIFF C
.SH Name
sdiff \- Compares files side-by-side.
.SH Syntax
.B sdiff
[ options ... ]
file1 file2
.SH Description
.I Sdiff\^
uses the output of
.IR diff (C)
to produce a side-by-side listing of two files indicating those
lines that are different.
Each line of the two files is printed with a blank gutter between them
if the lines are identical, a
.B <
in the gutter
if the line only exists in
.IR file1 ,
a
.B >
in the gutter
if the line only exists in
.IR file2 ,
and a
.B |
for lines that are different.
.PP
For example:
.PP
.RS 11
.nf
	x	|	y
	a		a
	b	<
	c	<
	d		d
		>	c
.fi
.RE
.PP
The following options exist:
.TP 11
.BI \-w "  n\^"
Uses the next argument,
.IR n ,
as the width of the output line.
The default line length is 130 characters.
.TP
.BR \-l
Only prints the left side of any lines that are identical.
.TP
.BR \-s
Does not print identical lines.
.TP
.BI \-o "  output\^"
Uses the next argument,
.IR output ,
as the name of a third file that is created 
as a user-controlled merging of 
.I file1\^
and
.IR file2 .
Identical lines of
.I file1\^
and
.I file2\^
are copied to 
.IR output .
Sets of differences, as produced by
.IR diff (C),
are printed; where a set of differences share a common gutter character.
After printing each set of differences,
.I sdiff\^
prompts the user with a
.B %
and waits for one of the following user-typed commands:
.PP
.RS 19
.TP
.B l
Appends the left column to the output file
.TP
.B r
Appends the right column to the output file
.TP
.B s
Turns on silent mode; does not print identical lines
.TP
.B v
Turns off silent mode
.TP
.B "e  l"
Calls the editor with the left column
.TP
.B "e  r"
Calls the editor with the right column
.TP
.B "e  b"
Calls the editor with the concatenation of left and right
.TP
.B e
Calls the editor with a zero length file
.TP
.B q
Exits from the program
.RE
.sp .2i
.RS 11
On exit from the editor, the resulting file is concatenated on the end of the
.I output\^
file.
.RE
.SH "See Also"
diff(C), ed(C)
