.\" bm# 0000002174
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)stty.C	1.1);


.ds mc 
.ds rv Revision 1
.TH STTY C
.SH Name
stty \- Sets the options for a terminal.
.SH Syntax
.B stty
[
.B \-a
]
[
.B \-g
] [ options ]
.SH Description
.I Stty\^
sets certain terminal \s-1I/O\s+1 options for the device that is
the current standard input;
without arguments, it reports the settings of certain options;
with the
.B \-a
option, it reports all of the option settings;
with the
.B \-g
option, it reports current settings in a form that 
can be used as an argument
to another
.I stty\^
command.
Detailed information about the modes listed in the 
first five groups below may be found in
.IR tty (M).
Options in the last group are implemented using options in the previous
groups.  
The options are
selected from the following:
.SS \fIControl Modes\fR
.TP 
.BR parenb " (" \-parenb )
Enables (disables) parity generation and detection.
.TP
.BR parodd " (" \-parodd )
Selects odd (even) parity.
.TP
.B "cs5 cs6 cs7 cs8"
Selects character size (see
.IR tty (M)).
.TP
.B 0
Hangs up phone line immediately.
.TP
.B 
50 75 110 134 150 200 300 600 
.ns
.TP
.B 1200 1800 2400 4800 9600 exta extb
.R
Sets terminal baud rate to the number given, if possible.
.TP
.BR hupcl " (" \-hupcl )
Hangs up (does not hang up)
phone connection on last close.
.TP
.BR hup " (" \-hup )
Same as
.BR hupcl " (" \-hupcl ).
.TP
.BR cstopb " (" \-cstopb )
Uses two(one) stop bits per character.
.TP
.BR cread " (" \-cread )
Enables (disables) the receiver.
.TP
.BR clocal " (" \-clocal )
Assumes a line without (with) modem control.
.SS \fIInput Modes\fR
.TP
.BR ignbrk " (" \-ignbrk )
Ignores (does not ignore) break on input.
.TP
.BR brkint " (" \-brkint )
Signals (does not signal) \s-1INTR\s+1 on break.
.TP
.BR ignpar " (" \-ignpar )
Ignores (does not ignore) parity errors.
.TP
.BR parmrk " (" \-parmrk )
Marks (does not mark) parity errors (see
.IR tty (M)).
.TP
.BR inpck " (" \-inpck )
Enables (disables) input parity checking.
.TP
.BR istrip " (" \-istrip )
Strips (does not strip) input characters to 7 bits.
.TP
.BR inlcr " (" \-inlcr )
Maps (does not map) \s-1NL\s+1 to \s-1CR\s+1 on input.
.TP
.BR igncr " (" \-igncr )
Ignores (does not ignore) \s-1CR\s+1 on input.
.TP
.BR icrnl " (" \-icrnl )
Maps (does not map) \s-1CR\s+1 to \s-1NL\s+1 on input.
.TP
.BR iuclc " (" \-iuclc )
Maps (does not map) uppercase alphabetics to lowercase on input.
.TP
.BR ixon " (" \-ixon )
Enables (disables) \s-1START\s+1/\s-1STOP\s+1
output control.  Output is stopped by sending
an \s-1ASCII DC3\s+1 and started by sending an \s-1ASCII DC1\s+1.
.TP
.BR ixany " (" \-ixany )
Allows any character (only \s-1DC1\s+1) to restart output.
.TP
.BR ixoff " (" \-ixoff )
Requests that the system send (not send) \s-1START/STOP\s+1 characters
when the input queue is nearly empty/full.
.bp
.SS \fIOutput Modes\fR
.TP
.BR opost " (" \-opost )
Post-processes output (does not post-process 
output; ignores all other output modes).
.TP
.BR olcuc " (" \-olcuc )
Maps (does not map) lowercase alphabetics to uppercase on output.
.TP
.BR onlcr " (" \-onlcr )
Maps (does not map) \s-1NL\s+1 to \s-1CR-NL\s+1 on output.
.TP
.BR ocrnl " (" \-ocrnl )
Maps (does not map) \s-1CR\s+1 to \s-1NL\s+1 on output.
.TP
.BR onocr " (" \-onocr )
Does not (does) output \s-1CR\s+1s at column zero.
.TP
.BR onlret " (" \-onlret )
On the terminal \s-1NL\s+1 performs (does not perform) 
the \s-1CR\s+1 function.
.TP
.BR ofill " (" \-ofill )
Uses fill characters (use timing) for delays.
.TP
.BR ofdel " (" \-ofdel )
Fill characters are \s-1DEL\s+1s (\s-1NUL\s+1s).
.TP
.B "cr0 cr1 cr2 cr3"
Selects style of delay for carriage returns (see
.IR tty (M)).
.TP
.B "nl0 nl1"
Selects style of delay for linefeeds (see
.IR tty (M)).
.TP
.B "tab0 tab1 tab2 tab3"
Selects style of delay for horizontal tabs (see
.IR tty (M)).
.TP
.B "bs0 bs1"
Selects style of delay for backspaces (see
.IR tty (M)).
.TP
.B "ff0 ff1"
Selects style of delay for form feeds (see
.IR tty (M)).
.TP
.B "vt0 vt1"
Selects style of delay for vertical tabs (see
.IR tty (M)).
.bp
.SS \fILocal Modes\fR
.TP 
.BR isig " (" \-isig )
Enables (disables) the checking of characters against 
the special control
characters \s-1INTR\s+1 and \s-1QUIT\s+1.
.TP
.BR icanon " (" \-icanon )
Enables (disables) canonical input 
(\s-1ERASE\s+1 and \s-1KILL\s+1 processing).
.TP
.BR xcase " (" \-xcase )
Canonical (unprocessed) upper/lowercase presentation.
.TP
.BR echo " (" \-echo )
Echoes back (does not echo back) every character typed.
.TP
.BR echoe " (" \-echoe )
Echoes (does not echo) \s-1ERASE\s+1 character as
a backspace-space-backspace string.  Note: this mode will erase the
\s-1ERASE\s+1ed character on many \s-1CRT\s+1 terminals;
however, it does
.I not\^
keep track of column position and, as a result, may be confusing
on escaped characters, tabs, and backspaces.
.TP
.BR echok " (" \-echok )
Echoes (does not echo) \s-1NL\s+1 after \s-1KILL\s+1 character.
.TP
.BR lfkc " (" \-lfkc )
The same as
.BR echok " (" \-echok );
obsolete.
.TP
.BR echonl " (" \-echonl )
Echoes (does not echo) \s-1NL\s+1.
.TP
.BR noflsh " (" \-noflsh )
Disables (enables) flush after \s-1INTR\s+1 or \s-1QUIT\s+1.
.SS \fIControl Assignments\fR
.TP 
.I "control-character-C\^"
Sets
.I control-character\^
to
.IR C ,
where
.I control-character\^
is
.BR erase ", " kill ", " intr ", "
.BR quit ", " eof ", " eol ,
If
.I C\^
is preceded by a caret  
.RB ( ^ )
(escaped from the shell),
then the value used is the corresponding \s-1CNTRL\s+1 character
(e.g.,
``^D''
is a
\s-1CNTRL\s+1-D );
``^?''
is interpreted as \s-1DEL\s+1 and
``^\-''
is interpreted as undefined.
.TP
.B min \fIi\fR, \fBtime\fI i\fR (0<\fIi\fR<127)
When 
.B \-icanon
is not set, read requests are not satisfied until at least
.B min
characters have been received or the timeout value
.B time
has expired. See \fItty\fR(C).
.TP
.BI line " i\^"
Sets the line discipline to
.I i\^
(0 <
.I i\^
< 127
). There are currently no line disciplines
implemented.
.SS \fICombination Modes\fR
.TP 
.BR evenp " or " parity
Enables
.BR parenb " and " cs7 .
.TP
.B oddp
Enables
.BR parenb ", " cs7 ", and " parodd .
.TP
.BR \-parity ", " \-evenp ", or " \-oddp
Disables
.BR parenb ,
and sets
.BR cs8 .
.TP
.BR raw " (" \-raw " or " cooked )
Enables (disables) raw input and output
(no \s-1ERASE\s+1, \s-1KILL\s+1, \s-1INTR\s+1, \s-1QUIT\s+1,
\s-1EOT\s+1, or output post processing).
.TP
.BR nl " (" \-nl )
Unsets (sets)
.BR icrnl ", " onlcr .
In addition
.B \-nl
unsets
.BR inlcr ", " igncr ", "
.BR ocrnl ", and " onlret .
.TP
.BR lcase " (" \-lcase )
Sets (unsets)
.BR xcase ", " iuclc ", and " olcuc .
.TP
.BR \s-1LCASE\s+1 " (" \-\s-1LCASE\s+1 )
Same as
.BR lcase " (" \-lcase ).
.TP
.BR tabs " (" \-tabs " or " tab3 )
Preserves (expands to spaces) tabs when printing.
.TP
.B ek
Resets \s-1ERASE\s+1 and \s-1KILL\s+1 characters back to normal
.SM CNTRL-H
and
.SM CNTRL-U .
.TP
.B sane
Resets all modes to some reasonable values.
Useful when a terminal's settings have been hopelessly scrambled.
.TP
.I term\^
Sets all modes suitable for the
terminal type
.IR term ,
where
.I term\^
is one of
.BR tty33 ", " tty37 ", " vt05 ", "
.BR tn300 ", " ti700 ", or " tek .
.SH "See Also"
ioctl(S), tty(M)
.SH Notes
Many combinations of 
options make no sense, but no checking is performed.
