.\" bm# 0000002173
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)su.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SU C
.SH Name
su \- Makes the user super-user or another user.
.SH Syntax
.B su
[
.B \-
] [ name [ arg .\|.\|. ] ]
.SH Description
.I Su\^
allows you to become another user without logging off.
The default user
.I name\^
is
.B root
(i.e., super-user).
.PP
To use
.IR su ,
the appropriate password must be supplied
(unless you are already super-user).
If the password is correct,
.I su\^
executes a new shell with the user \s-1ID\s0 set to
that of the specified user.
To restore normal user \s-1ID\s0 privileges,
type a 
.SM CNTRL-D
to the new shell.
.PP
Any additional arguments are passed to the shell,
permitting the super-user to run shell procedures
with restricted privileges
(an
.I arg\^
of the form
.B \-c
.I string\^
executes
.I string\^
via the shell).
When additional arguments are passed,
.B /bin/sh
is always used.
When no additional arguments are passed,
.I su\^
uses the shell specified in the password file.
.PP
An initial dash
.RB ( \- )
causes the environment to be changed
to the one that would be expected 
if the user actually logged in again.
This is done by invoking the shell with an
.I arg0\^
of
.B \-su
causing the
.B .profile
in the home directory of the new user \s-1ID\s0 to be executed.
Otherwise, the environment is passed 
along with the possible exception of
.SM
$PATH \*S,
which is set to
.B /bin:/etc:/usr/bin
for root.
Note that 
.B .profile
can check
.I arg0\^
for
.B \-sh
or
.B \-su
to determine how it was invoked.
.SH Files
/etc/passwd		The system password file
.PP
.SM
.RB $HOME\*S/ . "profile		User's profile"
.SH "See Also"
env(C), login(M), sh(C), environ(M)
