.\" bm# 0000002166
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)test.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TEST C
.SH Name
test \- Tests conditions.
.SH Syntax
.B test
expr
.PP
.B [
expr
.B ]
.SH Description
.I Test\^
evaluates the expression
.I expr\^
and, if its value is true, returns a zero (true) 
exit status; otherwise, a
.I test\^
returns a nonzero exit status if there are no arguments.
The following primitives are used to construct
.IR expr :
.TP 12
.BI \-r " file\^"
True if \fIfile\fR exists and is readable.
.TP
.BI \-w " file\^"
True if \fIfile\fR exists and is writable.
.TP
.BI \-x " file\^"
True if
.I file\^
exists and is executable.
.TP
.BI \-f " file\^"
True if \fIfile\fR exists and is a regular file.
.TP
.BI \-d " file\^"
True if \fIfile\fR exists and is a directory.
.TP
.BI \-c " file\^"
True
if
.I file\^
exists and is a character special file.
.TP
.BI \-b " file\^"
True if
.I file\^
exists and is a block special file.
.TP
.BI \-u " file\^"
True if
.I file\^
exists and its set-user-\c
.SM ID
bit is set.
.TP
.BI \-g " file\^"
True if
.I file\^
exists and its set-group-\c
.SM ID
bit is set.
.TP
.BI \-k " file\^"
True if
.I file\^
exists and its sticky bit is set.
.TP
.BI \-s " file\^"
True if \fIfile\fR exists and has a size greater than zero.
.TP
.BR \-t " [ \fIfildes\fR ]"
True if the open file whose file descriptor number is
.I fildes\^
(1 by default)
is associated with a terminal device.
.TP
.BI \-z " s1\^"
True if the length of string
.I s1\^
is zero.
.TP
.BI \-n " s1\^"
True if the length of the string
.I s1\^
is nonzero.
.TP
.IB s1 " = " s2\^
True
if strings
.I s1\^
and
.I s2\^
are identical.
.TP
.IB s1 " != " s2\^
True
if strings
.I s1\^
and
.I s2\^
are
.I not\^
identical.
.TP
.I s1\^
True if
.I s1\^
is
.I not\^
the null string.
.TP
.IB n1 " \-eq " n2\^
True if the integers
.I n1\^
and
.I n2\^
are algebraically equal.
Any of the comparisons
.BR \-ne ,
.BR \-gt ,
.BR \-ge ,
.BR \-lt ,
and
.BR \-le
may be used in place of
.BR \-eq .
.PP
These primaries may be combined with the
following operators:
.TP  12
.B  !
Unary negation operator
.TP
.B  \-a
Binary
.I and\^
operator
.TP
.B  \-o
Binary
.I or\^
operator
.RB ( \-a
has higher precedence than
.BR \-o )
.TP
.BR "(\| " "expr" " \|)"
Parentheses for grouping
.PP
Notice that all the operators and flags are separate
arguments to
.IR test .
Notice also that parentheses are meaningful
to the shell and, therefore, must be escaped.
.SH "See Also"
find(C), sh(C)
.SH Warning
In the second form of the command (i.e., the one that uses
.BR [\|] ,
rather than the word
.IR test ),
the square brackets must be delimited by blanks.
