.\" bm# 0000002162
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)tset.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TSET C 
.SH Name
tset \- Sets terminal modes.
.SH Syntax
.B tset
[
.B \-
] [
.B \-hrsuIQS
] [
.BR \-e [\fIc\fP]
] [
.BR \-E [\fIc\fP]
] [
.BR \-k [\fIc\fP]
]
.br
[
.B \-m
[\fIident\fP][\fItest
.IR baudrate ]:\fItype
] [
.I type
]
.SH Description
.I Tset
causes terminal dependent processing such as setting
erase and kill characters, setting or resetting delays,
and the like.
It is driven by the
.B /etc/ttytype
and
.B /etc/termcap
files.
.PP
The type of terminal is specified by the
.I type
argument.
The type may be any type given in
.B /etc/termcap.
If
.I type
is not specified, the terminal type is 
'\"	read from
'\"	.I /etc/htmp
'\"	(the home directory and terminal type database),
the value of the environment variable
.SM TERM,
unless the
.B \-h
flag is set or any
.B \-m 
argument is given.
In this case
the type is read from
.B /etc/ttytype
(the port name to terminal type database).
The port name is determined by a
.IR  ttyname (S)
call on the diagnostic output.
If the port is not found in
.B /etc/ttytype
the terminal type is set to
.I unknown.
.PP
Ports for which the terminal type is indeterminate are identified in
.B /etc/ttytype
as 
.I dialup,
.I plugboard,
etc.
The user can specify how these identifiers should map to an
actual terminal type.
The mapping flag,
.B \-m,
is followed by the appropriate identifier (a 
four-character or longer
substring is adequate), an optional test for baud rate, and the
terminal type to be used if the mapping conditions are satisfied.
If more than one mapping is specified, 
the first correct mapping prevails.
A missing identifier matches all identifiers.
Baud rates are specified as with stty(C), and are compared with the
speed of the diagnostic output.
The test may be any combination of:
.B >,
.B =,
.B <,
.B @,
and
.B !.
(Note:
.B @
is a synonym for
.B =
and
.B !
inverts the sense of the test. Remember to escape characters meaningful
to the shell.)
.PP
If the
.I type
as determined above begins with a question mark,
the user is asked if he really wants that type.
A null response means to use that type;
otherwise, another type can be entered which will be used instead.
(The question mark must be escaped
to prevent filename expansion by the shell.)
'\"	.PP
'\"	On terminals that can backspace but not overstrike
'\"	(such as a CRT)
'\"	and when the erase character is the default erase character
'\"	(``#'' on standard systems),
'\"	the erase character is changed to a 
'\"	.SM
'\"	CNTRL-H .
The
.B \-e
flag sets the erase character to be the named character
.I c
on all terminals,
so to override this option one can say
.BR \-e #.
The default for
.I c
is the backspace character on the terminal,
usually
.SM
CNTRL-H .
The
.B \-E
flag is identical to
.B \-e
except that it only operates on terminals
that can backspace.
The
.B \-k
option works similarly,
with
.I c
defaulting to 
.SM CNTRL-U.
No kill processing is done if
.B \-k
is not specified.
In all of these flags,
\&``^X'' where X is any character
is equivalent to 
.SM
CNTRL-X .
.ne 1i
.PP
The
.B \-
option prints the terminal type
on the standard output;
this can be used to get the terminal type by saying:
.sp 10p
	set termtype = \`tset -\`
.sp 10p
If no other options are given,
.I tset
operates in ``fast mode''
and
.I only
outputs the terminal type,
bypassing all other processing.
The
.B \-s
option outputs ``setenv'' commands
(if your default shell is \fIcsh\fR(CP)
or ``export'' and assignment commands
(if your default shell is \fIsh\fR(CP));
the
.B \-S
option only outputs the strings 
to be placed in the environment variables.
For the
.B \-s
option with the Bourne shell, use:
.sp 10p
	\`tset -s ...\`
.sp 10p
.sp 1
.nf
	tset -s ... > /tmp/tset$$
	/tmp/tset$$
	rm /tmp/tset$$
.fi
.sp 1
If you are using csh, use:
.sp 1
.nf
	set noglob
	set term=(`tset -S ....`)
	setenv TERM $term[1]
	setenv TERMCAP "$term[2]"
	unset term
	unset noglob
.fi
.PP
The
.B \-r
option prints the terminal type
on the diagnostic output.
The
.B \-Q
option suppresses printing the
\&``Erase set to'' and ``Kill set to'' messages.
The
.B \-I
option suppresses outputing the terminal initialization
strings.
.PP
.I Tset
is most useful when included in the
.B \&.login
(for
.IR csh (CP))
or
.B \&.profile
(for
.IR sh (C))
file executed automatically at login,
with
.B \-m
mapping used to specify the terminal type 
you most frequently dial in on.
.SH Examples
tset gt42
.PP
tset \-mdialup\e>300:adm3a \-mdialup:dw2 \-Qr \-e#
.PP
tset \-m dial:ti733 \-m plug:\e?hp2621 \-m unknown:\e? \-e \-k^U
.bp
.SH Files
.DT
'\"		/etc/htmp	Terminal type database (version 6 only)
'\"		.PP
/etc/ttytype	Port name to terminal type map database
.PP
/etc/termcap	Terminal capability database
.SH See Also
tty(M), termcap(M), stty(C)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
