.\" bm# 0000002160
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)umask.C	1.1);


.ds mc 
.ds rv Revision 1
.TH UMASK C
.SH Name
umask \- Sets file-creation mode mask.
.SH Syntax
.B umask
[ ooo ]
.SH Description
The user file-creation mode mask is set to
.IR ooo .
The three octal digits refer to
read/write/execute permissions for
.IR owner ,
.IR group ,
and
.IR others ,
respectively
Only the low-order 9 bits of
.I cmask\^
and the file mode creation mask are used.
The value of each specified digit is 
``subtracted'' from the corresponding
``digit'' specified by the system 
for the creation of any file
(see
.IR umask (S)
or
.IR creat (S)).
This is actually a binary masking operation, and thus
the name ``umask''.
In general, binary ones remove a given permission
and zeros have no effect at all.
For example,
.B "umask 022"
removes
.I group\^
and
.I others\^
write permission
(files normally created
with mode 777
become mode 755 ;
files created with mode 666 become mode 644).
.PP
If
.I ooo\^
is omitted, the current value of the mask is printed.
.PP
.I Umask\^
is recognized and executed by the shell.
By default, login shells have a umask of 022.
.SH "See Also"
chmod(C), sh(C), chmod(S), creat(S), umask(S)
