.\" bm# 0000002156
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)units.C	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.TH UNITS C
.SH Name
units \- Converts units.
.SH Syntax
.B units
.SH Description
.I Units\^
converts quantities expressed
in various standard scales to
their equivalents in other scales.
It works interactively in this fashion:
.PP
.nf
.RS
.RB "You have:~~" inch
.RB "You want:~~" cm
.RS +8
\(** 2.540000e+00
\(sl 3.937008e\-01
.RE
.fi
.RE
.PP
A quantity is specified as a multiplicative combination of
units optionally preceded by a numeric multiplier.
Powers are indicated by suffixed positive integers,
division by the usual sign:
.PP
.nf
.RS
.RB "You have:~~" "15 lbs force/in2"
.RB "You want:~~" atm
.RS +8
\(** 1.020689e+00
\(sl 9.797299e\-01
.RE
.fi
.RE
.PP
.I Units\^
only does multiplicative scale changes;
thus it can convert Kelvin to Rankine, but not Centigrade to
Fahrenheit.
Most familiar units,
abbreviations, and metric prefixes are recognized,
as well as the following:
.TP "\w'water~~~~'u"
.B pi
Ratio of circumference to diameter
.TP
.B c
Speed of light
.TP
.B e
Charge on an electron
.TP
.B g
Acceleration of gravity
.TP
.B force
Same as
.BR g 
.TP
.B mole
Avogadro's number
.TP
.B water
Pressure head per unit height of water
.TP
.B au
Astronomical unit
.bp
.PP
.B Pound
is not recognized as a unit of
mass;
.B lb
is.
Compound names are run together, (e.g.
.BR lightyear ).
British units that differ from
their US counterparts are prefixed with ``br''.
For a complete list of units, type:
.PP
.RS
cat /usr/lib/unittab
.RE
.SH Files
/usr/lib/unittab
.tr ~~
