.\" bm# 0000002148
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)write.C	1.1);


.ds mc 
.ds rv Revision 1
.TH WRITE C
.SH Name
write \- Writes to another user.
.SH Syntax
.B write
user [ tty ]
.SH Description
.I Write\^
copies lines from your terminal to that of another user.
When first called, it sends the message:
.PP
.RS
Message \|from \|\fIyour-logname\fP \|\fIyour-tty\fP \|.\|.\|.
.PP
.RE
The recipient of the message should write back at this point.
Communication continues until an end-of-file is
read from the terminal or an interrupt is sent.
At that point,
.I write\^
writes 
.PP
.RS
(end\ of\ message)
.PP
.RE
on the other terminal and exits.
.PP
If you want to write to a user who is logged in more than once,
the
.I tty\^
argument may be used to indicate the
appropriate terminal.
.PP
Permission to write may be denied or granted by use of the
.IR mesg (C)
command.
At the outset, writing is allowed.
Certain commands, in particular
.IR nroff (CT)
and
.IR pr (C),
disallow
messages in order to prevent messy output.
.PP
If the character
.B !
is found at the beginning of a line,
.I write\^
calls the shell
to execute the rest of the
line as a command.
.PP
The following protocol is suggested for using
.IR write :
when you first write to another user, wait for him or her to
write back before starting to send.
Each party should end each message with a distinctive
signal
.RB ( (o)
for ``over'' is conventional), indicating that the other may reply;
.B (oo)
for ``over and out'' is suggested when conversation
is to be terminated.
.bp
.SH Files
/etc/utmp	To find user
.sp 10p
/bin/sh		To execute
.B !
.SH "See Also"
mail(C), mesg(C), who(C)
