.\" bm# 0000002263
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)Intro.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH INTRO CP
.SH Name
intro \- Introduces \s-1XENIX\s0 Software Development commands.
.SH Description
This section describes use of the individual
commands available in the 
.SM XENIX
Software Development System.
Each individual command is labeled with the letters CP
to distinguish it from commands available in the
.SM XENIX 
Timesharing and Text Processing Systems.
These letters are used for easy reference from other documentation.
For example, the reference
.IR cc (CP)
indicates a reference to a discussion of the
.B cc
command in this section, where the letter
``C'' stands for ``command''
and the letter ``P'' stands for ``Programming''.
.SH Syntax
Unless otherwise noted, 
commands described in this section accept options and
other arguments according to the following syntax:
.PP
.RS 13
.I name
.RI [ options ]
.RI [ cmdarg ]
.RE
.PP
where:
.TP 13
.I name
The filename or pathname of an executable file
.TP
.I option\^
A single letter representing a command option
By convention, most options are preceded with a dash.
Option letters can sometimes be grouped together as in
.B \-abcd
or alternatively they are specified individually as in
.B "\-a \-b \-c \-d" .
The method of specifying options depends on the syntax of the
individual command.
In the latter method of specifying options, arguments can be
given to the options. For example, the 
.B \-f
option for many commands often takes a following filename argument.
.TP
.I cmdarg\^
A pathname or other command argument
.I not\^
beginning with a dash.
It may also be a dash alone by itself
indicating the standard input.
.SH "See Also"
getopt(C), getopt(S)
.PP
.SH Diagnostics
Upon termination, each command returns 2 bytes of status,
one supplied by the system and giving the cause for
termination, and (in the case of ``normal'' termination)
one supplied by the program
(see
.IR wait (S)
and
.IR exit (S)).
The former byte is 0 for normal termination; the latter
is customarily 0 for successful execution and nonzero
to indicate troubles such as erroneous parameters, 
or bad or inaccessible data.
It is called variously ``exit code'', ``exit status'', or
``return code'', and is described only where special
conventions are involved.
.SH Notes
Not all commands adhere to the above syntax.
