.\" bm# 0000002262
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)admin.CP	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.nr f 0
.bd S B 3
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.de ZZ
\fB.\|.\|.\fR
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\\fR
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\fR[\fI\\$2\fR]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\fI\\$2\fR
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.ds F)  \fI\s-1FILES\s+1\fR
.ds W)  Warning
.ds X)  Examples
.ds T)  \fI\s-1TABLE\s+1\fR
.ds K)  \fI\s-1DATA KEYWORDS\s+1\fR
.ds D)  \fI\s-1DDDDD\s+1\fR
.ds M)  \s-1MR\s+1
.ds R)  \fI\s-1RELEASE NUMBER\s+1\fR
.ds S)  \s-1SCCS\s+1
.ds I)  \s-1SID\s+1
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1\fI\\$2\fR
\\$3
'\"RS 5
.nr f 1
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1[\fI\\$2\fR]
\\$3
.nr f 1
..
.TH ADMIN CP
.SH Name
admin \- Creates and administers \s-1SCCS\s0 files.
.SH Syntax
.B admin
.SF n
.SP i \%[name] ]
.SP r rel ]
.SP t \%[name] ]
.if n .br
.SP f flag\%[flag-val] ]
.ZZ
.SP d flag\%[flag-val] ]
.ZZ
.if n .br
.SP a login ]
.ZZ
.SP e login ]
.ZZ
.SP m \%[mrlist] ]
.SP y \%[comment] ]
.SF h
.SF z
files
.SH Description
.I Admin\^
is used to create new \*(S) files
and to change parameters of existing ones.
Arguments to
.I admin\c\^
may appear in any order.  They
consist of options,
which begin with \fB\-\fR,
and named files
(note that \*(S) filenames must begin with the characters
\fBs.\fR).
If a named file doesn't exist,
it is created,
and its parameters are initialized according to
the specified options.
Parameters not initialized by a option
are assigned a default value.
If a named file does exist,
parameters corresponding to specified options
are changed,
and other parameters are left as is.
.PP
If a directory is named,
.I admin\^
behaves as though each file in the directory were
specified as a named file,
except that non\*(S) files
(last component of the pathname does not begin with \fBs.\fR)
and unreadable files
are silently ignored.
If the dash \fB\-\fR is given, the standard input is read;
each line of the standard input is taken to be the name of an \*(S) file
to be processed.
Again, non\*(S) files and unreadable files are silently ignored.
.PP
The options are as follows.
Each is explained as though only one named file is to be processed
since the effects of the arguments
apply independently to
each named file.
.AR n This
option indicates that a new \*(S) file is to be created.
.A1 i name The
\fIname\fR of a file from which the text for a new \*(S) file is to be taken.
The text constitutes the first delta of the file
(see
.B \-r
below for delta numbering scheme).
If the
.B i
option is used,
but the filename is omitted,
the text is obtained by reading the standard input
until an end-of-file is encountered.
If this option is omitted,
then the \*(S) file is created empty.
Only one \*(S) file may be created
by an
.I admin\^
command on which the
.B i
option is supplied.
Using a single
.I admin\^
to create two or more \*(S) files require that they be created
empty
(no
.B \-i
option).
Note that the
.B \-i
option implies the
.B \-n
option.
.A2 r rel The
.I rel\c\^
ease into which the initial delta is inserted.
This option may be used only if the
.B \-i
option is also used.
If the
.B \-r
option is not used,
the initial delta is inserted into release 1.
The level of the initial delta is always 1
(by default initial deltas are named 1.1).
.A1 t name The
\fIname\fR of a file from which descriptive text for the \*(S) file
is to be taken.
If the
.B \-t
option is used
and
.I admin\^
is creating a new \*(S) file
(the
.B \-n
and/or
.B \-i
options also used), the descriptive text filename
must also
be supplied.
In the case of existing \*(S) files:
a
.B \-t
option without a filename causes removal of descriptive text
(if any) currently in the \*(S) file, and a
.B \-t
option with a filename causes text (if any) in the
named file to replace
the descriptive text (if any) currently in the \*(S) file.
.A2 f flag This
option specifies a \fIflag\fR, and possibly a value for the \fIflag\fR, to
be placed in the \*(S) file.
Several
.B f
options may be supplied on a single
.I admin\^
command line.
The allowable \fIflag\fRs and their values are:
.F1 b \& Allows
use of
the
.B \-b
option on a
.IR get (CP)
command to create branch deltas.
.F1 c ceil The
highest release
(i.e., ``ceiling''),
a number less than or equal to 9999, which may be
retrieved by a
.IR get (CP)
command for editing.
The default value for an unspecified
.B c
flag is 9999.
.F1 f floor The
lowest release
(i.e., ``floor''),
a number greater than 0 but less than 9999,
which may be retrieved by a
.IR get (CP)
command for editing.
The default value for an unspecified
.B f
flag is 1.
.F1 d \s-1SID\s0 The
default delta number
(\*(I)) to be used by a
.IR get (CP)
command.
.F1 i \& Causes
the ``No id keywords (ge6)'' message issued by
.IR get (CP)
or
.IR delta (CP)
to be treated as a fatal error.
In the absence of this flag, the message is only a warning.
The message is issued if no
\*(S) identification keywords
(see
.IR get (CP))
are found
in the text retrieved or stored in the \*(S) file.
.F1 j \& Allows
concurrent
.IR get (CP)
commands for editing
on the same \*(I) of an \*(S) file.
This allows multiple concurrent updates to the same
version of the \*(S) file.
.F1 l list A
\fIlist\fR of releases to which deltas can no longer be made
.RB ( "get \-e"
against one of these ``locked'' releases fails).
The \fIlist\fR has the following syntax:
.F1 \& \& <list>
::= <range> \(or <list> , <range>
.br
<range>~::=	\*(R) \(or \fBa\fR
.F1 \& \& The
character \fBa\fR in the \fIlist\fR is equivalent to specifying
.I "all releases\^"
for the named \*(S) file.
.F1 n \& Causes
.IR delta (CP)
to create a ``null'' delta
in each of those releases (if any) being skipped when a delta is made
in a
.I new\^
release (e.g., in making delta 5.1 after delta 2.7, releases 3 and 4
are skipped).
These null deltas serve as ``anchor points'' so that branch deltas
may later be created from them.
The absence of this flag causes skipped releases to be
nonexistent in the \*(S) file
preventing branch deltas from being created from them in the future.
.F1 q text User-definable 
text substituted for all occurrences
of the  keyword in \*(S) file text retrieved by
.IR get (CP).
.F1 m mod \fIMod\|\fRule
name of the \*(S) file
substituted for all occurrences of the admin.CP keyword in \*(S) file
text retrieved by
.IR get (CP).
If the
.B m
flag is not specified, the value
assigned is the name of the \*(S) file with the leading
\fBs.\fR removed.
.F1 t type \fIType\fR
of module in the \*(S) file substituted for all occurrences of
 keyword in \*(S) file text retrieved by
.IR get (CP).
.F2 v pgm Causes
.IR delta (CP)
to prompt for Modification Request (\*(M)) numbers as the
reason for creating a delta.
The optional value specifies the name of an \*(M) number validity
checking program
(see
.IR delta (CP)).
(If this flag is set when creating an
.SM SCCS
file, the
.B m
option must also be used even if its value is null).
.A1 d flag Causes
removal (deletion) of the specified \fIflag\fR from an \*(S) file.
The
.B \-d
option
may be specified only when processing existing
\*(S) files.
Several
.B \-d
options may be supplied on a single
.I admin\^
command.
See the
.B \-f
option for allowable \fIflag\fR names.
.F1 l list A
\fIlist\fR of releases to be ``unlocked''.
See the
.B \-f
option for a description of the
.B l
flag and the syntax of a \fIlist\fR.
.A2 a login A
\fIlogin\fR name, or numerical \s-1XENIX\s+1 group \s-1ID\s+1,
to be added to the list of users which
may make deltas (changes) to the \*(S) file.
A group \s-1ID\s+1 is equivalent to specifying all
\fIlogin\fR names common to that group \s-1ID\s+1.
Several
.B a
options may be used
on a single
.I admin\^
command line.
As many \fIlogin\fRs, or numerical group \s-1ID\s+1s, as desired may be on the list simultaneously.
If the list of users is empty,
then anyone may add deltas.
.A2 e login A
\fIlogin\fR name, or numerical group \s-1ID\s+1, to be erased from the list of users
allowed to make deltas (changes) to the \*(S) file.
Specifying a group \s-1ID\s+1 is equivalent to specifying all
\fIlogin\fR names common to that group \s-1ID\s+1.
Several
.B e
options may be used on a single
.I admin\^
command line.
.A1 y comment The
.I comment\^
text is inserted
into the \*(S) file as a comment
for the initial delta in a manner identical to that
of
.IR delta (CP).
Omission of the \fB\-y\fR option results in a default
comment line being inserted in the form:
'\".RS
'\"date and time created
'\".RE
.sp
.RS
.RS
.IR \s-1YY\s+1 / \s-1MM\s+1 / \s-1DD\s+1
.IR \s-1HH\s+1 : \s-1MM\s+1 : \s-1SS\s+1
by
.I login\^
.RE
.RE
.sp \n(PDu
.in +70p
The 
.B \-y
option
is valid only if the
.B \-i
and/or
.B \-n
options are
specified (i.e., a new \*(S) file is being created).
.A1 m mrlist The
list of Modification Requests (\*(M)) numbers is inserted 
into the \*(S) file as the reason for creating the 
initial delta in a manner
identical to
.IR delta (CP).
The
.B v
flag must be set and the \*(M) numbers are validated if the
.B v
flag has a value (the name of an \*(M) number validation program).
Diagnostics will occur if the
.B v
flag is not set or \*(M) validation fails.
.AR h Causes
.I admin\^
to check the structure of the \*(S) file
(see
.I sccsfile\c\^
(F)), and to compare a newly
computed checksum (the sum of all the characters in the \*(S) file
except those in the first line) with the checksum that is stored
in the first line of the \*(S) file.
Appropriate error diagnostics are produced.
.C1 \& This
option inhibits writing on the file, 
nullifying the effect of any other options supplied, and
is therefore only meaningful when processing existing files.
.AR z The
\*(S) file checksum is recomputed and stored in the first line
of the \*(S) file
(see
.BR \-h ,
above).
.C1 \& Note
that use of this option on a truly corrupted file
may prevent future detection of the corruption.
.i0
.SH Files
The last component of
all \*(S) filenames must be of the form \fBs.\fP\fIfile-name\fP.
New \*(S) files are created read-only (444 modified
by umask)
(see
.IR chmod (C)).
Write permission
in the pertinent directory is,
of course,
required to create a file.
All writing done by
.I admin\^
is to a temporary x-file,
called \fBx.\fP\fIfilename\fP,
(see
.IR get (CP)),
created with read-only permission if the
.I admin\^
command is creating a new \*(S) file, or with the same mode
as the \*(S) file if it exists.
After successful execution of
.I admin\c\^
,
the \*(S) file is removed (if it exists), and the x-file
is renamed with the name of the \*(S) file.
This ensures that changes are made to the \*(S) file only
if no errors occurred.
.PP
It is recommended that directories containing \*(S) files be mode
755
and that \*(S) files themselves be read-only.
The mode of the directories allows
only the owner to modify
\*(S) files contained in the directories.
The mode of the \*(S) files prevents any modification
at all except by \*(S) commands.
.PP
If it should be necessary to patch an \*(S) file for any reason,
the mode may be changed to 644 by the owner
allowing use of
a text editor.
'\".IR ed (C).
.I "Care must be taken!\^"
The edited file should
.I always\^
be processed by an
.B admin
.B \-h
to check for corruption followed by an
.B admin
.B \-z
to generate a proper checksum.
Another
.B admin
.B \-h
is recommended to ensure the \*(S) file is valid.
.PP
.I Admin\^
also makes use of
a transient lock file
(called \fBz.\fP\fIfilename\fP),
which is used to prevent simultaneous updates to the \*(S) file by different users.
See
.IR get (CP)
for further information.
.SH "See Also"
delta(CP),
ed(C),
get(CP),
help(CP),
prs(CP),
what(C),
sccsfile(F)
.br
\".I "Source Code Control System User's Guide\^"
\"by L. E. Bonanni and C. A. Salemi.
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.tr ~~
