.\" bm# 0000002439
.\" typ N
.\" ver 68k.generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cc.CP	1.1);


.ds mc 68000
.ds rv Revision 1
.TH CC CP
.SH Name
cc \- C compiler
.SH Syntax
.B cc
[ option ] ... file ...
.SH Description
.I Cc
is the XENIX M68000 C compiler.  
Arguments whose names end with `.c' are taken to be
C source programs; they are compiled, and
each object program is left on the file
whose name is that of the source with `.o' substituted
for `.c'.
The `.o' file is normally deleted, however, if a single
C program is compiled and loaded.
.PP
In the same way,
arguments whose names end with `.s' are taken 
to be assembly source programs
and are assembled, producing a `.o' file.
.PP
The following options are interpreted by
.IR cc .
See
.IR ld (CP)
for load-time options.
.TP 8
.B \-c
Suppress the loading phase of the compilation, and force
an object file to be produced even if only one program is compiled.
.TP
.SM
.B \-O
Invoke an
object-code optimizer.
.TP
.SM
.B \-S
Compile the named C programs, and leave the
assembler-language output on corresponding files suffixed `.s'.
.TP
.BI \-o " output"
Name the final output file
.IR output .
If this option is used the file `a.out' will be left undisturbed.
.TP
.BI \-D name=def
.br
.ns
.TP
.SM
.BI \-D \s10name
Define the
.I name
to the preprocessor,
as if by
\&`#define'.
If no definition is given, the name is defined as 1.
.TP
.SM
.BI \-U \s10name
Remove any initial definition of
.IR name .
.TP
.SM
.BI \-I \s10dir
\&`#include' files
whose names do not begin with `/' are always
sought first in the directory 
of the
.I file
argument,
then in directories named in 
.B \-I
options,
then in directories on a standard list.
.TP
.BR \-t1
replace the compiler phase with a program called
.B c68
from the current directory.
.TP
.BR \-t2
replace the object code optimizer phase with a program called
.B c68o
from the current directory.
.TP
.BR \-K
Do not generate stack probes.  
Stack probes are necessary for XENIX user
programs to assure proper stack growth.
.TP
.BR \-w
Suppress compiler warning messages
.TP
Other arguments
are taken
to be either loader option arguments, or C-compatible
object programs, typically produced by an earlier
.I cc
run,
or perhaps libraries of C-compatible routines.
These programs, together with the results of any
compilations specified, are loaded (in the order
given) to produce an executable program with name
.B a.out.
.SH Files
.ta \w'/usr/src/cmd/c/oc* 'u
file.c	input file
.br
file.o	object file
.br
a.out	loaded output
.br
file.[isx]	temporaries for
.I cc
.br
/lib/cpp	preprocessor
.br
/lib/c68	compiler for
.I cc
.br
.br
/lib/c68o	optional optimizer
.br
/lib/crt0.o	runtime startoff
.br
/lib/libc.a	standard library, see
.IR intro (S)
.br
/usr/include	standard directory for `#include' files
.br
.SH "See Also"
adb(CP), ld(CP)
.SH DIAGNOSTICS
The diagnostics produced by C itself are intended to be
self-explanatory.
Occasional messages may be produced by the assembler
or the loader.
Of these, the most mystifying are from the assembler,
.IR as (C),
which produces line number reports based on the generated code, 
which
is only loosely related to the source linenumber.  
Running the compiler
with the 
.B \-S 
option and assembling the result 
by hand may help you resolve the difficulty.
.br
.ne 1i
.SH Notes
The
.B \-f
(software floating point) and 
.B \-p
(profiling) options are not currently implemented.
