.\" bm# 0000002259
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cdc.CP	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.nr f 0
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.de ZZ
.hc ^
\fB^...\fR
.hc
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\fB\-\\$1\\fR
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\fB\-\\$1\fR[\fI\\$2\^\fR]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\fB\-\\$1\fR\fI\\$2\^\fR
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.ds F) \fB\s-1FILES\s+1\fR
.ds W) Warning
.ds X) Examples
.ds T) \fB\s-1TABLE\s+1\fR
.ds K) \fB\s-1DATA KEYWORDS\s+1\fR
.ds D) \fB\s-1DDDDD\s+1\fR
.ds M) \s-1MR\s+1
.ds R) \fB\s-1RELEASE NUMBER\s+1\fR
.ds S) \s-1SCCS\s+1
.ds I) \fI\s-1SID\s+1\fR
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1\fR\fI\\$2\^\fR
\\$3
.nr f 1
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1\fR[\fI\\$2\^\fR]
\\$3
.nr f 1
..
.TH CDC CP
.SH Name
cdc \- Changes the delta commentary of an \s-1SCCS\s+1 delta.
.SH Syntax
.B cdc
\fB\-r\fR\c
.SM SID
.SP m [mrlist]]
.SP y [comment]]
files
.SH Description
.I Cdc\^
changes the delta commentary
for the \*(I) specified by the
.B \-r
option,
of each
named \*(S) file.
.PP
.I "Delta commentary\^"
is defined to be the Modification Request (\*(M)) and comment
information normally specified via the
.IR delta (CP)
command
.RB ( \-m
and
.B \-y
options).
.PP
If a directory is named,
.I cdc\^
behaves as though each file in the directory were
specified as a named file,
except that non\*(S) files
(last component of the pathname does not begin with \fBs.\fR)
and unreadable files
are silently ignored.
If a name of
.B \-
is given, the standard input is read (see \%\*(W));
each line of the standard input is taken to be the name of an \*(S) file
to be processed.
.PP
Arguments to
.IR cdc ,
which may appear in any order, consist of
options and file names.
.PP
All the described
options apply independently to each named file:
.A2 r \s-1SID\s+1 Used
to specify the
.IR S \s-1CCS\s+1
.IR ID entification
(\*(I))
string
of a delta for
which the delta commentary is to be changed.
.A1 m mrlist If
the \*(S) file has the
.B v
flag set
(see
.IR admin (CP))
then a
list of \*(M) numbers to be added and/or deleted in
the delta commentary of
the \*(I) specified by the
.B \-r
option
.I may\^
be supplied.
A null \*(M) list has no effect.
.C1 \& \*(M)
entries are added to the list of \*(M)s in the same manner as that of
.IR delta (CP).
In order to delete an \*(M), precede the \*(M) number
with the character \fB!\fR (see \*(X)).
If the \*(M) to be deleted is currently in the list of \*(M)s, it is
removed
and changed into a ``comment'' line.
A list of all deleted \*(M)s is placed in the comment section
of the delta commentary and preceded by a comment line stating
that they were deleted.
.C1 \& If
.B \-m
is not used and the standard input is a terminal, the prompt
.B \s-1MR\s+1s?
is issued on the standard output before the standard input
is read; if the standard input is not a terminal, no prompt is issued.
The \fB\s-1MR\s+1s?\fR prompt always precedes the \fBcomments?\fR prompt
(see
.B \-y
option).
.C1 \& \*(M)s
in a list are separated by blanks and/or tab characters.
An unescaped newline character terminates the \*(M) list.
.C1 \& Note
that if the
.B v
flag has a value
(see
.IR admin (CP)),
it is taken to be the name of a program (or shell procedure) which validates
the correctness of the \*(M) numbers.
If a nonzero exit status is returned from the \*(M) number validation program,
.I cdc\^
terminates
and the delta commentary remains unchanged.
.A1 y comment Arbitrary
text used to replace the \fIcomment\^\fR(s) already existing
for the delta specified by the
.B \-r
option.
The previous comments are kept and preceded by a comment
line stating that they were changed.
A null \fIcomment\^\fR has no effect.
.C1 \& If
.B \-y
is not specified and the standard input is a terminal, the
prompt ``comments?'' is issued on the standard output before
the standard input is read;
if the standard input is not a terminal, no prompt is issued.
An unescaped newline character terminates the \fIcomment\^\fR text.
.i0
.PP
In general, if you made the delta, you can change its delta commentary;
or 
if you own the file and directory you can modify the delta commentary.
.SH Examples
The following:
.RS 5n
.sp
cdc \-r1\fB.\fP6 \-m"bl78-12345 !bl77-54321 bl79-00001" \-ytrouble s\fB.\fPfile
.RE
.PP
adds bl78-12345 and bl79-00001 to the \*(M) list, removes bl77-54321
from the \*(M) list, 
and adds the comment 
.B trouble 
to delta 1\fB.\fR6
of s\fB.\fRfile.
.PP
.ne 1i
The following interactive sequence does the same
thing.
.RS 5n
cdc \-r1\fB.\fR6 s\fB.\fRfile
.br
\s-1MR\s+1s? !bl77-54321 bl78-12345 bl79-00001
.br
comments? trouble
.RE
.PP
.DT
.SH Warning
If \*(S) file names are supplied to the
.I cdc\^
command via the standard input
(\fB\-\fR on the command line),
then the
.B \-m
and
.B \-y
options must also be used.
.SH Files
.TP 8
x-file
See
.IR delta (CP)
.TP
z-file
See
.IR delta (CP)
.SH "See Also"
admin(CP),
delta(CP),
get(CP),
help(CP),
prs(CP),
sccsfile(F)
'\".br
'\".I "Source Code Control System User's Guide\^"
'\"by L. E. Bonanni and C. A. Salemi.
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.tr ~~
