.\" bm# 0000002258
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)comb.CP	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.nr f 0
.bd S B 3
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.de ZZ
.hc ^
\fB^...\fR
.hc
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.TP 8
\fB\-\\$1\\fR
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 8
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 8
\fB\-\\$1\fR[\fI\\$2\fR]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.TP 8
\fB\-\\$1\fI\\$2\fR
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1\fI\\$2\fR
\\$3
.nr f 1
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1[\fI\\$2\fR]
\\$3
.nr f 1
..
.TH COMB CP
.SH Name
comb \- Combines \s-1SCCS\s+1 deltas.
.SH Syntax
.B comb
.SF o
.SF s
.SP p sid ]
.SP c list]
files
.SH Description
.I Comb\^
provides the means to combine one or more deltas in an
\s-1SCCS\s0 file and make a single new delta.  
The new delta replaces the previous deltas,
making the \s-1SCCS\s0 file smaller than the original.
.PP
.I Comb\^
does not perform the combination itself.  Instead, it
generates a shell procedure that you must save and execute
to reconstruct the given \s-1SCCS\s+1 files.
.I Comb\^
copies the generated shell procedure to the standard output.
To save the procedure, you must redirect the output
to a file.  The saved file can then be executed like any
other shell procedure (see
.IR sh (C)).
.PP
When invoking
.IR comb ,
arguments may be specified in any order.
All options apply to all named \s-1SCCS\s+1 files.
If a directory is named,
.I comb\^
behaves as though each file in the directory were
specified as a named file,
except that non\s-1SCCS\s+1 files
(last component of the pathname does not begin with \fBs.\fR)
and unreadable files are silently ignored.
If a name of \fB\-\fR is given, the standard input is read;
each line of the standard input is taken to be the name of 
an \s-1SCCS\s+1 file
to be processed;
non\s-1SCCS\s+1 files and unreadable files are silently ignored.
.PP
The options are as follows.
Each is explained as though only one named file is to be processed,
but the effects of any option apply independently
to each named file.
.A2 p \s-1SID\s+1 The
.IR S "\s-1CCS\s+1 " ID entification
string (\s-1SID\s+1) of the oldest delta to be preserved.
All older deltas are discarded in the reconstructed file.
.A2 c list A
.I list\^
(see
.IR get (CP)
for the syntax of a \fIlist\fR)
of deltas to be preserved.
All other deltas are discarded.
.AR o For
each
.B get \-e
generated, this
argument causes the reconstructed file to be accessed at
the release of the delta to be created,
otherwise the reconstructed file would be accessed at
the most recent ancestor.
Use of the
.B \-o
option may decrease the size of the reconstructed \s-1SCCS\s+1 file.
It may also alter the shape of the delta tree of the original file.
.br
.ne 1i
.AR s This
argument causes
.I comb\^
to generate a shell procedure that will
produce a report for each file giving
the filename, size (in blocks) after combining,
original size (also in blocks), and
percentage change
computed by:
.sp
.RS
.RS
\%100~\fB\(**\fR~(original~\-~combined)~/~original
.RE
.RE
.P
Before any \s-1SCCS\s+1 files are actually combined,
you should use this option to determine exactly how much space
is saved by the combining process.
.PP
If no options are specified,
.I comb\^
will preserve only leaf deltas and the minimal number of ancestors
needed to preserve the tree.
.SH Files
.TP 14
comb?????
Temporary files
.SH "See Also"
admin(CP),
delta(CP),
get(CP),
help(CP),
prs(CP),
sccsfile(F)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.SH Notes
.I Comb\^
may rearrange the shape of the tree of deltas.
It may not save any space;
in fact, it is possible for the reconstructed file to
be larger than the original.
.tr ~~
