.\" bm# 0000002257
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)config.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH CONFIG CP
.SH Name
config \- configure a \s-1XENIX\s+1 system
.SH Syntax
.B /etc/config
.RB [ \-t ]
.RB [ \-l " file]"
.RB [ \-c " file]"
.RB [ \-m " file]"
dfile
.SH Description
.tr ~
.I Config\^
is a program that takes a description of a
.SM XENIX
system and generates a file which is
a C program defining the configuration tables
for the various devices on the system.
.PP
The
.B \-c
option specifies the name of the configuration table file;
.B c.c
is the default name.
.PP
The
.B \-m
option specifies the name of the file that contains
all the information regarding supported devices;
.B /etc/master
is the default name.
This file is supplied with the
.SM XENIX
system and should
.I not\^
be modified unless the user
.I fully\^
understands its construction.
.PP
The
.B \-t
option requests a short table of major device numbers for
character and block type devices.
This can facilitate the creation of special files.
.PP
The user must supply
.IR dfile ;
it must contain device information
for the user's system.
This file is divided into two parts.
The first part contains physical device specifications.
The second part contains system-dependent information.
Any line with an asterisk (\f3\(**\fP) in column 1 is a comment.
.PP
All configurations are assumed to have a set of required devices
which must be present to run
.SM XENIX
such as the system clock.
These devices
.I "must not\^"
be specified in
.IR dfile .
.SH First Part of \f2dfile\fP
Each line contains two fields, delimited by blanks and/or tabs
in the following format:
.PP
.RS
devname  number
.RE
.PP
where
.I devname\^
is the name of the device (as it appears in the
.B /etc/master
device table),
and
.I number\^
is the number (decimal) of devices associated with the
corresponding controller;
.I number\^
is optional, and if omitted, a default
value which is the maximum value for that controller is used.
.PP
There are certain drivers that may be provided with the system,
that are actually
.I "pseudo-device\^"
drivers;
that is, there is no real hardware associated with the driver.
Drivers of this type are identified on their respective manual entries.
.SH Second Part of \f2dfile\fP
The second part contains three different types of lines.
Note that
.I all\^
specifications of this part
.IR "are required" ,
although their order is arbitrary.
.PP
.ti -3n
1.
.I "Root\^/\^pipe device specification\^"
.PP
Each line has three fields:
.PP
.RS
\f3root\fP	devname	minor
.br
\f3pipe\fP	devname	minor
.RE
.PP
where
.I minor\^
is the minor device number (in octal).
.PP
.ti -3n
2.
.I "Swap device specification\^"
.PP
One line that contains five fields as follows:
.PP
.RS
\f3swap\fP	devname	minor	swplo	nswap
.RE
.PP
where
.I swplo\^
is the lowest disk block (decimal) in the swap area and
.I nswap\^
is the number of disk blocks (decimal) in the swap area.
.PP
.ti -3n
3.
.I "Parameter specification\^"
.PP
A number of lines of two fields each as follows
.RI ( number\^
is decimal):
.RS
.PP
.PD 0
.TP 15
.B buffers
number
.TP
.B inodes
number
.TP
.B files
number
.TP
.B mounts
number
.TP
.B swapmap
number
.TP
.B pages
number
.TP
.B calls
number
.TP
.B procs
number
.TP
.B maxproc
number
.TP
.B texts
number
.TP
.B clists
number
.TP
.B locks
number
.TP
.B timezone
number
.TP
.B daylight
0 or 1
.PP
.SH Example
Suppose we wish to configure a
system with the following devices:
.PP
.RS
.nf
one \s-1HD\s+1 disk drive controller with 1 drive
one \s-1FD\s+1 floppy disk drive controller with 1 driver
.fi
.RE
.PP
We must also specify the following parameter information:
.RS
.nf
root device is an \s-1HD\s+1 (pseudo disk 3)
pipe device is an \s-1HD\s+1 (pseudo disk 3)
swap device is an \s-1HD\s+1 (pseudo disk 2)
~~~~~~~with a swplo of 1 and an nswap of 2300
number of buffers is 50
number of processes is 50
maximum number of processes per user \s-1ID\s+1 is 15
number of mounts is 8
number of inodes is 120
number of files is 120
number of calls is 30
number of texts is 35
number of character buffers is 150
number of swapmap entries is 50
number of memory pages is 512
number of file locks is 100
timezone is pacific time
daylight time is in effect
.fi
.RE
.PP
.ne 8
The actual system configuration would be specified as follows:
.PP
.RS
.nf
.ta 12n 20n 30n 38n 46n
hd    1
fd    1
root    hd    3
pipe    hd    3
swap    hd    2      0    2300
\(** Comments may be inserted in this manner
buffers 50
procs	150
maxproc 15
mounts	8
inodes	120
files	120
calls	30
texts	35
clists	150
swapmap	50
pages (1024/2);
locks 100
timezone (8*60)
daylight 1
.fi
.RE
.DT
.SH Files
.PD 0
.TP 15
/etc/master
default input master device table
.TP
c\f3.\fPc
default output configuration table file
.PD
.SH "See Also"
master(F)
.br
.SH Diagnostics
Diagnostics are routed to the standard output and are
self-explanatory.
.SH Notes
The
.B \-t
option does not know about devices that have aliases.
However, the major device numbers are always correct.
.tr ~~
