.\" bm# 0000002256
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cref.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH CREF CP
.SH Name
cref \- Makes a cross-reference listing.
.SH Syntax
.B cref
[
.B \-acilnostux123
] files
.SH Description
.I Cref\^
makes a cross-reference listing
of assembler or C programs. The program searches the
given
.I files\^
for symbols in the appropriate C or assembly
language syntax.
.PP
The output report is in four columns:
.PP
.PD 0
.RS
.TP 4
1.
Symbol
.TP
2.
Filename
.TP
3.
Current symbol or line number
.TP
4.
Text as it appears in the file
.RE
.PD
.PP
.I Cref\^
uses either an
.I ignore\^
file or an
.I only\^
file.
If the
.B \-i
option is given, the next
argument is taken to be an
.I ignore\^
file; if the
.B \-o
option is given, the next
argument is taken to be
an
.I only\^
file.
.I Ignore\^
and
.I only\^
files are lists of symbols separated by newlines.
All symbols in an
.I ignore\^
file
are ignored in columns 1 and 3 of the output.
If an
.I only\^
file is given, only symbols in that
file will appear in column 1.
Only one of these options may be given;
the default setting
is
.B \-i
using the default ignore file (see
.SM
.I FILES\^
below).
Assembler predefined symbols or
C
keywords are ignored.
.PP
The
.B \-s
option causes current symbols to be
put in column 3.
In the assembler, the current symbol
is the most recent name symbol;
in C, the current function name.
The
.B \-l
option causes the line number within the file
to be put in column 3.
.PP
The
.B \-t
option causes the next available argument
to be used as the name
of the intermediate
file (instead of
the temporary file
.BR /tmp/crt??\^ ).
This file is created and
is
.I not\^
removed at the end of the process.
.PP
The
.I cref\^
options are:
.PP
.TP 4
.B a
Uses assembler format (default)
.TP
.B c
Uses C format 
.TP
.B i
Uses an
.I ignore\^
file (see above)
.TP
.B l
Puts line number in column 3 (instead of current symbol)
.TP
.B n
Omits column 4 (no context)
.TP
.B o
Uses an
.I only\^
file (see above)
.TP
.B s
Current symbol in column 3 (default)
.TP
.B t
User-supplied temporary file
.TP
.B u
Prints only symbols that occur exactly once
.TP
.B x
Prints only
C
external symbols
.TP
.B 1
Sorts output on column 1 (default)
.TP
.B 2
Sorts output on column 2
.TP
.B 3
Sorts output on column 3
.RE
.PD
.SH Files
.TP 1.5i
/usr/lib/cref/*	Assembler specific files
'\"	/tmp/crt??
'\"	Temporaries
'\"	.TP
'\"	/usr/lib/cref/aign
'\"	Default assembler
'\"	.I ignore\^
'\"	file
'\"	.TP
'\"	/usr/lib/cref/atab
'\"	Grammar table for assembler files
'\"	.TP
'\"	/usr/lib/cref/*	
'\"	Default C
'\"	.I ignore\^
'\"	file
'\"	.TP
'\"	/usr/lib/cref/ctab
'\"	Grammar table for C files
'\"	.TP
'\"	/usr/lib/cref/crpost
'\"	Post-processor
'\"	.TP
'\"	/usr/lib/cref/upost
'\"	Post-processor for
'\"	.B \-u
'\"	option
.SH "See Also"
as(CP),
cc(CP),
sort(C),
xref(CP)
.SH Notes
.I Cref\^
inserts an
.SM "ASCII DEL"
character into the intermediate file
after the eighth character of each name that is eight or more
characters long in the source file.
