.\" bm# 0000002255
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ctags.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH CTAGS CP
.SH Name
ctags \- Creates a tags file.
.SH Syntax
.B ctags
[ 
.B \-u
] [
.B \-w
] [
.B \-x
]
name ...
.SH Description
.I Ctags
makes a tags file for
.IR vi (C)
from the specified C sources. 
A tags file gives the locations of specified objects (in this case
functions) in a group of files.
Each line of the tags file contains the function name,
the file in which it is defined, and a scanning pattern used to find
the function definition.  
These are given in separate fields on the line,
separated by blanks or tabs.
Using the
.I tags
file,
.I vi
can quickly find these function definitions.
.PP
If the
.B \-x
flag is given, 
.I ctags
produces a list of function names, the line number and file
name on which each is defined, as well as the text of that line
and prints this on the standard output.  
This is a simple index
which can be printed out as an off-line readable function index.
.PP
Files whose name ends in 
.B \.c
or
.B \.h
are assumed to be C source files and are searched for C routine and
macro definitions.
.PP
Other options are:
.TP 5
.B \-w
Suppresses warning diagnostics.
.TP 5
.B \-u
Causes the specified files to be
.I updated
in tags; that is, all references to them are deleted,
and the new values are appended to the file.
(Beware: this option is implemented in a way which is rather slow;
it is usually faster to simply rebuild the
.I tags
file.)
.PP
The tag
.I main
is treated specially in C programs.
The tag formed is created by prepending
.I M
to the name of the file, with a trailing .c removed, if
any, and leading pathname components also removed.
This makes use of
.I ctags
practical in directories with more than one program.
.SH Files
.DT
tags		Output tags file
.SH "See Also"
ex(C), vi(C)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
