.\" bm# 0000002254
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)delta.CP	1.1);


.ds mc 
.ds rv Revision 1
.tr ~
.if n .ds D " -- 
.if t .ds D _
.nr f 0
.bd S B 3
.de SP
.if n .ul
\%[\fB\-\\$1\fR\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\fB\-\\$1\fR]
.if n .ul 0
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\\fR
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\fR[\fI\\$2\fR]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\fB\-\\$1\fI\\$2\fR
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.ds F)  \fI\s-1FILES\s+1\fR
.ds W)  Warning
.ds X)  Examples
.ds T)  \fI\s-1TABLE\s+1\fR
.ds K)  \fI\s-1DATA KEYWORDS\s+1\fR
.ds D)  \fI\s-1DDDDD\s+1\fR
.ds M)  \s-1MR\s+1
.ds R)  \fI\s-1RELEASE NUMBER\s+1\fR
.ds S)  \s-1SCCS\s+1
.ds I)  \s-1SID\s+1
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\fB\\$1[\fI\\$2\fR]
\\$3
.nr f 1
..
.if t .ds )S \\|
.TH DELTA CP
.SH Name
delta \- Makes a delta (change) to an \s-1SCCS\s+1 file.
.SH Syntax
.B delta
.SP r SID ]
.SF s
.SF n
.SP g list]
.SP m \%[mrlist] ]
.SP y \%[comment] ]
.SF p
files
.SH Description
.I Delta\^
is used to permanently introduce into
the named \*(S) file changes that were made to the file retrieved by
.IR get (CP)
(called the
.IR g-file ,
or generated file).
.PP
.I Delta\^
makes a delta to each \*(S) file named by
.IR files .
If a directory is named,
.I delta\^
behaves as though each file in the directory were
specified as a named file,
except that non\*(S) files
(last component of the pathname does not begin with \fBs.\fR)
and unreadable files
are silently ignored.
If a name of \fB\-\fR is given, the standard input is read
(see \*(W));
each line of the standard input is taken to be the name of an \*(S) file
to be processed.
.PP
.I Delta\^
may issue prompts on the standard output depending upon
certain options specified and flags
(see
.IR admin (CP))
that may be
present in the \*(S) file
(see
.B \-m
and
.B \-y
options below).
.PP
Options apply independently
to each named file.
.A2 r SID Uniquely
identifies which delta is to be made to the \*(S) file.
The use of this keyletter is necessary only if two or more
versions of the same \*(S) file have been retrieved for editing
.RB ( "get \-e" )
by the same person (login name).
The \*(I) value specified with the
.B \-r
keyletter can be either the \*(I) specified on the
.I get\^
command line or the \*(I) to be made as reported by the
.I get\^
command
(see
.IR get (CP)).
A diagnostic results if the specified \*(I) is ambiguous, or
if it is necessary and omitted on the command line.
.AR s Suppresses
the issue, on the standard output, of the created delta's \*(I),
as well as the number of lines inserted, deleted and unchanged in the
\*(S) file.
.AR n Specifies retention of the edited
.I g-file\^
(normally removed at completion of delta processing).
.br 
.ne 1i
.A2 g list Specifies
a \fIlist\fR (see
.IR get (CP)
for the definition of \fIlist\fR)
of deltas which are to be
.I ignored\^
when the file is accessed at the change level (\*(I))
created by this delta.
.A1 m mrlist If
the \*(S) file has the
.B v
flag set
(see
.IR admin (CP))
then a Modification Request (\*(M)) number \fImust\fR be
supplied as the reason for creating the new delta.
.C1 \& If
.B \-m
is not used and the standard input is a terminal, the prompt
.SM
.B MR\*Ss?
is issued on the standard output before the standard input
is read; if the standard input is not a terminal, no prompt is issued.
The
.SM
.B MR\*Ss?
prompt always precedes the
.B comments?
prompt
(see
.B \-y
keyletter).
.PP
.C1 \& \*(M)s
in a list are separated by blanks and/or tab characters.
An unescaped newline character terminates the \*(M) list.
.C1 \& Note
that if the
.B v
flag has a value
(see
.IR admin (CP)),
it is taken to be the name of a program (or shell procedure) which will validate
the correctness of the \*(M) numbers.
If a nonzero exit status is returned from \*(M) number validation program,
.I delta\^
terminates
(it is assumed that the \*(M) numbers were not all valid).
.A1 y comment Arbitrary
text
used to describe the reason for making the delta.
A null string is considered a valid \fIcomment\fR.
.C1 \& If
.B \-y
is not specified and the standard input is a terminal, the prompt
.B comments?
is issued on the standard output before the standard
input is read; if the standard input is not a terminal, no
prompt is issued.
An unescaped newline character terminates the comment text.
.AR p Causes
.I delta\^
to print (on the standard output) the \*(S) file
differences before and after the delta is applied.
Differences are displayed in a
.IR diff (C)
format.
.RE
.SH Files
All files of the form
.IR ?- file
are explained in Chapter 5, ``SCCS: A Source Code
Control System" in the \fI\s-1XENIX\s0 Programmer's
Guide\fR.
The naming convention for these files is also described there.
.PP
.TP "\w`/usr/bin/bdiff\ \ \ `u"
g-file
Existed
before the execution of
.IR delta ;
removed after completion of
.IR delta .
.TP
p-file
Existed
before the execution of
.IR delta ;
may exist after completion of
.IR delta .
.TP
q-file
Created during the execution of
.IR delta ;
removed after completion of
.IR delta .
.TP
x-file
Created during the execution of
.IR delta ;
renamed to \*(S) file after completion of
.IR delta .
.TP
z-file
Created during the execution of
.IR delta ;
removed during the execution of
.IR delta .
.TP
d-file
Created during the execution of
.IR delta ;
removed after completion of
.IR delta .
.TP
/usr/bin/bdiff
Program to compute differences
between the ``retrieved'' file and the
.IR g-file .
.PD
.SH Warning
Lines beginning with an \s-1\fBSOH\fP ASCII\s+1 character (binary 001)
cannot be placed in the \*(S) file unless the
.SM
.B SOH
is escaped.
This character has special meaning to \*(S)
(see
.I sccsfile\c\^
(F)) and will cause an error.
.PP
A
.I get\^
of many \*(S) files,
followed by a
.I delta\^
of those files, should be avoided when the
.I get\^
generates a large amount of data.
Instead,
multiple
.I "get/delta\^"
sequences should be used.
.PP
If the standard input
(\fB\-\fR)
is specified on the
.I delta\^
command line,
the
.B \-m
(if necessary)
and
.B \-y
options
.I must\^
also be present.
Omission of these options causes an error to occur.
.SH "See Also"
admin(CP),
bdiff(C),
get(CP),
help(CP),
prs(CP),
sccsfile(F)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.tr ~~
