.\" bm# 0000002247
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)lorder.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH LORDER CP
.SH Name
lorder \- Finds ordering relation for an object library.
.SH Syntax
.B lorder
file ...
.SH Description
.if t .ds ' \h@.05m@\s+4\v@.333m@\'\v@-.333m@\s-4\h@.05m@
.if n .ds ' '
.if t .ds ` \h@.05m@\s+4\v@.333m@\`\v@-.333m@\s-4\h@.05m@
.if n .ds ` `
.I Lorder
creates an ordered listing of object filenames,
showing which files depend on variables declared in 
other files.
The 
.I file 
is one or more object or library archive
files (see
.IR ar (CP)).
The standard output
is a list of pairs of object filenames.
The first file of the pair refers to
external identifiers defined in the second.
The output may be processed by
.IR  tsort (CP)
to find an ordering of
a library suitable for one-pass access by
.IR  ld (CP).
.SH Example
The following command builds a new library
from existing
.B .o
files:
.IP
ar cr library \*`\|lorder \(**.o | tsort\*`
.SH Files
\(**symref, \(**symdef	Temp files
.SH "See Also"
ar(CP),
ld(CP),
tsort(CP)
.SH Notes
Object files whose names do not end with
.BR .o ,
even when
contained in library archives, are overlooked.
Their global symbols and references are attributed to
some other file.
