.\" bm# 0000002269
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)nm.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH NM CP
.SH Name
nm \- Prints name list.
.SH Syntax
.B nm
[
.B \-acgnoOprsSuv
]
[ +offset ] [ file ... ]
.SH Description
.I Nm
prints the name list (symbol table) of each object
.I file
in the argument list.
If an argument
is an archive, a listing for each object
file in the archive will be produced.
If no
.I file
is given, the symbols in 
.B a.out 
are listed.
.PP
Each symbol name is preceded by its value in hexadecimal 
(blanks if undefined)
and one of the letters
.SM
.B U
(undefined),
.SM
.B A
(absolute),
.SM
.B T
(text segment symbol),
.SM
.B D
(data segment symbol),
.SM
.B B
(bss segment symbol),
.SM S
(segment name),
.SM
.B C
(common symbol),
or
.SM 
.B K
(8086 common segment, for 8086 versions only).
If the symbol table is in segmented format,
symbol values are displayed as
.BR segment:offset .
If the symbol is local (non-external) the type letter is in lowercase.
The output is sorted alphabetically.
.PP
Options are:
.TP
.B \-a
Print only absolute symbols.
.TP
.B  \-c
Print only C program symbols (symbols which begin with `_') as they
appeared in the C program.
.TP
.B  \-g
Print only global (external) symbols.
.TP
.B \-n
Sort numerically rather than alphabetically.
.TP
.B  \-o
Prepend file or archive element name to each
output line rather than only once.
.TP
.B  \-O
Print symbol values in octal.
.TP
.B  \-p
Don't sort; print in symbol-table order.
.TP
.B  \-r
Sort in reverse order.
.TP
.B  \-s
Sort by size of symbol and display each symbol's
size instead of value.  The last symbol in each text
or data segment 
.I may 
be assigned a size of 0. This 
option implies the
.B \-i
and
.B \-n
options.
.br
.ne 1i
.TP
.B \-S
Switch the display format. If the symbol table
is in segmented format, print values in non-segmented
format. If not segmented, print values in segmented
format (for 8086/286 versions only).
.TP
.B  \-u
Print only undefined symbols.
.TP
.B \-v
Also describe the object file and symbol table format.
.SH Files
a.out	Default input file
.SH "See Also"
ar(CP), ar(F), a.out(F)
