.\" bm# 0000002268
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)prof.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH PROF CP 
.SH Name
prof \- Displays profile data.
.SH Syntax
.B prof
[
.B \-a
] [
.B \-l
] [
.BI \- "low\fR [ \fB\-\fIhigh\fR ]"
] [ file ]
.SH Description
.I Prof
interprets the file
.I mon.out
produced by the
.I monitor
subroutine.
Under default modes,
the symbol table in the
named object file
.RI ( a.out
default)
is read and correlated with the
.I mon.out
profile file.
For each external symbol, the percentage
of time spent executing between that symbol
and the next
is printed (in decreasing order),
together with the number of times that routine was called
and the number of milliseconds per call.
.PP
If the
.B \-a
option is used,
all symbols are reported rather than
just external symbols.
If the
.B \-l
option
is used,
the output is listed by
symbol value rather than
decreasing percentage.
.PP
To cause calls to a routine to be tallied,
the
.B \-p
option of
.I cc
must have been given when the file containing the
routine was compiled.
This option also arranges for the
.I mon.out
file to be produced automatically.
.SH Files
.ta \w'mon.out  'u
mon.out	For profile
.sp
a.out		For namelist
.SH "See Also"
monitor(S), profil(S), cc(CP)
.SH Notes
Beware of quantization errors.
.PP
If you use an explicit call to
.IR monitor (S)
you will need to make sure that the
buffer size is equal to or smaller than the program size.
