.\" bm# 0000002243
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)prs.CP	1.1);


.ds mc 
.ds rv Revision 1
.ds f. prs.tbl
.tr ~
.nr f 0
.bd S B 3
.de SP
.if n .ul
\%[\f3\-\\$1\fP\\c
.if n .ul 0
\\$2\\$3
..
.de SF
.if n .ul
\%[\f3\-\\$1\fP]
.if n .ul 0
..
.de ZZ
.hc ^
\f3^.\^.\^.\fP
.hc
..
.de AR
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\f3\-\\$1\\fP
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de C1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 5
.TP 15
\\$1
\\$2 \\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\f3\-\\$1\fP[\f2\\$2\^\fP]
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de A2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
'\".RS 5
.TP 15
\f3\-\\$1\fP\f2\\$2\^\fP
\\$3 \\$4 \\$5 \\$6 \\$7 \\$8 \\$9
.nr f 1
..
.de FI
.PP
.TP 30
\\$1
\\$2
.i0
..
.ds S)  \s-1SCCS\s+1
.ds I)  \s-1SID\s+1
.de F1
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\f3\\$1\fP\f2\\$2\^\fP
\\$3
.nr f 1
..
.de F2
.if \\nf \{ \
.    RE
.    nr f 0 \}
.PP
.RS 13
.TP 7
\f3\\$1\fP[\f2\\$2\\^fP]
\\$3
.nr f 1
..
.if t .ds )S \\|
.TH PRS CP
.SH Name
prs \- Prints an \s-1SCCS\s+1 file.
.SH Syntax
.B prs
.SP d [dataspec]]
.SP r [\s-1SID\s+1]]
.SF e
.SF l
.SF a
files
.SH Description
.I Prs\^
prints, on the standard output, all or part of an \*(S) file
(see
.IR sccsfile (F))
in a user supplied format.
If a directory is named,
.I prs\^
behaves as though each file in the directory were
specified as a named file,
except that non\*(S) files
(last component of the pathname does not begin with \f3s.\fP),
and unreadable files
are silently ignored.
If a name of \f3\-\fP is given, the standard input is read;
each line of the standard input is taken to be the name of an \*(S) file
or directory
to be processed;
non\*(S) files and unreadable files are silently ignored.
.PP
Arguments to
.IR prs ,
which may appear in any order, consist of
options, and filenames.
.PP
All the described
options apply independently to each named file:
.A1 d dataspec Used
to specify the output data specification.
The
.I dataspec\^
is a string consisting of \*(S) file
.I "data keywords\^"
(see
.IR "\s-1Data Keywords\s+1" )
interspersed with optional user-supplied text.
.A1 r \s-1SID\s+1 Used
to specify the
.IR S "\s-1CCS\s+1 " ID entification
(\*(I))
string
of a delta for
which information is desired.
If no \*(I) is specified, the \*(I) of the most recently created delta
is assumed.
.AR e Requests
information for all deltas created
.I earlier\^
than and including the delta designated via the
.B \-r
option.
.AR l Requests
information for all deltas created
.I later\^
than and including the delta designated via the
.B \-r
option.
.AR a Requests
printing of information for both removed,
i.e., delta type =
.IR R ,
(see
.IR rmdel (CP))
and existing,
i.e., delta type =
.IR D ,
deltas.
If the
.B \-a
option is not specified,
information for existing deltas only is provided.
.PP
.i0
.ne 1i
.SH "Data Keywords"
Data keywords
specify which parts of an \*(S) file are to be retrieved and output.
All parts of an \*(S) file (see
.IR sccsfile (F))
have an associated data keyword.
There is no limit on the number of times a data keyword
may appear in a
.IR dataspec .
.PP
The information printed by
.I prs\^
consists of
the user-supplied text and
appropriate values (extracted from the \*(S) file)
substituted for the recognized data keywords
in the order of appearance in the \f2dataspec\^\fP.
The format of a data keyword value is either
simple, in which
keyword substitution is direct, or multiline,
in which keyword substitution is followed
by a carriage return.
.PP
User-supplied text
is any text other than
recognized data keywords.
A tab is specified
by \et and carriage return/newline is specified by \en.
.bp
.in 0
.if t .ps -1
.if t .vs -1p
.TS
.if \n+(b.=1 .nr d. \n(.c-\n(c.-1
.de 35
.ps \n(.s
.vs \n(.vu
.in \n(.iu
.if \n(.u .fi
.if \n(.j .ad
.if \n(.j=0 .na
..
.nf
.nr #~ 0
.if n .nr #~ 0.6n
.ds #d .d
.if \(ts\n(.z\(ts\(ts .ds #d nl
.fc
.nr 33 \n(.s
.rm 80 81 82 83 84
.nr 34 \n(.lu
.eo
.am 81
.br
.di a+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Delta line statistics
.br
.di
.nr a| \n(dn
.nr a- \n(dl
..
.ec \
.eo
.am 81
.br
.di b+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Lines inserted by Delta
.br
.di
.nr b| \n(dn
.nr b- \n(dl
..
.ec \
.eo
.am 81
.br
.di c+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Lines deleted by Delta
.br
.di
.nr c| \n(dn
.nr c- \n(dl
..
.ec \
.eo
.am 81
.br
.di d+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Lines unchanged by Delta
.br
.di
.nr d| \n(dn
.nr d- \n(dl
..
.ec \
.eo
.am 81
.br
.di e+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
SCCS ID string (SID)
.br
.di
.nr e| \n(dn
.nr e- \n(dl
..
.ec \
.eo
.am 81
.br
.di f+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Date Delta created
.br
.di
.nr f| \n(dn
.nr f- \n(dl
..
.ec \
.eo
.am 81
.br
.di g+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Year Delta created
.br
.di
.nr g| \n(dn
.nr g- \n(dl
..
.ec \
.eo
.am 81
.br
.di h+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Month Delta created
.br
.di
.nr h| \n(dn
.nr h- \n(dl
..
.ec \
.eo
.am 81
.br
.di i+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Day Delta created
.br
.di
.nr i| \n(dn
.nr i- \n(dl
..
.ec \
.eo
.am 81
.br
.di j+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Time Delta created
.br
.di
.nr j| \n(dn
.nr j- \n(dl
..
.ec \
.eo
.am 81
.br
.di k+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Hour Delta created
.br
.di
.nr k| \n(dn
.nr k- \n(dl
..
.ec \
.eo
.am 81
.br
.di l+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Minutes Delta created
.br
.di
.nr l| \n(dn
.nr l- \n(dl
..
.ec \
.eo
.am 81
.br
.di m+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Seconds Delta created
.br
.di
.nr m| \n(dn
.nr m- \n(dl
..
.ec \
.eo
.am 81
.br
.di n+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Programmer who created Delta
.br
.di
.nr n| \n(dn
.nr n- \n(dl
..
.ec \
.eo
.am 81
.br
.di o+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Delta sequence number
.br
.di
.nr o| \n(dn
.nr o- \n(dl
..
.ec \
.eo
.am 81
.br
.di p+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Predecessor Delta seq-no.
.br
.di
.nr p| \n(dn
.nr p- \n(dl
..
.ec \
.eo
.am 81
.br
.di q+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Seq-no. of deltas incl., excl., ignored
.br
.di
.nr q| \n(dn
.nr q- \n(dl
..
.ec \
.eo
.am 81
.br
.di r+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
MR validation flag
.br
.di
.nr r| \n(dn
.nr r- \n(dl
..
.ec \
.eo
.am 81
.br
.di s+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
MR validation pgm name
.br
.di
.nr s| \n(dn
.nr s- \n(dl
..
.ec \
.eo
.am 81
.br
.di t+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
Keyword error/warning flag
.br
.di
.nr t| \n(dn
.nr t- \n(dl
..
.ec \
.eo
.am 81
.br
.di u+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
File descriptive text
.br
.di
.nr u| \n(dn
.nr u- \n(dl
..
.ec \
.eo
.am 81
.br
.di v+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
A form of \f2what\^\fP(C) string
.br
.di
.nr v| \n(dn
.nr v- \n(dl
..
.ec \
.eo
.am 81
.br
.di w+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
A form of \f2what\^\fP(C) string
.br
.di
.nr w| \n(dn
.nr w- \n(dl
..
.ec \
.eo
.am 81
.br
.di x+
.35
.ft \n(.f
.ll 20mn
.if \n(.l<\n(81 .ll \n(81u
.in 0
\f2what\^\fP(C) string delimiter
.br
.di
.nr x| \n(dn
.nr x- \n(dl
..
.ec \
.35
.nf
.ll \n(34u
.nr 80 0
.nr 38 \w\f2Keyword\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDt\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDL\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPLi\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPLd\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPLu\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDT\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPI\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPR\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPL\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPB\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPS\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPD\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDy\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDm\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDd\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPT\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPTh\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPTm\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPTs\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPP\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDS\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDP\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDI\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDn\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDx\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDg\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPMR\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPC\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPUN\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPFL\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPY\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPMF\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPMP\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPKF\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPBF\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPJ\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPLK\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPQ\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPM\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPFB\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPCB\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPDs\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPND\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPFD\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPBD\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPGB\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPW\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPA\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPZ\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPF\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.nr 38 \w\f3:\fPPN\f3:\fP
.if \n(80<\n(38 .nr 80 \n(38
.80
.rm 80
.nr 81 0
.nr 38 \w\f2Data Item\fP
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDelta information
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDelta type
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wRelease number
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wLevel number
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wBranch number
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wSequence number
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDeltas included (seq #)
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDeltas excluded (seq #)
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDeltas ignored (seq #)
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wMR numbers for delta
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wComments for delta
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wUser names
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wFlag list
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wModule type flag
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wBranch flag
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wJoint edit flag
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wLocked releases
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wUser defined keyword
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wModule name
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wFloor boundary
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wCeiling boundary
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wDefault SID
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wNull delta flag
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wBody
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wGotten body
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wSCCS filename
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \wSCCS file pathname
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \w* \f3:\fPDt\f3:\fP~=~\f3:\fPDT\f3:\fP~\f3:\fPI\f3:\fP~\f3:\fPD\f3:\fP~\f3:\fPT\f3:\fP~\f3:\fPP\f3:\fP~\f3:\fPDS\f3:\fP~\f3:\fPDP\f3:\fP
.if \n(81<\n(38 .nr 81 \n(38
.81
.rm 81
.nr 38 \n(a-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(b-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(c-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(d-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(e-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(f-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(g-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(h-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(i-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(j-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(k-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(l-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(m-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(n-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(o-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(p-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(q-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(r-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(s-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(t-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(u-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(v-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(w-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 \n(x-
.if \n(81<\n(38 .nr 81 \n(38
.nr 38 20mn
.if \n(81<\n(38 .nr 81 \n(38
.nr 82 0
.nr 38 \w\f2File Section\fP
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wDelta Table
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wUser Names
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wFlags
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wComments
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wBody
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \w"
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wN/A
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wN/A
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wN/A
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wN/A
.if \n(82<\n(38 .nr 82 \n(38
.nr 38 \wN/A
.if \n(82<\n(38 .nr 82 \n(38
.82
.rm 82
.nr 83 0
.nr 38 \w\f2Value\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wSee below*
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPLi\f3:\fP/\f3:\fPLd\f3:\fP/\f3:\fPLu\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2D\^\fP~or~\f2R\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPR\f3:.:\fPL\f3:.:\fPB\f3:.:\fPS\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPDy\f3:\fP/\f3:\fPDm\f3:\fP/\f3:\fPDd\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPTh\f3:\fP\f3:\fP:Tm\f3:\fP\f3:\fP:Ts\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wlogname
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wnnnn
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPDn\f3:\fP/\f3:\fPDx\f3:\fP/\f3:\fPDg\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2yes\^\fP~or~\f2no\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2yes\^\fP~or~\f2no\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2yes\^\fP~or~\f2no\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2yes\^\fP~or~\f2no\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPR\f3:\fP\|\f3.\^.\^.\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPR\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPR\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPI\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f2yes\^\fP~or~\f2no\^\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPZ\f3:\fP\f3:\fPM\f3:\fP\et\f3:\fPI\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w\f3:\fPZ\f3:\fP\f3:\fPY\f3:\fP~\f3:\fPM\f3:\fP~\f3:\fPI\f3:\fP\f3:\fPZ\f3:\fP
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \w@(#)
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.nr 38 \wtext
.if \n(83<\n(38 .nr 83 \n(38
.83
.rm 83
.nr 84 0
.nr 38 \w\f2Format\fP
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wM
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.nr 38 \wS
.if \n(84<\n(38 .nr 84 \n(38
.84
.rm 84
.nr 38 \w\s+1TABLE 1.\| SCCS Files Data Keywords\s-1-\n(80-\n(81-\n(82-\n(83-\n(84
.if \n(38>0 .nr 38 \n(38/4
.if \n(38<0 .nr 38 0
.nr 81 +\n(38
.nr 82 +\n(38
.nr 83 +\n(38
.nr 84 +\n(38
.35
.nf
.ll \n(34u
.nr 38 0+\n(80+\n(81+\n(82+\n(83+\n(84
.nr 38 \n(.l-\n(38
.nr 38 \n(38/8
.if \n(38<0 .nr 38 0
.nr 79 0
.nr 40 \n(79+(0*\n(38)
.nr 80 +\n(40
.nr 41 \n(80+(3*\n(38)
.nr 81 +\n(41
.nr 42 \n(81+(3*\n(38)
.nr 82 +\n(42
.nr 43 \n(82+(1*\n(38)
.nr 83 +\n(43
.nr 44 \n(83+(1*\n(38)
.nr 84 +\n(44
.nr TW \n(84
.if t .if (\n(TW+\n(.o)>7.65i .tm Table at line 325 file prs.tbl is too wide - \n(TW units
.nr #I \n(.i
.in +(\n(.lu-\n(TWu-\n(.iu)/2u
.fc  
.nr #T 0-1
.nr #a 0-1
.eo
.de T#
.ds #d .d
.if \(ts\n(.z\(ts\(ts .ds #d nl
.mk ##
.nr ## -1v
.ls 1
.ls
..
.ec
.ta \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\s+1TABLE 1.\| SCCS Files Data Keywords\s-1
.sp 1.5p
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f2Keyword\f\n(31\h'|\n(41u'\f2Data Item\f\n(31\h'|\n(42u'\f2File Section\f\n(31\h'|\n(43u'\f2Value\f\n(31\h'|\n(44u'\f2Format\f\n(31
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDt\f3:\fP\h'|\n(41u'Delta information\h'|\n(42u'Delta Table\h'|\n(43u'See below*\h'|\n(44u'S
.ne \n(a|u+\n(.Vu
.if (\n(a|+\n(#^-1v)>\n(#- .nr #- +(\n(a|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDL\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f3:\fPLi\f3:\fP/\f3:\fPLd\f3:\fP/\f3:\fPLu\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.a+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(b|u+\n(.Vu
.if (\n(b|+\n(#^-1v)>\n(#- .nr #- +(\n(b|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPLi\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nnnnn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.b+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(c|u+\n(.Vu
.if (\n(c|+\n(#^-1v)>\n(#- .nr #- +(\n(c|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPLd\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nnnnn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.c+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(d|u+\n(.Vu
.if (\n(d|+\n(#^-1v)>\n(#- .nr #- +(\n(d|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPLu\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nnnnn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.d+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDT\f3:\fP\h'|\n(41u'Delta type\h'|\n(42u'"\h'|\n(43u'\f2D\^\fP~or~\f2R\^\fP\h'|\n(44u'S
.ne \n(e|u+\n(.Vu
.if (\n(e|+\n(#^-1v)>\n(#- .nr #- +(\n(e|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPI\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f3:\fPR\f3:.:\fPL\f3:.:\fPB\f3:.:\fPS\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.e+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPR\f3:\fP\h'|\n(41u'Release number\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPL\f3:\fP\h'|\n(41u'Level number\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPB\f3:\fP\h'|\n(41u'Branch number\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPS\f3:\fP\h'|\n(41u'Sequence number\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.ne \n(f|u+\n(.Vu
.if (\n(f|+\n(#^-1v)>\n(#- .nr #- +(\n(f|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPD\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f3:\fPDy\f3:\fP/\f3:\fPDm\f3:\fP/\f3:\fPDd\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.f+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(g|u+\n(.Vu
.if (\n(g|+\n(#^-1v)>\n(#- .nr #- +(\n(g|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDy\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.g+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(h|u+\n(.Vu
.if (\n(h|+\n(#^-1v)>\n(#- .nr #- +(\n(h|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDm\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.h+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(i|u+\n(.Vu
.if (\n(i|+\n(#^-1v)>\n(#- .nr #- +(\n(i|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDd\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.i+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(j|u+\n(.Vu
.if (\n(j|+\n(#^-1v)>\n(#- .nr #- +(\n(j|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPT\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f3:\fPTh\f3:\fP\f3:\fP:Tm\f3:\fP\f3:\fP:Ts\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.j+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(k|u+\n(.Vu
.if (\n(k|+\n(#^-1v)>\n(#- .nr #- +(\n(k|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPTh\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.k+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(l|u+\n(.Vu
.if (\n(l|+\n(#^-1v)>\n(#- .nr #- +(\n(l|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPTm\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.l+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(m|u+\n(.Vu
.if (\n(m|+\n(#^-1v)>\n(#- .nr #- +(\n(m|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPTs\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.m+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(n|u+\n(.Vu
.if (\n(n|+\n(#^-1v)>\n(#- .nr #- +(\n(n|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPP\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'logname\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.n+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(o|u+\n(.Vu
.if (\n(o|+\n(#^-1v)>\n(#- .nr #- +(\n(o|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDS\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.o+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(p|u+\n(.Vu
.if (\n(p|+\n(#^-1v)>\n(#- .nr #- +(\n(p|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDP\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'nnnn\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.p+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(q|u+\n(.Vu
.if (\n(q|+\n(#^-1v)>\n(#- .nr #- +(\n(q|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDI\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f3:\fPDn\f3:\fP/\f3:\fPDx\f3:\fP/\f3:\fPDg\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.q+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDn\f3:\fP\h'|\n(41u'Deltas included (seq #)\h'|\n(42u'"\h'|\n(43u'\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDx\f3:\fP\h'|\n(41u'Deltas excluded (seq #)\h'|\n(42u'"\h'|\n(43u'\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDg\f3:\fP\h'|\n(41u'Deltas ignored (seq #)\h'|\n(42u'"\h'|\n(43u'\f3:\fPDS\f3:\fP~\f3:\fPDS\f3:\fP\|\f3.\^.\^.\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPMR\f3:\fP\h'|\n(41u'MR numbers for delta\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'M
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPC\f3:\fP\h'|\n(41u'Comments for delta\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'M
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPUN\f3:\fP\h'|\n(41u'User names\h'|\n(42u'User Names\h'|\n(43u'text\h'|\n(44u'M
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPFL\f3:\fP\h'|\n(41u'Flag list\h'|\n(42u'Flags\h'|\n(43u'text\h'|\n(44u'M
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPY\f3:\fP\h'|\n(41u'Module type flag\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'S
.ne \n(r|u+\n(.Vu
.if (\n(r|+\n(#^-1v)>\n(#- .nr #- +(\n(r|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPMF\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f2yes\^\fP~or~\f2no\^\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.r+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(s|u+\n(.Vu
.if (\n(s|+\n(#^-1v)>\n(#- .nr #- +(\n(s|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPMP\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.s+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(t|u+\n(.Vu
.if (\n(t|+\n(#^-1v)>\n(#- .nr #- +(\n(t|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPKF\f3:\fP\h'|\n(41u'\h'|\n(42u'"\h'|\n(43u'\f2yes\^\fP~or~\f2no\^\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.t+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPBF\f3:\fP\h'|\n(41u'Branch flag\h'|\n(42u'"\h'|\n(43u'\f2yes\^\fP~or~\f2no\^\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPJ\f3:\fP\h'|\n(41u'Joint edit flag\h'|\n(42u'"\h'|\n(43u'\f2yes\^\fP~or~\f2no\^\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPLK\f3:\fP\h'|\n(41u'Locked releases\h'|\n(42u'"\h'|\n(43u'\f3:\fPR\f3:\fP\|\f3.\^.\^.\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPQ\f3:\fP\h'|\n(41u'User defined keyword\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPM\f3:\fP\h'|\n(41u'Module name\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPFB\f3:\fP\h'|\n(41u'Floor boundary\h'|\n(42u'"\h'|\n(43u'\f3:\fPR\f3:\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPCB\f3:\fP\h'|\n(41u'Ceiling boundary\h'|\n(42u'"\h'|\n(43u'\f3:\fPR\f3:\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPDs\f3:\fP\h'|\n(41u'Default SID\h'|\n(42u'"\h'|\n(43u'\f3:\fPI\f3:\fP\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPND\f3:\fP\h'|\n(41u'Null delta flag\h'|\n(42u'"\h'|\n(43u'\f2yes\^\fP~or~\f2no\^\fP\h'|\n(44u'S
.ne \n(u|u+\n(.Vu
.if (\n(u|+\n(#^-1v)>\n(#- .nr #- +(\n(u|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPFD\f3:\fP\h'|\n(41u'\h'|\n(42u'Comments\h'|\n(43u'text\h'|\n(44u'M
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.u+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPBD\f3:\fP\h'|\n(41u'Body\h'|\n(42u'Body\h'|\n(43u'text\h'|\n(44u'M
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPGB\f3:\fP\h'|\n(41u'Gotten body\h'|\n(42u'"\h'|\n(43u'text\h'|\n(44u'M
.ne \n(v|u+\n(.Vu
.if (\n(v|+\n(#^-1v)>\n(#- .nr #- +(\n(v|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPW\f3:\fP\h'|\n(41u'\h'|\n(42u'N/A\h'|\n(43u'\f3:\fPZ\f3:\fP\f3:\fPM\f3:\fP\et\f3:\fPI\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.v+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(w|u+\n(.Vu
.if (\n(w|+\n(#^-1v)>\n(#- .nr #- +(\n(w|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPA\f3:\fP\h'|\n(41u'\h'|\n(42u'N/A\h'|\n(43u'\f3:\fPZ\f3:\fP\f3:\fPY\f3:\fP~\f3:\fPM\f3:\fP~\f3:\fPI\f3:\fP\f3:\fPZ\f3:\fP\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.w+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ne \n(x|u+\n(.Vu
.if (\n(x|+\n(#^-1v)>\n(#- .nr #- +(\n(x|+\n(#^-\n(#--1v)
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPZ\f3:\fP\h'|\n(41u'\h'|\n(42u'N/A\h'|\n(43u'@(#)\h'|\n(44u'S
.mk ##
.nr 31 \n(##
.sp |\n(##u-1v
.nr 37 \n(41u
.in +\n(37u
.x+
.in -\n(37u
.mk 32
.if \n(32>\n(31 .nr 31 \n(32
.sp |\n(31u
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPF\f3:\fP\h'|\n(41u'SCCS filename\h'|\n(42u'N/A\h'|\n(43u'text\h'|\n(44u'S
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\f3:\fPPN\f3:\fP\h'|\n(41u'SCCS file pathname\h'|\n(42u'N/A\h'|\n(43u'text\h'|\n(44u'S
.sp .5v
.ta \n(80u \n(81u \n(82u \n(83u \n(84u 
.nr 31 \n(.f
.nr 35 1m
\&\h'|\n(40u'\h'|\n(41u'* \f3:\fPDt\f3:\fP~=~\f3:\fPDT\f3:\fP~\f3:\fPI\f3:\fP~\f3:\fPD\f3:\fP~\f3:\fPT\f3:\fP~\f3:\fPP\f3:\fP~\f3:\fPDS\f3:\fP~\f3:\fPDP\f3:\fP\h'|\n(42u'\h'|\n(43u'\h'|\n(44u'
.fc
.nr T. 1
.T# 1
.in \n(#Iu
.35
.rm a+
.rm b+
.rm c+
.rm d+
.rm e+
.rm f+
.rm g+
.rm h+
.rm i+
.rm j+
.rm k+
.rm l+
.rm m+
.rm n+
.rm o+
.rm p+
.rm q+
.rm r+
.rm s+
.rm t+
.rm u+
.rm v+
.rm w+
.rm x+
.TE
.if \n-(b.=0 .nr c. \n(.c-\n(d.-109
.bp
.if t .ps +1
.if t .vs +1p
.SH Examples
The following:
.IP
prs \-d"Users and/or user \s-1ID\s+1s for \f3:\fPF\f3:\fP are\f3:\fP\en\f3:\fP\s-1UN\s+1\f3:\fP" s\f3.\fPfile
.PP
may produce on the standard output:
.PP
.RS
.nf
Users and/or user \s-1ID\s+1s for s\f3.\fPfile are\f3:\fP
xyz
131
abc
.fi
.RE
.IP
prs \-d"Newest delta for pgm \f3:\fPM\f3:\fP\f3:\fP \f3:\fPI\f3:\fP Created \f3:\fPD\f3:\fP By \f3:\fPP\f3:\fP" \-r s\f3.\fPfile
.PP
may produce on the standard output:
.IP
Newest delta for pgm main\f3.\fPc\f3:\fP 3\f3.\fP7 Created 77/12/1 By cas
.PP
As a \f2special case:\^\fP
.IP
prs s\f3.\fPfile
.PP
may produce on the standard output:
.PP
.RS
.nf
D 1\f3.\fP1 77/12/1 00\f3:\fP00\f3:\fP00 cas 1 000000/00000/00000
\s-1MR\s+1s\f3:\fP
bl78-12345
bl79-54321
\s-1COMMENTS\s+1\f3:\fP
this is the comment line for s\f3.\fPfile initial delta
.fi
.RE
.PP
for each delta table entry of the ``D'' type.
The only option allowed to be used with the
.I "special case\^"
is the
.B \-a
option.
.PP
.SH Files
.RE
.TP 10
/tmp/pr?????
.i0
.SH "See Also"
admin(CP),
delta(CP),
get(CP),
help(CP),
sccsfile(F)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
.tr ~~
