.\" bm# 0000002242
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ratfor.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH RATFOR CP
.SH Name
ratfor \- Converts Rational \s-1FORTRAN\s0 into standard \s-1FORTRAN\s0.
.SH Syntax
.B ratfor
[ option ... ]
[ filename ... ]
.SH Description
.I Ratfor
converts a rational dialect of \s-1FORTRAN\s0 into 
ordinary irrational \s-1FORTRAN\s0.
.I Ratfor
provides control flow constructs essentially identical to those in C:
.TP
statement grouping:
.nf
{ statement; statement; statement }
.TP
decision-making:
if (condition) statement [ else statement ]
.br
switch (integer value) {
	case integer:	statement
	...
	[ default: ]	statement
}
.TP
loops:
while (condition) statement
for (expression; condition; expression) statement
do limits statement
repeat statement [ until (condition) ]
break [n]
next [n]
.LP
and some additional syntax to make programs easier to read and write:
.TP
Free form input:
multiple statements/line; automatic continuation
.TP
Comments:
# this is a comment
.TP
Translation of relationals:
>, >=, etc., become .GT., .GE., etc.
.TP
Return (expression)
returns expression to caller from function
.TP
Define:
define name replacement
.TP
Include:
include filename
.PP
.fi
The option
.B \-h
causes quoted strings to be turned into
27H constructs.
.B \-C
copies comments to the output, and attempts
to format it neatly.
Normally, continuation lines are marked with an &
in column 1;
the option
.B \-6x
makes the continuation character
.B x
and places it in column 6.
.SH Notes
This program translates its input into C source code,
which in segmented programming environments, 
is suitable for compiling as a small model program
only (see
.IR cc (CP)).
