.\" bm# 0000002241
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)regcmp.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH REGCMP CP
.SH Name
regcmp \- Compiles regular expressions.
.SH Syntax
.B regcmp
.RB [ \- ]
file 
.SH Description
.IR Regcmp ,
in most cases, precludes
the need
for calling
.I regcmp
(see
.IR regex (S))
from C programs.
This saves on both execution time and program size.
The command
.I regcmp\^
compiles the regular expressions in
.I file\^
and places the output in
.IB file .i\fR.
If the \fB\-\fP
option is used, the output will be placed in
.IB file .c\fR.
The format of entries in
.I file\^
is a name (C
variable) followed by one or more blanks followed by
a regular expression enclosed in double quotation marks.
The output of
.I regcmp\^
is
C source code.
Compiled regular expressions are represented as
.B "extern char"
vectors.
.IB File .i
files may thus be
.I included\^
into
C programs,
or
.IB file .c
files may be compiled and later loaded.
In the
C program which
uses the
.I regcmp\^
output,
.IR regex ( abc , line )
applies the regular expression named
.I abc\^
to
.IR line .
Diagnostics are self-explanatory.
.SH Examples
.TP "\w'telno\ \ \ \ 'u"
name
"([A\-Za\-z][A\-Za\-z0\-9\_]\(**)$0"
.TP
telno
"\\({0,1}([2\-9][01][1\-9])$0\\){0,1} \(**"
.br
"([2\-9][0\-9]{2})$1[ \-]{0,1}"
.br
"([0\-9]{4})$2"
.TP
In the C program that uses the \fIregcmp\fP output,
.PP
.RS
regex(telno, line, area, exch, rest)
.RE
.PP
will apply the regular expression named \fItelno\fP to \fIline\fP.
.SH "See Also"
regex(S)
.SH Notes
This program translates its input into C source code,
which in segmented programming environments, 
is suitable for compiling as a small model program
only (see
.IR cc (CP)).
