.\" bm# 0000002240
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rmdel.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH RMDEL CP
.SH Name
rmdel \- Removes a delta from an \s-1SCCS\s+1 file.
.SH Syntax
.B rmdel
.if n .ul
\fB\-r\fR\c
.if n .ul 0
\s-1SID\s0
files
.SH Description
.I Rmdel\^
removes the delta specified by the
.SM \fISID\fP
from each
named \s-1SCCS\s+1 file.
The delta to be removed must be the newest (most recent) delta
in its branch in the delta chain of each
named \s-1SCCS\s+1 file.
In addition,
the \s-1SID\s0 specified must
.I not\^
be that of a version being edited for the purpose of
making a delta.  That is, if a
.I p-file\^
exists for the named \s-1SCCS\s+1 file,
the \s-1SID\s0 specified must
.I not\^
appear in any entry of the
.I p-file\c\^
(see 
.IR get (CP)).
.PP
If a directory is named,
.I rmdel\^
behaves as though each file in the directory were
specified as a named file,
except that non\s-1SCCS\s+1 files
(last component of the pathname does not begin with \fBs.\fR)
and unreadable files
are silently ignored.
If a name of \fB\-\fR is given, the standard input is read;
each line of the standard input is taken to be the name of an \s-1SCCS\s+1 file
to be processed;
non\s-1SCCS\s+1 files and unreadable files are silently ignored.
'\".PP
'\"	The exact permissions necessary to remove a delta
'\"	are documented in the
'\"	.IR "Source Code Control System User's Guide" .
'\"	Simply stated,
'\"	they are either (C)
'\"	if you make a delta you can remove it;
'\"	or (S)
'\"	if you own the file and directory you can remove a delta.
.SH Files
.TP 10
x-file
See
.IR delta (CP)
.TP 10
z-file
See
.IR delta (CP)
.PD
.SH "See Also"
delta(CP),
get(CP),
help(CP),
prs(CP),
sccsfile(F)
'\"	.br
'\"	.I "Source Code Control System User's Guide\^"
'\"	by L. E. Bonanni and C. A. Salemi.
'\"	.br
.SH Diagnostics
Use
.IR help (CP)
for explanations.
