.\" bm# 0000002264
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)spline.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH SPLINE CP
.SH Name
spline \- Interpolates smooth curve.
.SH Syntax
.B spline
[ option ] ...
.SH Description
.I Spline
takes pairs of numbers from the standard input as abcissas and ordinates
of a function.
It produces a similar set, which
is approximately equally spaced and
includes the input set, on the standard output.
The cubic spline output
has two continuous derivatives,
and enough points to look smooth when plotted.
.PP
The following options are recognized,
each as a separate argument.
.TP 5
.B  \-a
Supplies abscissas automatically (they are missing from
the input); spacing is given by the next
argument, or is assumed to be 1 if next argument is not a number.
.TP 5
.B  \-k
The constant
.IR k ""
used in the boundary value computation
.PP
.RS
.EQ
y sub 0 sup {prime prime}~=~ky sub 1 sup prime~,...,~y sub n sup {prime prime}~=~ky sub {n-1} sup prime
.EN
.RE
.PP
is set by the next argument.
By default
.IR k ""
= 0.
.TP 5
.B  \-n
Spaces output points
so that approximately
.I n
intervals occur between the lower and upper
.I x
limits.
(Default
.I n
= 100.)
.TP 5
.B  \-p
Makes output periodic, i.e. matches
derivatives at ends.
First and last input values should normally agree.
.TP 5
.B  \-x
Next 
1 (or 2) arguments are lower (and upper) 
.I x
limits.
Normally these limits are calculated from the data.
Automatic abcissas start at lower limit
(default 0).
'\"	.SH "See Also"
'\"	graph(CT)
.SH Diagnostics
When data is not strictly monotone in
.I x,
.I spline
reproduces the input without interpolating extra points.
.SH Notes
A limit of 1000 input points is silently enforced.
