.\" bm# 0000002265
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)stackuse.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH STACKUSE CP
'
.SH Name
'
stackuse \- Determines stack requirements for C programs.
'
.SH Syntax
'
.B stackuse 
[
.BI \-nl " maxidlen"
] [
.BI \-m " startsem"
] [
.BI \-e " linkage"
] 
.br
[
.BI \-r " fakeref"
] [
.BI \-s " libstack"
] [
.BI \-l " library"
] [
.B \-v
] [
.BI \-o  " base"
] 
.br
[ file ... ]
.SH Description
.I Stackuse 
determines the stack requirements 
of one or more C language programs.
It displays the name of the 
.I main
routine in a file, its stack requirements
in words, and the number of recursive routines.
All command line switches are optional.
.TP 15
.BI \-nl maxidlen
On output, uses alternate maximum identifier length.
If zero is specified, an internal maximum is used.
.TP 15
.BI \-m startsym
Uses an alternate start (``main'') symbol.  
If startsym is 0, the first symbol encountered is used.
.TP 15
.BI \-e linkage	
Uses a different cost for linkage on entry to a routine.
Linkage includes saved registers, return address.
.TP 15
.BI \-r fakeref
Uses the named file 
.I fakeref 
as a fake references file.
The format is:
.I "parent child ."
The special 
.I parent 
\&.LEAF is a meta-parent meaning all leaf nodes.
.TP 15
.BI \-s libstack	
Uses the named file as library of costs for external
routines.  The format is:
.I "subr stack ."
The special 
.I subr 
\&.UNDEF is a meta-subroutine meaning all undefined routines.
.TP 15
.BI \-l library	
Uses a system-provided libstack for a standard libraries.
e.g. \-lc, \-ll, \-ly.
.TP 15
.B \-v
Prints verbose output.  
Creates calltree, selfcost, cost, etc. files.
Names are 
.BR stack.ct , 
.BR stack.slf , 
.BR stack.tot .
To change the name, use the 
.B \-o 
option.
.TP 15
.BI \-o name
Uses different 
.I name 
for output files.  
Files are named 
.IB name .ct\fR,\fB
.IB name .slf\fR,\fB 
.IB name .tot\fR.\fB
.PP
The 
.B \-r 
and 
.B \-s 
options may be repeated an arbitrary number of times.
The effect is additive rather than destructive.  
In the case of duplicate definitions, the first is used.
.PP
Lines of the 
.B \-r 
and 
.B \-s 
files which begin with a pound sign (#) are treated as
comments, and otherwise are ignored otherwise.
.SH Diagnostics
Usage (fatal).
.sp
Redefinitions in 
.BR \-r , 
.B \-s 
files, or in the source (warning).
.sp
Calltree with multiple roots (warning).
.sp
Presence of recursive routine (warning).
.sp
Presence of routines for which no stack value is provided (warning).
.SH Files
.nf
/usr/lib/stackuse/*		Passes, libraries
.sp
/tmp/*				Temporaries used by passes.
.fi
'\"	.SH "See Also"
.SH Notes
The scanner can be fooled by complex C constructs.
.PP
For the 
.B libstack 
and 
.B fakeref 
files, a comment character (#)
is used.
