.\" bm# 0000002275
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)uucp.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH UUCP CP
.SH Name
uucp, uulog \- Copies files from \s-1XENIX\s0 to \s-1XENIX\s0.
.SH Syntax
.B uucp
[ option ] ...
source-file ...  destination-file
.PP
.B uulog
[ option ] ...
.SH Description
.I Uucp
copies files named by the source-file arguments
to the destination-file argument.
A filename may be a pathname on your machine, or may 
have the form:
.IP
system-name!pathname
.LP
where ``system-name'' is taken from a list of system names
which
.I uucp
knows about.
Shell metacharacters ?*[\^] appearing in 
.I pathname 
will be expanded on the appropriate system.
.PP
Pathnames may be a
a full pathname, or
a pathname preceded by
.IR ~user 
where
.I user
is a user 
.SM ID
on the specified system
and is replaced by that user's login directory.
Anything else is prefixed by the current directory.
.PP
If the result is an erroneous pathname for the remote system
the copy will fail.
If the destination-file is a directory, the last part of the
source-filename is used.
.ig
If a simple
.I ~user
destination is inaccessible to 
.I uucp,
data is copied to a spool directory and the user
is notified by
.IR mail (C).
..
.PP
.I Uucp
preserves execute permissions across the transmission
and gives 0666 read and write permissions (see
.IR chmod (S)).
.PP
The following options are interpreted by
.IR uucp :
.TP "\w'/M/M/M/M 'u"
.B \-d
Makes all necessary directories for the file copy.
.TP 
.B \-c
Uses the source file when copying out rather than
copying the file to the spool directory.
.TP 
.B \-m
Sends mail to the requester when the copy is complete.
.PP
.I Uulog
maintains a summary log
of 
.I uucp
and
.IR uux (CP)
transactions in the file
.B /usr/spool/uucp/LOGFILE 
by gathering
information from partial log files named 
.B /usr/spool/uucp/LOG.*.? .
It removes the partial log files.
.bp
.PP
The options cause 
.I uulog 
to print logging information:
.PP
.TP "\w'/M/M/M/M/M/M `u"
.BI \-s sys
Prints information about work involving system
.I sys.
.TP
.BI \-u user
Prints information about work done for the specified
.I user.
.SH Files
/usr/spool/uucp  Spool directory
.PP
/usr/lib/uucp/*  Other data and program files
.SH "See Also"
uux(CP), mail(C)
'\".br
'\"D. A. Nowitz,
'\".I Uucp Implementation Description
.SH Warning
The domain of remotely accessible files can
(and for obvious security reasons, usually should)
be severely restricted.
You will very likely not be able to fetch files by pathname;
ask a responsible person on the remote system to send them to you.
For the same reasons you will probably not be able
to send files to arbitrary pathnames.
.SH Notes
.PP
For security reasons,
all files received by
.I uucp
should be owned by uucp.
.PP
The 
.B \-m 
option will only work sending files or receiving
a single file.
Receiving multiple files specified by special shell
characters ?*[\^] will not activate
the 
.B \-m 
option.
.PP
This version of 
.I uucp
is based on a version 7 implementation of the program.

