.\" bm# 0000002274
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)uux.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH UUX CP
.SH Name
uux \- Executes command on remote \s-1XENIX\s0.
.SH Syntax
.B uux
[
.B \-
]
command-string
.SH Description
.I Uux
will gather 0 or more files from various systems,
execute a command on a specified system
and send standard output to a file on a specified
system.
.PP
The command-string is made up of one or more arguments that look
like a shell command line,
except that the command and filenames
may be prefixed by system-name!.
A null system-name is interpreted as the local system.
.PP
Filenames may be (1) a full pathname; (2) a pathname preceded by
.IR ~xxx ;
where
.I xxx
is a user 
.SM ID
on the specified system
and is replaced by that user's login directory;
or (3) anything else prefixed by the current directory.
.PP
The ``\-'' option will cause the standard input to the
.I uux
command to be the standard input to the command-string.
.PP
For example, the command
.IP
uux "!diff usg!/usr/dan/f1 pwba!/a4/dan/f1 > !fi.diff"
.PP
will get the 
.B f1
files from the usg and pwba machines,
execute a
.I diff
command
and put the results in 
.B f1.diff
in the local directory.
.PP
Any special shell characters such as <>;| should be quoted either
by quoting the entire command-string, or quoting the special
characters as individual arguments.
.SH Files
/usr/uucp/spool   Spool directory
.PP
/usr/uucp/*	  Other data and programs
.SH "See Also"
uucp(CP)
'\".br
'\"D. A. Nowitz,
'\".I Uucp implementation description
.SH Warning
An installation may, and for security reasons
generally will, limit the list of
commands executable on behalf of an incoming request from
.I uux.
Typically, a restricted site will permit little other than
the receipt of mail via 
.I uux.
.SH Notes
Only the first command of a shell pipeline may
have a system-name!.
All other commands are executed on the system of the first
command.
.PP
The shell metacharacter
.B *
will probably not perform as expected.
.PP
The shell tokens << and >> are not implemented.
.PP
There is no notification of denial of execution
on the remote machine.
