.\" bm# 0000002271
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)xstr.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH XSTR CP
.SH Name
xstr \- Extracts strings from C programs.
.SH Syntax
.B xstr
.RB [ \-c ]
.RB [ \- ]
[ file ]
.SH Description
.I Xstr
maintains a file
.I strings
into which strings in component parts of a large program are hashed.
These strings are replaced with references to this common area.
This serves to implement shared constant strings, most useful if they
are also read-only.
.PP
The command
.IP
xstr \-c name
.PP
will extract the strings from the C source in name, replacing
string references by expressions of the form (&xstr[number])
for some number.
An appropriate declaration of
.I xstr
is prepended to the file.
The resulting C text is placed in the file
.I x.c,
to then be compiled.
The strings from this file are placed in the
.I strings
data base if they are not there already.
Repeated strings and strings which are suffices of existing strings
do not cause changes to the data base.
.P
After all components of a large program have been compiled, a file
.I xs.c
declaring the common
.I xstr
space can be created by a command of the form
.IP
\fBxstr -c\fP name1 name2 name3 ...
.PP
This
.I xs.c
file should then be compiled and loaded with the rest
of the program.
If possible, the array can be made read-only (shared) saving
space and swap overhead.
.PP
.I Xstr
can also be used on a single file.
A command
.PP
.DT
	\fBxstr\fR name
.PP
creates files
.I x.c
and
.I xs.c
as before, without using or affecting any
.I strings
file in the same directory.
.PP
It may be useful to run
.I xstr
after the C preprocessor if any macro definitions yield strings
or if there is conditional code which contains strings
which may not, in fact, be needed.
.I Xstr
reads from its standard input when the argument \- is given.
An appropriate command sequence for running
.I xstr
after the C preprocessor is:
.IP
.nf
cc \-E name.c | xstr \-c \-
cc \-c x.c
mv x.o name.o
.fi
.PP
.I Xstr
does not touch the file
.I strings
unless new items are added, thus
.I make
can avoid remaking
.I xs.o
unless truly necessary.
.SH Files
.TP 10
strings	
Data base of strings
.TP
x.c
Massaged C source
.TP
xs.c
C source for definition of array ``xstr''
.TP
/tmp/xs*
Temp file when ``xstr name'' doesn't touch
.I strings
.SH "See Also"
mkstr(CP)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
.SH Notes
If a string is a suffix of another string in the data base,
but the shorter string is seen first by
.I xstr ,
both strings will be placed in the data base when just
placing the longer one there will do.
