.\" bm# 0000002270
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)yacc.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH YACC CP
.SH Name
yacc \- Invokes a compiler-compiler.
.SH Syntax
.B yacc
.B [ \-vd ]
grammar
.SH Description
.I Yacc\^
converts a context-free grammar into a set of
tables for a simple automaton which executes an
.SM LR(1)
parsing
algorithm.
The grammar may be ambiguous;
specified precedence rules are used to break ambiguities.
.PP
The output file,
.BR y.tab.c ,
must be compiled by the C compiler
to produce a program
.IR yyparse .
This program must be loaded with the lexical analyzer program,
.IR yylex ,
as well as
.I main\^
and
.IR yyerror ,
an error handling routine.
These routines must be supplied by the user;
.IR lex (CP)
is useful for creating lexical analyzers usable by
.IR yacc .
.PP
If the
.B \-v
flag is given, the file
.B y.output
is prepared, which contains a description of the parsing tables
and a report on
conflicts generated by ambiguities in the grammar.
.PP
If the \-\fBd\fR flag is used, the file
.B y.tab.h
is generated with the
.B #define
statements that associate the
.I yacc\c\^
-assigned ``token codes'' with the user-declared ``token names''.
This allows source files other than
.B y.tab.c
to access the token codes.
.SH Files
y.output
.sp
y.tab.c
.sp
y.tab.h			Defines for token names
.sp
yacc.tmp, yacc.acts	Temporary files
.sp
/usr/lib/yaccpar	Parser prototype for C programs
.sp
.SH "See Also"
lex(CP)
'\".br
'\".I "LR Parsing\^"
'\"by A. V. Aho and S. C. Johnson,
'\"Computing Surveys, June, 1974.
'\".br
'\".I "YACC \- Yet Another Compiler Compiler\^"
'\"by S. C. Johnson.
.SH Diagnostics
The number of reduce-reduce and shift-reduce conflicts
is reported on the standard output;
a more detailed report is
found in the
.B y.output
file.
Similarly, if some rules are not reachable from the
start symbol, this is also reported.
.SH Notes
Because filenames are fixed, at most one
.I yacc\^
process can be active in a given directory at
a time.
.PP
This program translates its input into C source code,
which in segmented programming environments, 
is suitable for compiling as a small model program
only (see
.IR cc (CP)).
